<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

use Gate;
use App\Settings;
use App\TranslationsCms;
use function Sodium\add;

class ContactsController extends Controller
{


    public function index(){

        if(Gate::denies('details')){

            addlog(tc('no.permission.error.msg')   ,'100');
            session()->flash('error', tc('no.permission.error.msg'));
            return redirect()->route('cms.dashboard');
        }


        $address = TranslationsCms::where('trans_key','currentaddress')->get();
        return view('backend.pages.details.contact',['address'=>$address]);

    }



    public function savecontacts(Request $request){


        $cont = Settings::where('key','contact')->first();


        $coninfo = [
            'phone' => $request->phone,
            'mail' => $request->mail,
            'latitude' => $request->latitude,
            'longitude' => $request->longitude,
        ];
        $cont->value = json_encode($coninfo);
        $cont->save();
        $locales = getLocales();
        foreach ($locales as $l){
            $address = TranslationsCms::where('trans_key','currentaddress')->where('locale',$l->locale)->first();
            if(empty($address->trans_key)){
                $addres = New TranslationsCms();
                $addres->locale = $l->locale;
                $addres->trans_key = 'currentaddress';
                $addres->value = $request->input('address-'.$l->locale);
                $addres->save();
            } else {
                $address->value = $request->input('address-'.$l->locale);
                $address->save();
            }
        }

        addlog(tc('contact.info.edited.msg') ,'500');
        session()->flash('success', tc('contact.info.edited.msg'));
        return redirect()->route('cms.contacts');


    }




}
