<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Mail;
use Gate;

class MailController extends Controller
{

    public function list (){

        if(Gate::denies('details')){
            addlog(tc('no.permission.error.msg')   ,'100');
            session()->flash('error', tc('no.permission.error.msg'));
            return redirect()->route('cms.dashboard');
        }

        $mails = Mail::orderBy('id','DESC')->get();
        return view('backend.pages.details.mails',['mails'=>$mails]);
    }



    public function deletemail (Request $request){

       $mail =  Mail::where('id',$request->delmailid)->first();
        addlog($mail->mail . ' ' .tc('mail.deleted.msg') ,'600');
        $mail->delete();
        session()->flash('success', tc('mail.deleted.msg'));
        return redirect()->route('cms.mail.list');


    }



    public function add (Request $request){

        $mail = New Mail();
        $mail->name = $request->name;
        $mail->mail = $request->mail;
        $mail->save();

        addlog($request->mail . ' ' .tc('mail.added.msg') ,'400');
        session()->flash('success', 'daemata warmatebit');
        return redirect()->route('cms.mail.list');


    }





}
