<?php

namespace App\Http\Controllers\Admin;

use App\Meta;
use App\MetaTranslations;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Gate;
use Illuminate\Support\Facades\Auth;



class MetaController  extends Controller
{


    public function list(){


        $news = Meta::where('page','news')->first();
        $home = Meta::where('page','home')->first();
        $projects = Meta::where('page','projects')->first();
        $contact = Meta::where('page','contact')->first();


        return view('backend.pages.meta.list',['home'=>$home,'news'=>$news,'projects'=>$projects,'contact'=>$contact]);
    }









    public function savemeta (Request $request){

        if(Gate::denies('seo')){
            session()->flash('error', tc('no.permission.error.msg'));
            return redirect()->route('cms.dashboard');
        }
        $meta = Meta::where('page',$request->page)->first();
        $locales = getLocales();
        foreach ($locales as $l){
            $metatr = MetaTranslations::where('meta_id',$meta->id)->where('locale',$l->locale)->first();
            if(!$metatr){
                $metatr = New MetaTranslations();
            }
            $metatr->meta_id = $meta->id;
            $metatr->locale = $l->locale;
            $metatr->title = $request->input('title_'.$l->locale);
            $metatr->meta_keywords = $request->input('meta_keywords_'.$l->locale);
            $metatr->meta_description = $request->input('meta_description_'.$l->locale);
            $metatr->save();
        }

        addlog(tc('meta.tags.edited.msg'),500);
        session()->flash('success', tc('meta.tags.edited.msg'));
       return redirect()->back();

    }
















}
