<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Gate;
use App\News;
use App\Meta;
use App\NewsSlider;
use App\NewsTranslations;
class NewsController extends Controller
{

    public function list (){

        if(Gate::denies('სიახლეები')){
            addlog(tc('no.permission.error.msg')   ,'100');
            session()->flash('error', tc('no.permission.error.msg'));
            return redirect()->route('cms.dashboard');
        }



        $news = News::orderBy('created_at','DESC')->get();
        return view('backend.pages.news.list',['news'=>$news]);
    }

   

    public function add(Request $request){

        $news = New News();
        $news->status = $request->status;
        $news->promotion = $request->promotion;
        if (strlen($_FILES['banner']['name'][0]) >= 1) {
            //Loop through each file
            for ($i = 0; $i < count($_FILES['banner']['name']); $i++) {
                //Get the temp file path
                $tmpFilePath = $_FILES['banner']['tmp_name'][$i];
                //Make sure we have a filepath
                $file_type = $_FILES['banner']['type'][$i];
                $allowed = array("image/jpeg", "image/png");
                if(!in_array($file_type, $allowed)) {
                    addlog(tc('invalid.format.msg') . ' ' .$_FILES["banner"]['type'][$i] ,900);
                    session()->flash('error',  tc('invalid.format.msg') . ' ' .$_FILES["banner"]['type'][$i]);
                    return redirect()->route('cms.news.list');
                } else {
                    if ($tmpFilePath != "") {
                        //save the filename
                        $shortname = $_FILES['banner']['name'][$i];
                        //save the url and the file
                        $filePath = "files/shares/newsimages/news-" . date('His') . $_FILES['banner']['name'][$i];
                        $imglink = "news-". date('His') . $_FILES['banner']['name'][$i];
                        //Upload the file into the temp dir
                        if (move_uploaded_file($tmpFilePath, $filePath)) {
                            $files[] = $shortname;
                            $replc = str_replace(' ', '-', $filePath);
                            rename($filePath,$replc);
                            $flnm   = str_replace(' ', '-', $imglink);
                            $news->banner = $flnm;
                        }
                    }
                }

            }
        }
        $news->save();



        $locales = getLocales();
        foreach ($locales as $l){
            $newstr = New NewsTranslations();
            $newstr->news_id = $news->id;
            $newstr->locale = $l->locale;
            $newstr->name = $request->input('name_'.$l->locale);
            $newstr->meta_keywords = $request->input('meta_keywords_'.$l->locale);
            $newstr->meta_description = $request->input('meta_description_'.$l->locale);
            $newstr->description = $request->input('description_'.$l->locale);
            $newstr->slug = $request->input('slug_'.$l->locale);
            $newstr->save();
        }

        addlog(tc('news.added.msg'),400);
        session()->flash('success', tc('news.added.msg'));
        return redirect()->route('cms.news.list');
    }





    public function edit(Request $request,$id){

        $news = News::findorFail($id);
        return view('backend.pages.news.edit',['news'=>$news]);
    }

    public function deleteimg(Request $request){

        NewsSlider::where('id',$request->delimg)->delete();
        return ['success'=>'true'];
    }
    public function editsave(Request $request){


        $news = News::findorFail($request->id);
        $news->status = $request->status;
        $news->promotion = $request->promotion;
        if (strlen($_FILES['banner']['name'][0]) >= 1) {
            //Loop through each file
            for ($i = 0; $i < count($_FILES['banner']['name']); $i++) {
                //Get the temp file path
                $tmpFilePath = $_FILES['banner']['tmp_name'][$i];
                //Make sure we have a filepath
                $file_type = $_FILES['banner']['type'][$i];
                $allowed = array("image/jpeg", "image/png");
                if(!in_array($file_type, $allowed)) {
                    addlog(tc('invalid.format.msg') . ' ' .$_FILES["banner"]['type'][$i] ,900);
                    session()->flash('error',  tc('invalid.format.msg') . ' ' .$_FILES["banner"]['type'][$i]);
                    return redirect()->route('cms.news.list');
                } else {
                    if ($tmpFilePath != "") {
                        //save the filename
                        $shortname = $_FILES['banner']['name'][$i];
                        //save the url and the file
                        $filePath = "files/shares/newsimages/news-" . date('His') . $_FILES['banner']['name'][$i];
                        $imglink = "news-". date('His') . $_FILES['banner']['name'][$i];
                        //Upload the file into the temp dir
                        if (move_uploaded_file($tmpFilePath, $filePath)) {
                            $files[] = $shortname;
                            $replc = str_replace(' ', '-', $filePath);
                            rename($filePath,$replc);
                            $flnm   = str_replace(' ', '-', $imglink);
                            $news->banner = $flnm;
                        }
                    }
                }

            }
        }
        $news->save();



        $locales = getLocales();
        foreach ($locales as $l){
            $newstr = NewsTranslations::where('news_id',$request->id)->where('locale',$l->locale)->first();
            if(!$newstr){
                $newstr = New NewsTranslations();
            }
            $newstr->news_id = $news->id;
            $newstr->locale = $l->locale;
            $newstr->name = $request->input('name_'.$l->locale);
            $newstr->meta_keywords = $request->input('meta_keywords_'.$l->locale);
            $newstr->meta_description = $request->input('meta_description_'.$l->locale);
            $newstr->description = $request->input('description_'.$l->locale);
            $newstr->slug = $request->input('slug_'.$l->locale);
            $newstr->save();
        }


        if (strlen($_FILES['nslider']['name'][0]) >= 1) {
            //Loop through each file
            for ($i = 0; $i < count($_FILES['nslider']['name']); $i++) {
                //Get the temp file path
                $tmpFilePath = $_FILES['nslider']['tmp_name'][$i];
                //Make sure we have a filepath
                $file_type = $_FILES['nslider']['type'][$i];
                $allowed = array("image/jpeg", "image/png");
                if(!in_array($file_type, $allowed)) {
                    addlog(tc('invalid.format.msg') . ' ' .$_FILES["nslider"]['type'][$i] ,900);
                    session()->flash('error',  tc('invalid.format.msg') . ' ' .$_FILES["nslider"]['type'][$i]);
                    return redirect()->route('cms.news.list');
                } else {
                    if ($tmpFilePath != "") {
                        //save the filename
                        $shortname = $_FILES['nslider']['name'][$i];
                        //save the url and the file
                        $filePath = "files/shares/projectimages/sla-" . date('His') . $_FILES['nslider']['name'][$i];
                        $imglink = "sla-". date('His') . $_FILES['nslider']['name'][$i];
                        //Upload the file into the temp dir
                        if (move_uploaded_file($tmpFilePath, $filePath)) {
                            $files[] = $shortname;
                            $replc = str_replace(' ', '-', $filePath);
                            rename($filePath,$replc);
                            $flnm   = str_replace(' ', '-', $imglink);
                            $nslider = New NewsSlider();
                            $nslider->news_id = $request->id;
                            $nslider->img = $flnm;
                            $nslider->save();


                        }
                    }
                }

            }
        }
        addlog(tc('news.edited.msg'),500);
        session()->flash('success', tc('news.edited.msg'));
        return redirect()->route('cms.news.list');
    }










    public function delete(Request $request){

        $news = News::findorFail($request->delnewsid);
         $locales = getLocales();
        foreach ($locales as $l){
            $newstr = NewsTranslations::where('news_id',$news->id)->where('locale',$l->locale)->first();
            if($newstr){
                $newstr->delete();
            }
        }
        $news->delete();

        addlog(tc('news.deleted.msg'),600);
        session()->flash('success', tc('news.deleted.msg'));
        return redirect()->route('cms.news.list');

    }










}
