<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\File;
use App\User;



class ProfileController extends Controller
{

    public function index()  {
        return view('backend.pages.profile.profile');

    }


    public function edit(Request $request)
    {
        $user = User::findorfail(Auth::user()->id);

        if(!empty($request->name)){
            $user->name = $request->name;
        }
        $user->surname = $request->surname;

        $user->phone = $request->phone;
        if(!empty($request->email)){
            if(Auth::user()->email != $request->email){
            $checkmail = User::where('email',$request->email)->first();
            if(empty($checkmail->email)){
                $user->email = $request->email;
            } else{

                addlog(tc('mail.unique.error.msg') ,'200');
                session()->flash('error',tc('mail.unique.error.msg'));
                return redirect()->route('cms.profile');
            } } else {
                $user->email = $request->email;
            }
        }

        //bcrypt($request->newpassword);

        if(!empty($request->newpassword)){
                $user->password = bcrypt($request->newpassword);
        }


        if(!empty($request->image)){
            $this->validate($request, [
                'image' => 'required|image|mimes:jpeg,png,jpg,gif,svg|max:2048',
            ]);
            $imageName = $user->id . '.' . $request->file('image')->getClientOriginalExtension();

            $request->file('image')->move(
                base_path() . '/public/back/images/profiles/', $imageName
            );
            $user->avatar = $imageName;
        }


        $user->save();

        addlog(tc('profile.edited.msg') ,'500');
        session()->flash('success',tc('profile.edited.msg'));
        return redirect()->route('cms.profile');
    }


}
