<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Gate;
use App\Projects;
use App\ProjectsSlider;
use App\ProjectsTranslations;
use App\ProjectsProcess;
use App\Meta;
use App\Flats;
use App\Floors;
use App\Project;

class ProjectsController extends Controller
{

    public function list (){

        if(Gate::denies('პროექტები')){
            addlog(tc('no.permission.error.msg')   ,'100');
            session()->flash('error', tc('no.permission.error.msg'));
            return redirect()->route('cms.dashboard');
        }

        $projects = Projects::orderBy('created_at','DESC')->get();

        return view('backend.pages.projects.list',['projects'=>$projects]);
    }








    public function editproject ($id){
        if(Gate::denies('პროექტები')){
            addlog(tc('no.permission.error.msg')   ,'100');
            session()->flash('error', tc('no.permission.error.msg'));
            return redirect()->route('cms.dashboard');
        }
        $project = Projects::findorfail($id);
        return view('backend.pages.projects.editproject',['project'=>$project]);


    }


    public function deleteimg(Request $request){

        ProjectsSlider::where('id',$request->delimg)->delete();
        return ['success'=>'true'];
    }

    public function projecteditsave(Request $request){

        $project = Projects::findorfail($request->id);

        $project->status = $request->status;
        $project->onslider = $request->onslider;
        $project->condition = $request->condition;
        $project->project_start = $request->start_year . '-' . $request->start_month . '-1';
        $project->project_end = $request->end_year . '-' . $request->end_month . '-1';
        $project->price_start = $request->price_start;
        $project->price_end = $request->price_end;
        $project->area_start = $request->area_start;
        $project->area_end = $request->area_end;
        $project->discount = $request->discount;
        $project->installment = $request->installment;
        $project->map_lat = $request->map_lat;
        $project->map_long = $request->map_long;



        if (strlen($_FILES['banner']['name'][0]) >= 1) {
            //Loop through each file
            for ($i = 0; $i < count($_FILES['banner']['name']); $i++) {
                //Get the temp file path
                $tmpFilePath = $_FILES['banner']['tmp_name'][$i];
                //Make sure we have a filepath
                $file_type = $_FILES['banner']['type'][$i];
                $allowed = array("image/jpeg", "image/png");
                if(!in_array($file_type, $allowed)) {
                    addlog(tc('invalid.format.msg') . ' ' .$_FILES["banner"]['type'][$i] ,900);
                    session()->flash('error',  tc('invalid.format.msg') . ' ' .$_FILES["banner"]['type'][$i]);
                    return redirect()->route('cms.projects.list');
                } else {
                    if ($tmpFilePath != "") {
                        //save the filename
                        $shortname = $_FILES['banner']['name'][$i];
                        //save the url and the file
                        $filePath = "files/shares/projectimages/cv-" . date('His') . $_FILES['banner']['name'][$i];
                        $imglink = "cv-". date('His') . $_FILES['banner']['name'][$i];
                        //Upload the file into the temp dir
                        if (move_uploaded_file($tmpFilePath, $filePath)) {
                            $files[] = $shortname;
                            $replc = str_replace(' ', '-', $filePath);
                            rename($filePath,$replc);
                            $flnm   = str_replace(' ', '-', $imglink);
                            $project->banner = $flnm;
                        }
                    }
                }

            }
        }
        $project->save();



        $locales = getLocales();
        foreach ($locales as $l){
            $projecttr = ProjectsTranslations::where('projects_id',$request->id)->where('locale',$l->locale)->first();
            if(!$projecttr){
                $projecttr = New ProjectsTranslations();
            }

            $projecttr->projects_id = $request->id;
            $projecttr->locale = $l->locale;
            $projecttr->name = $request->input('name_'.$l->locale);
            $projecttr->meta_keywords = $request->input('meta_keywords_'.$l->locale);
            $projecttr->meta_description = $request->input('meta_description_'.$l->locale);
            $projecttr->mini_description = $request->input('mini_description_'.$l->locale);
            $projecttr->description = $request->input('description_'.$l->locale);
            $projecttr->restunia = $request->input('restunia_'.$l->locale);
            $projecttr->samedicinoa = $request->input('samedicinoa_'.$l->locale);
            $projecttr->avtosadgomia = $request->input('avtosadgomia_'.$l->locale);
            $projecttr->martvaa = $request->input('martvaa_'.$l->locale);
            $projecttr->etapebi = $request->input('etapebi_'.$l->locale);
            $projecttr->address = $request->input('address_'.$l->locale);
            $projecttr->slug = $request->input('slug_'.$l->locale);
            $projecttr->save();
        }



        if (strlen($_FILES['slider']['name'][0]) >= 1) {
            //Loop through each file
            for ($i = 0; $i < count($_FILES['slider']['name']); $i++) {
                //Get the temp file path
                $tmpFilePath = $_FILES['slider']['tmp_name'][$i];
                //Make sure we have a filepath
                $file_type = $_FILES['slider']['type'][$i];
                $allowed = array("image/jpeg", "image/png");
                if(!in_array($file_type, $allowed)) {
                    addlog(tc('invalid.format.msg') . ' ' .$_FILES["slider"]['type'][$i] ,900);
                    session()->flash('error',  tc('invalid.format.msg') . ' ' .$_FILES["slider"]['type'][$i]);
                    return redirect()->route('cms.projects.list');
                } else {
                    if ($tmpFilePath != "") {
                        //save the filename
                        $shortname = $_FILES['slider']['name'][$i];
                        //save the url and the file
                        $filePath = "files/shares/projectimages/sl-" . date('His') . $_FILES['slider']['name'][$i];
                        $imglink = "sl-". date('His') . $_FILES['slider']['name'][$i];
                        //Upload the file into the temp dir
                        if (move_uploaded_file($tmpFilePath, $filePath)) {
                            $files[] = $shortname;
                            $replc = str_replace(' ', '-', $filePath);
                            rename($filePath,$replc);
                            $flnm   = str_replace(' ', '-', $imglink);
                            $slider = New ProjectsSlider();
                            $slider->projects_id = $request->id;
                            $slider->img = $flnm;
                            $slider->save();


                        }
                    }
                }

            }
        }

        addlog(tc('project.edited.msg'),500);
        session()->flash('success', tc('project.edited.msg'));
        return redirect()->route('cms.projects.list');

    }





    public function process($id){

        if(Gate::denies('პროექტები')){
            addlog(tc('no.permission.error.msg')   ,'100');
            session()->flash('error', tc('no.permission.error.msg'));
            return redirect()->route('cms.dashboard');
        }
        $project = Projects::findorfail($id);


        return view('backend.pages.projects.process',['project'=>$project]);

    }


    public function processsave(Request $request,$id){




        $process = New ProjectsProcess();
        $process->projects_id = $id;
        $process->date = $request->date;
        if (strlen($_FILES['process']['name'][0]) >= 1) {
            //Loop through each file
            for ($i = 0; $i < count($_FILES['process']['name']); $i++) {
                //Get the temp file path
                $tmpFilePath = $_FILES['process']['tmp_name'][$i];
                //Make sure we have a filepath
                $file_type = $_FILES['process']['type'][$i];
                $allowed = array("image/jpeg", "image/png");
                if(!in_array($file_type, $allowed)) {
                    addlog(tc('invalid.format.msg') . ' ' .$_FILES["process"]['type'][$i] ,900);
                    session()->flash('error',  tc('invalid.format.msg') . ' ' .$_FILES["process"]['type'][$i]);
                    return redirect()->route('cms.projects.list');
                } else {
                    if ($tmpFilePath != "") {
                        //save the filename
                        $shortname = $_FILES['process']['name'][$i];
                        //save the url and the file
                        $filePath = "files/shares/projectimages/process/pr-" . date('His') . $_FILES['process']['name'][$i];
                        $imglink = "pr-". date('His') . $_FILES['process']['name'][$i];
                        //Upload the file into the temp dir
                        if (move_uploaded_file($tmpFilePath, $filePath)) {
                            $files[] = $shortname;
                            $replc = str_replace(' ', '-', $filePath);
                            rename($filePath,$replc);
                            $flnm   = str_replace(' ', '-', $imglink);
                            $process->img = $flnm;
                        }
                    }
                }

            }
        }
        $process->save();
        addlog(tc('project.process.add.msg'),400);
        session()->flash('success', tc('project.process.add.msg'));
        return redirect()->route('cms.projects.process',$id);
    }



    public  function procesdelete(Request $request,$id){

        $process = ProjectsProcess::findorFail($request->delprocessid);

        unlink('files/shares/projectimages/process/'.$process->img);
        $process->delete();

        addlog(tc('project.process.delete.msg'),600);
        session()->flash('success', tc('project.process.delete.msg'));
        return redirect()->route('cms.projects.process',$id);
    }



    public function flats(Request $request, $id){

        $projects = Projects::findorfail($id);
        $project = Project::where('projects_id',$id)->first();

        //filters
        $flats = New Flats();
        $flat =[];
        $filters = [
            'status','flatnum'
        ];
        foreach ($filters as $filter){

            if(request()->has($filter)){
                $flats  = $flats->where($filter,'LIKE',request($filter));
                $flat[$filter] = request($filter);
            }
        }

        $flats = $flats->where('project_id',$project->id)->orderBy('floor','ASC')->orderBy('flatnum','ASC')->paginate(10)->appends($flat);
        //filters





        //$flats = Flats::where('project_id',$project->id)->orderBy('floor','ASC')->orderBy('flatnum','ASC')->paginate(10);


        return view('backend.pages.projects.flats',['projects'=>$projects,'project'=>$project,'flats'=>$flats]);

    }

    public function flatsedit(Request $request){

       //change project
        if ($request->change == 'project'){
            $project = Project::where('projects_id',$request->projects_id)->first();
            if (!$project){ $project = New Project();
            }
            $project->polygon = $request->polygon;
            if (strlen($_FILES['image']['name'][0]) >= 1) {
                //Loop through each file
                for ($i = 0; $i < count($_FILES['image']['name']); $i++) {
                    //Get the temp file path
                    $tmpFilePath = $_FILES['image']['tmp_name'][$i];
                    //Make sure we have a filepath
                    $file_type = $_FILES['image']['type'][$i];
                    $allowed = array("image/jpeg", "image/png");
                    if(!in_array($file_type, $allowed)) {
                        addlog(tc('invalid.format.msg') . ' ' .$_FILES["image"]['type'][$i] ,900);
                        session()->flash('error',  tc('invalid.format.msg') . ' ' .$_FILES["image"]['type'][$i]);
                        return redirect()->route('cms.projects.flats.edit',$request->projects_id);
                    } else {
                        if ($tmpFilePath != "") {
                            //save the filename
                            $shortname = $_FILES['image']['name'][$i];
                            //save the url and the file
                            $filePath = "front/flats/" . date('His') . $_FILES['image']['name'][$i];
                            $imglink =  date('His') . $_FILES['image']['name'][$i];
                            //Upload the file into the temp dir
                            if (move_uploaded_file($tmpFilePath, $filePath)) {
                                $files[] = $shortname;
                                $replc = str_replace(' ', '-', $filePath);
                                rename($filePath,$replc);
                                $flnm   = str_replace(' ', '-', $imglink);
                                $project->img = $flnm;
                            }
                        }
                    }
                }
            }
            $project->save();
        }

        //change floor

        if ($request->change == 'floor'){
            $floor = Floors::where('id',$request->id)->first();
            if (!$floor){
                $floor = New Floors();
                $floor->project_id = $request->projectid;
            }
            $floor->polygon = $request->polygon;
            $floor->floor = $request->floor;
            if (strlen($_FILES['floorimg']['name'][0]) >= 1) {
                //Loop through each file
                for ($i = 0; $i < count($_FILES['floorimg']['name']); $i++) {
                    //Get the temp file path
                    $tmpFilePath = $_FILES['floorimg']['tmp_name'][$i];
                    //Make sure we have a filepath
                    $file_type = $_FILES['floorimg']['type'][$i];
                    $allowed = array("image/jpeg", "image/png");
                    if(!in_array($file_type, $allowed)) {
                        addlog(tc('invalid.format.msg') . ' ' .$_FILES["floorimg"]['type'][$i] ,900);
                        session()->flash('error',  tc('invalid.format.msg') . ' ' .$_FILES["floorimg"]['type'][$i]);
                        return redirect()->route('cms.projects.flats.edit',$request->projects_id);
                    } else {
                        if ($tmpFilePath != "") {
                            //save the filename
                            $shortname = $_FILES['floorimg']['name'][$i];
                            //save the url and the file
                            $filePath = "front/flats/" . date('His') . $_FILES['floorimg']['name'][$i];
                            $imglink =  date('His') . $_FILES['floorimg']['name'][$i];
                            //Upload the file into the temp dir
                            if (move_uploaded_file($tmpFilePath, $filePath)) {
                                $files[] = $shortname;
                                $replc = str_replace(' ', '-', $filePath);
                                rename($filePath,$replc);
                                $flnm   = str_replace(' ', '-', $imglink);
                                $floor->img = $flnm;
                            }
                        }
                    }
                }
            }
            $floor->save();
        }



        //remove floor
        if ($request->change == 'delfloor'){
           $floor =  Floors::findorfail($request->id);
           $floor->delete();


        }


        //remove flat

        if ($request->change == 'delflat'){
            $flat =  Flats::findorfail($request->id);
            $flat->delete();


        }



        if ($request->change == 'flat'){
            $flat = Flats::where('id',$request->id)->first();
            if(!$flat){
                $flat = New Flats();
            }
            $flat->project_id = $request->projectid;
            $flat->status = $request->status;
            $flat->floor = $request->floornum;
            $flat->flatnum = $request->flatnumb;
            $flat->area = $request->areanum;


            if (strlen($_FILES['flatimg']['name'][0]) >= 1) {
                //Loop through each file
                for ($i = 0; $i < count($_FILES['flatimg']['name']); $i++) {
                    //Get the temp file path
                    $tmpFilePath = $_FILES['flatimg']['tmp_name'][$i];
                    //Make sure we have a filepath
                    $file_type = $_FILES['flatimg']['type'][$i];
                    $allowed = array("image/jpeg", "image/png");
                    if(!in_array($file_type, $allowed)) {
                        addlog(tc('invalid.format.msg') . ' ' .$_FILES["flatimg"]['type'][$i] ,900);
                        session()->flash('error',  tc('invalid.format.msg') . ' ' .$_FILES["flatimg"]['type'][$i]);
                        return redirect()->route('cms.projects.flats.edit',$request->projects_id);
                    } else {
                        if ($tmpFilePath != "") {
                            //save the filename
                            $shortname = $_FILES['flatimg']['name'][$i];
                            //save the url and the file
                            $filePath = "front/flats/" . date('His') . $_FILES['flatimg']['name'][$i];
                            $imglink =  date('His') . $_FILES['flatimg']['name'][$i];
                            //Upload the file into the temp dir
                            if (move_uploaded_file($tmpFilePath, $filePath)) {
                                $files[] = $shortname;
                                $replc = str_replace(' ', '-', $filePath);
                                rename($filePath,$replc);
                                $flnm   = str_replace(' ', '-', $imglink);
                                $flat->img = $flnm;
                            }
                        }
                    }
                }
            }

            $flat->save();


        }



        addlog(tc('project.flat.edited.msg'),500);
        session()->flash('success', tc('project.process.delete.msg'));
        return redirect()->back();
    }

    public function getfloor(Request $request){

       return Floors::findorfail($request->id);


    }

    public function getflat(Request $request){

        $flat = Flats::findorFail($request->id);
        return $flat;
    }






}
