<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Gate;
use App\Settings;


class SeoController extends Controller
{

    public function  scripts(Request $request){

        if(Gate::denies('seo')){

            addlog(tc('no.permission.error.msg') ,'100');
            session()->flash('error', tc('no.permission.error.msg'));
            return redirect()->route('cms.dashboard');
        }


        return view('backend.pages.seo.scripts');
    }

    public function  scriptsave(Request $request){
        $seoscr = Settings::where('key','seo')->first();
        $seoscr->value = $request->seoscripts;
        $seoscr->save();
        addlog(tc('scripts.added.msg') ,'500');
        session()->flash('success', tc('scripts.added.msg'));
        return redirect()->route('cms.scripts.index');
    }


    public function  robots(Request $request){

        if(Gate::denies('seo')){
            addlog(tc('no.permission.error.msg') ,'100');
            session()->flash('error', tc('no.permission.error.msg'));
            return redirect()->route('cms.dashboard');
        }

        $robotsge = Settings::where('key','robotge')->first();



        return view('backend.pages.seo.robots',['robotsge'=>$robotsge->value]);
    }

    public function  robotssave(Request $request){
        $robge = Settings::where('key','robotge')->first();
        $robge->value = $request->robotsge;
        $robge->save();

        addlog(tc('robotstxt.saved.msg') ,'500');
        session()->flash('success', tc('robotstxt.saved.msg'));
        return redirect()->route('cms.robots.index');
    }




}
