<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Gate;
use App\Tours;
use App\Meta;
use App\ToursSlider;
use App\ToursTranslations;
class ToursController extends Controller
{

    public function list (){

        if(Gate::denies('სიახლეები')){
            addlog(tc('no.permission.error.msg')   ,'100');
            session()->flash('error', tc('no.permission.error.msg'));
            return redirect()->route('cms.dashboard');
        }



        $tours = Tours::orderBy('created_at','DESC')->get();
        return view('backend.pages.tours.list',['tours'=>$tours]);
    }

   

    public function add(Request $request){

        $tours = New Tours();
        $tours->status = $request->status;
        $tours->promotion = $request->promotion;
        $tours->price = $request->price;
        if (strlen($_FILES['banner']['name'][0]) >= 1) {
            //Loop through each file
            for ($i = 0; $i < count($_FILES['banner']['name']); $i++) {
                //Get the temp file path
                $tmpFilePath = $_FILES['banner']['tmp_name'][$i];
                //Make sure we have a filepath
                $file_type = $_FILES['banner']['type'][$i];
                $allowed = array("image/jpeg", "image/png");
                if(!in_array($file_type, $allowed)) {
                    addlog(tc('invalid.format.msg') . ' ' .$_FILES["banner"]['type'][$i] ,900);
                    session()->flash('error',  tc('invalid.format.msg') . ' ' .$_FILES["banner"]['type'][$i]);
                    return redirect()->route('cms.tours.list');
                } else {
                    if ($tmpFilePath != "") {
                        //save the filename
                        $shortname = $_FILES['banner']['name'][$i];
                        //save the url and the file
                        $filePath = "files/shares/toursimages/tours-" . date('His') . $_FILES['banner']['name'][$i];
                        $imglink = "tours-". date('His') . $_FILES['banner']['name'][$i];
                        //Upload the file into the temp dir
                        if (move_uploaded_file($tmpFilePath, $filePath)) {
                            $files[] = $shortname;
                            $replc = str_replace(' ', '-', $filePath);
                            rename($filePath,$replc);
                            $flnm   = str_replace(' ', '-', $imglink);
                            $tours->banner = $flnm;
                        }
                    }
                }

            }
        }
        $tours->save();



        $locales = getLocales();
        foreach ($locales as $l){
            $tourstr = New ToursTranslations();
            $tourstr->tours_id = $tours->id;
            $tourstr->locale = $l->locale;
            $tourstr->name = $request->input('name_'.$l->locale);
            $tourstr->meta_keywords = $request->input('meta_keywords_'.$l->locale);
            $tourstr->meta_description = $request->input('meta_description_'.$l->locale);
            $tourstr->description = $request->input('description_'.$l->locale);
            $tourstr->slug = $request->input('slug_'.$l->locale);
            $tourstr->save();
        }

        addlog(tc('tours.added.msg'),400);
        session()->flash('success', tc('tours.added.msg'));
        return redirect()->route('cms.tours.list');
    }





    public function edit(Request $request,$id){

        $tours = Tours::findorFail($id);
        return view('backend.pages.tours.edit',['tours'=>$tours]);
    }

    public function deleteimg(Request $request){

        ToursSlider::where('id',$request->delimg)->delete();
        return ['success'=>'true'];
    }
    public function editsave(Request $request){


        $tours = Tours::findorFail($request->id);
        $tours->status = $request->status;
        $tours->promotion = $request->promotion;
        $tours->price = $request->price;
        if (strlen($_FILES['banner']['name'][0]) >= 1) {
            //Loop through each file
            for ($i = 0; $i < count($_FILES['banner']['name']); $i++) {
                //Get the temp file path
                $tmpFilePath = $_FILES['banner']['tmp_name'][$i];
                //Make sure we have a filepath
                $file_type = $_FILES['banner']['type'][$i];
                $allowed = array("image/jpeg", "image/png");
                if(!in_array($file_type, $allowed)) {
                    addlog(tc('invalid.format.msg') . ' ' .$_FILES["banner"]['type'][$i] ,900);
                    session()->flash('error',  tc('invalid.format.msg') . ' ' .$_FILES["banner"]['type'][$i]);
                    return redirect()->route('cms.tours.list');
                } else {
                    if ($tmpFilePath != "") {
                        //save the filename
                        $shortname = $_FILES['banner']['name'][$i];
                        //save the url and the file
                        $filePath = "files/shares/toursimages/tours-" . date('His') . $_FILES['banner']['name'][$i];
                        $imglink = "tours-". date('His') . $_FILES['banner']['name'][$i];
                        //Upload the file into the temp dir
                        if (move_uploaded_file($tmpFilePath, $filePath)) {
                            $files[] = $shortname;
                            $replc = str_replace(' ', '-', $filePath);
                            rename($filePath,$replc);
                            $flnm   = str_replace(' ', '-', $imglink);
                            $tours->banner = $flnm;
                        }
                    }
                }

            }
        }
        $tours->save();



        $locales = getLocales();
        foreach ($locales as $l){
            $tourstr = ToursTranslations::where('tours_id',$request->id)->where('locale',$l->locale)->first();
            if(!$tourstr){
                $tourstr = New ToursTranslations();
            }
            $tourstr->tours_id = $tours->id;
            $tourstr->locale = $l->locale;
            $tourstr->name = $request->input('name_'.$l->locale);
            $tourstr->meta_keywords = $request->input('meta_keywords_'.$l->locale);
            $tourstr->meta_description = $request->input('meta_description_'.$l->locale);
            $tourstr->description = $request->input('description_'.$l->locale);
            $tourstr->slug = $request->input('slug_'.$l->locale);
            $tourstr->save();
        }


        if (strlen($_FILES['nslider']['name'][0]) >= 1) {
            //Loop through each file
            for ($i = 0; $i < count($_FILES['nslider']['name']); $i++) {
                //Get the temp file path
                $tmpFilePath = $_FILES['nslider']['tmp_name'][$i];
                //Make sure we have a filepath
                $file_type = $_FILES['nslider']['type'][$i];
                $allowed = array("image/jpeg", "image/png");
                if(!in_array($file_type, $allowed)) {
                    addlog(tc('invalid.format.msg') . ' ' .$_FILES["nslider"]['type'][$i] ,900);
                    session()->flash('error',  tc('invalid.format.msg') . ' ' .$_FILES["nslider"]['type'][$i]);
                    return redirect()->route('cms.tours.list');
                } else {
                    if ($tmpFilePath != "") {
                        //save the filename
                        $shortname = $_FILES['nslider']['name'][$i];
                        //save the url and the file
                        $filePath = "files/shares/projectimages/sla-" . date('His') . $_FILES['nslider']['name'][$i];
                        $imglink = "sla-". date('His') . $_FILES['nslider']['name'][$i];
                        //Upload the file into the temp dir
                        if (move_uploaded_file($tmpFilePath, $filePath)) {
                            $files[] = $shortname;
                            $replc = str_replace(' ', '-', $filePath);
                            rename($filePath,$replc);
                            $flnm   = str_replace(' ', '-', $imglink);
                            $nslider = New ToursSlider();
                            $nslider->tours_id = $request->id;
                            $nslider->img = $flnm;
                            $nslider->save();


                        }
                    }
                }

            }
        }
        addlog(tc('tours.edited.msg'),500);
        session()->flash('success', tc('tours.edited.msg'));
        return redirect()->route('cms.tours.list');
    }










    public function delete(Request $request){

        $tours = Tours::findorFail($request->deltoursid);
         $locales = getLocales();
        foreach ($locales as $l){
            $tourstr = ToursTranslations::where('tours_id',$tours->id)->where('locale',$l->locale)->first();
            if($tourstr){
                $tourstr->delete();
            }
        }
        $tours->delete();

        addlog(tc('tours.deleted.msg'),600);
        session()->flash('success', tc('tours.deleted.msg'));
        return redirect()->route('cms.tours.list');

    }










}
