<?php

namespace App\Http\Controllers;
use App\Flats;
use App\Http\Controllers\Controller;
use Gate;
use Illuminate\Http\Request;
use Mail;
use App\Projects;
use App\News;
use App\Miceevents;
use App\Tours;
use App\About;
use App\Meta;
use App\Project;
use App\Mail as Mailist;



class MainController extends Controller
{

    public function index ()
    {

        $slider = Projects::where('onslider',1)->where('status',1)->get();
        $projects = Projects::where('status',1)->take(4)->get();
        $news = News::where('status',1)->orderBy('promotion','DESC')->orderBy('created_at','DESC')->take(4)->get();
        $tours = Tours::where('status',1)->orderBy('promotion','DESC')->orderBy('created_at','DESC')->take(4)->get();
        $about = About::findorFail(1);
        $meta = Meta::where('page','home')->first();


        return view('front.pages.main',[
            'slider'=>$slider,
            'projects'=>$projects,
            'tours'=>$tours,
            'about'=>$about,
            'meta'=>$meta,
            'news'=>$news
        ]);

    }



    public function partners(){

      
        return view('front.pages.partners');

    }
    public function partners1 ($locale = null){

        
        return view('front.pages.partners');

    }



 public function projects(){

      
        return view('front.pages.projects');

    }
    public function projects1 ($locale = null){

        
        return view('front.pages.projects');

    }
    
    

    public function company(){

        $projects = Projects::where('onslider',1)->where('status',1)->get();
        $about = About::findorfail(1);
        return view('front.pages.about',['about'=>$about,'projects'=>$projects]);

    }
    public function companyl($locale = null){

        $projects = Projects::where('onslider',1)->where('status',1)->get();
        $about = About::findorfail(1);
        return view('front.pages.about',['about'=>$about,'projects'=>$projects]);

    }
    public function miceevents(){

        $miceevents = Miceevents::findorfail(1);
        return view('front.pages.miceevents',['miceevents'=>$miceevents]);

    }
    public function miceeventsl($locale = null){

        $miceevents = Miceevents::findorfail(1);
        return view('front.pages.miceevents',['miceevents'=>$miceevents]);

    }

    public function booking(){

        return view('front.pages.booking');

    }
    public function bookingl($locale = null){

        return view('front.pages.booking');

    }
    
    
    public function ourproject(){

        return view('front.pages.ourprojects');

    }
    public function ourprojectl($locale = null){

        return view('front.pages.ourprojects');

    }

    public function newslist(){
        $news = News::where('status',1)->orderBy('promotion','DESC')->orderBy('created_at','DESC')->get();
        $meta = Meta::where('page','news')->first();
        return view('front.pages.newslist',['news'=>$news,'meta'=>$meta]);
    }

    public function newsinl($locale = null,$slug){
        $news = News::whereHas('translations',
            function ($query) use($slug){
            $query->where('slug',$slug);
        })->where('status',1)->first();
        if($news){
            return view('front.pages.newsin',['news'=>$news]);
        } else{
            abort(404);
        }
    }

    public function newsin($slug){
        $news = News::whereHas('translations',
            function ($query) use($slug){
                $query->where('slug',$slug);
            })->where('status',1)->first();
       if($news){
        return view('front.pages.newsin',['news'=>$news]);
       } else{
           abort(404);
       }

    }

 


    public function tourslist(){
        $tours = Tours::where('status',1)->orderBy('promotion','DESC')->orderBy('created_at','DESC')->get();
        $meta = Meta::where('page','tours')->first();
        return view('front.pages.tourslist',['tours'=>$tours,'meta'=>$meta]);
    }

    public function toursinl($locale = null,$slug){
        $tours = Tours::whereHas('translations',
            function ($query) use($slug){
            $query->where('slug',$slug);
        })->where('status',1)->first();
        if($tours){
            return view('front.pages.toursin',['tours'=>$tours]);
        } else{
            abort(404);
        }
    }

    public function toursin($slug){
        $tours = Tours::whereHas('translations',
            function ($query) use($slug){
                $query->where('slug',$slug);
            })->where('status',1)->first();
       if($tours){
        return view('front.pages.toursin',['tours'=>$tours]);
       } else{
           abort(404);
       }

    }





   

    public function contact(){

        $meta = Meta::where('page','contact')->first();

        return view('front.pages.contact',['meta'=>$meta]);

    }



    public function projectinl($locale = null,$slug){
        $project = Projects::whereHas('translations',
            function ($query) use($slug){
                $query->where('slug',$slug);
            })->where('status',1)->first();

        $flats = Project::where('projects_id',$project->id)->first();
        if($project){

            return view('front.pages.projectin',['project'=>$project,'flats'=>$flats]);
        } else{
            abort(404);
        }
    }

    public function projectin($slug){
        $project = Projects::whereHas('translations',
            function ($query) use($slug){
                $query->where('slug',$slug);
            })->where('status',1)->first();
        $flats = Project::where('projects_id',$project->id)->first();
        if($project){
            return view('front.pages.projectin',['project'=>$project,'flats'=>$flats]);
        } else{
            abort(404);
        }

    }



    public function projectslist(){

       $projects = Projects::where('status',1)->orderBy('created_at','DESC')->get();
        $meta = Meta::where('page','projects')->first();
       return view('front.pages.projects',['projects'=>$projects,'meta'=>$meta]);

    }


    public function projectslistongoing(){

        $projects = Projects::where('status',1)->where('condition',1)->orderBy('created_at','DESC')->get();
        $meta = Meta::where('page','projects')->first();
        return view('front.pages.projects',['projects'=>$projects,'meta'=>$meta]);

    }


    public function projectslistcompleted(){

        $projects = Projects::where('status',1)->where('condition',2)->orderBy('created_at','DESC')->get();
        $meta = Meta::where('page','projects')->first();
        return view('front.pages.projects',['projects'=>$projects,'meta'=>$meta]);

    }


    public function projectslistfuture(){

        $projects = Projects::where('status',1)->where('condition',3)->orderBy('created_at','DESC')->get();
        $meta = Meta::where('page','projects')->first();
        return view('front.pages.projects',['projects'=>$projects,'meta'=>$meta]);

    }


    public function getflats(Request $request){

        return Flats::where('project_id',$request->id)->get();

    }


    public function getflatsbynum(Request $request){

        return Flats::where('project_id',$request->id)->where('flatnum',$request->flatnum)->first();

    }



    public function callback(Request $request){
        $mailist = Mailist::get();


        if ($request->from == "flatinfo"){

            if ($request->email){
                $mailz = $request->email;
            } else{ $mailz = 'unknown';}
            $text = tc('language') . ': '.$request->language . ', url: ' . $request->url . ' '
                . tc('project') . ': ' . $request->project . ', ' . tc('flat.info') . ': ' . $request->flatinfo . ', '
                .tc('name') . ': ' . $request->name. ', '.tc('phone') . ': ' . $request->phone . ', Email: ' . $mailz;


            foreach ($mailist as $list) {
            Mail::raw($text, function (\Illuminate\Mail\Message $mail) use ($list){
                $mail->subject('გამოხმაურება კონკრეტულ ბინაზე!');
                $mail->from('no-reply@greentime.ge', 'GreenTime');
                $mail->to($list->mail);
            });
            }
            return redirect()->back();


        } else if ($request->from == "projectin"){

            $text = tc('language') . ': '.$request->language . ', url: ' . $request->url . ' ' . tc('project') . ': ' . $request->project . ', ' .tc('name') . ': ' . $request->name. ', '.tc('phone') . ': ' . $request->phone;
            foreach ($mailist as $list) {
                Mail::raw($text, function (\Illuminate\Mail\Message $mail) use ($list){
                    $mail->subject('გამოხმაურება პროექტზე!');
                    $mail->from('no-reply@greentime.ge', 'GreenTime');
                    $mail->to($list->mail);
                });
            }
            return redirect()->back();
        } else if ($request->from == "contact"){

            if ($request->email){
                $mailz = $request->email;
            } else{ $mailz = 'unknown';}

            $text = tc('language') . ': '.$request->language .  ', ' .tc('name') . ': ' . $request->name. ', '.tc('surname').': '.$request->surname . ', ' .tc('phone') . ': ' . $request->phone. ', ' .tc('mail') . ': ' . $request->email . ' , Message:' . $request->comments. ' , Page:' . $request->url;
            foreach ($mailist as $list) {
                Mail::raw($text, function (\Illuminate\Mail\Message $mail) use ($list){
                    $mail->subject('გამოხმაურება საკონტაქტო გვერდიდან!');
                    $mail->from('no-reply@greentime.ge', 'GreenTime');
                    $mail->to($list->mail);
                });
            }
            return redirect()->back();
        }







    }







}










