<?php namespace App\Http\Middleware;

use Closure;
use Illuminate\Foundation\Http\Middleware\VerifyCsrfToken as BaseVerifier;

class RedirectBadGet extends BaseVerifier
{
    private $allowed = [
        'showtrans',
        'page',
        'status',
        'flatnum',
        'category',
        'id',
        'title',
        'author',
        'code',


    ];

    public function handle($request, Closure $next)
    {
        if ($request->ajax() === false) {
            if ( ! empty( $request->query() )) {
                $diff = array_diff_key($request->query(), array_flip($this->allowed));
                if ( ! empty( $diff )) {
                    $clean = array_except($request->query(), array_keys($diff));
                    $query = '';

                    if ( ! empty( $clean )) {
                        $query = '/?' . http_build_query($clean);
                    }

                    $url = $request->url() . $query;

                    header('Location: ' . $url);
                    die();
                }
            }
        }

        return $next($request);
    }

}
