<?php
/**
 * Created by PhpStorm.
 * User: jedy
 * Date: 7/31/17
 * Time: 11:11 AM
 */


use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

if (!function_exists('setActivator'))
{
    /**
     * @param $route
     * @return string
     * @since 0.1.0-beta
     */
    function setActivator($route)
    {
        if(is_array($route))
        {
            return in_array(Request::path(), $route) ? 'act-link' : '';
        }
        return Request::path() == $route ? 'act-link' : '';
    }
}

if(!function_exists('getLocales'))
{
    /**
     * @return \Illuminate\Database\Eloquent\Collection|static[]
     * @since 0.1.0-beta
     */
    function getLocales()
    {
        return \App\Locales::get();
    }
}








if(!function_exists('getLocaleUrl'))
{
    /**
     * @param $locale
     * @return string
     */
    function getLocaleUrl($locale)
    {


        $deflang = \App\Locales::where('default',1)->first();

        if($locale != $deflang->locale){
            return $locale;
        }else{
            return '';
        }



    }
}


if(!function_exists('getComponent')) {
    function getComponent($key = '', $name = false)
    {
        $component = \App\Components::where('component_key', $key)->first();
        if ($name == true) {
            $data = [];
            $data['name'] = $component->name;
            $data['value'] = $component->value;
            return $data;
        }
        return $component->value;
    }
}





if(!function_exists("tc"))
{
    /**
     * @param $key
     * @return string
     */
    function tc(string $key) : string
    {
        $currLocale = App::getLocale();
        try{
            $trans = \App\TranslationsCms::where('locale', $currLocale)->where('trans_key', $key)->first();

            if(Request::get('showtrans')){
                return $key . ' - Key';

            } else {
                if (!empty($trans->value)) {
                    return $trans->value;
                }
                return $key . ' - Need Tr';
            }

        }
        catch (ErrorException $e){ /* who cares ? */ }

    }
}


if (!function_exists('notranscms'))
{
    function notranscms($key)
    {  count(getlocales());
        $trans = \App\TranslationsCms::where('trans_key', $key)->where('value','!=',null)->get();
        if(count(getLocales()) != count($trans)){

            echo ' style="background-color: rgba(255,153,0,0.22)" ';
        }

    }
}




if (!function_exists('getuser'))
{
    function getuser($id)
    {
        return \App\User::findOrFail($id);
    }
}




if(!function_exists('addlog'))
{
    function addlog($log,$code)
    {
        $logit = New \App\Logs();
        $logit->ip = $_SERVER['REMOTE_ADDR'];
        if(Auth::check()) {
            $logit->user = Auth::user()->name . ' ' . Auth::user()->surname;
            $logit->mail = Auth::user()->email;
        } else{
            $logit->user = 'უცნობი მომხმარებელი';
            $logit->mail = 'nomail';
        }
        $logit->code = $code;
        $logit->log = $log;
        $logit->url = Route::getFacadeRoot()->current()->uri();
        $logit->save();
    }
}





if(!function_exists('sms'))
{
    function sms($phone,$text)
    {    $key = '000000000000000000000';
         $sender = 'dasaxeleba';
        $curl = curl_init();
        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://smsoffice.ge/api/v2/send/",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 30,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => "------WebKitFormBoundary7MA4YWxkTrZu0gW\r\nContent-Disposition: form-data; name=\"key\"\r\n\r\n".$key."\r\n------WebKitFormBoundary7MA4YWxkTrZu0gW\r\nContent-Disposition: form-data; name=\"destination\"\r\n\r\n".$phone."\r\n------WebKitFormBoundary7MA4YWxkTrZu0gW\r\nContent-Disposition: form-data; name=\"sender\"\r\n\r\n".$sender."\r\n------WebKitFormBoundary7MA4YWxkTrZu0gW\r\nContent-Disposition: form-data; name=\"content\"\r\n\r\n".$text."\r\n------WebKitFormBoundary7MA4YWxkTrZu0gW\r\nContent-Disposition: form-data; name=\"urgent\"\r\n\r\ntrue\r\n------WebKitFormBoundary7MA4YWxkTrZu0gW--",
            CURLOPT_HTTPHEADER => array(
                "Postman-Token: b49396fb-0595-4b2d-8a74-f4650a0084b9",
                "cache-control: no-cache",
                "content-type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW"
            ),
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);

        curl_close($curl);

        if ($err) {
            return "cURL Error #:" . $err;
        } else {
            return $response;
        }


    }
}



if (!function_exists('getrulesusers'))
{
    function getrulesusers($rule)
    {

        $role = \App\Role::where('rule',$rule)->first();
        $rules = \App\RoleUser::where('role_id', $role->id)->get();
        foreach ($rules as $roleuserid) {
            $users[] = \App\User::findOrFail($roleuserid->user_id);
        }
        return $users;


    }
}

if(!function_exists('changedate'))
{
    function changedate($date)
    {
       $changed =  explode("-", $date);
       if($changed[1] == 1){
           $month = tc('january');
       }  elseif($changed[1] == 2){
            $month = tc('february');
        }  elseif($changed[1] == 3){
            $month = tc('march');
        }  elseif($changed[1] == 4){
            $month = tc('april');
        }  elseif($changed[1] == 5){
            $month = tc('may');
        }  elseif($changed[1] == 6){
            $month = tc('june');
        }  elseif($changed[1] == 7){
            $month = tc('july');
        }  elseif($changed[1] == 8){
            $month = tc('august');
        }  elseif($changed[1] == 9){
            $month = tc('september');
        }  elseif($changed[1] == 10){
            $month = tc('october');
        } elseif($changed[1] == 11){
            $month = tc('november');
        } elseif($changed[1] == 12){
            $month = tc('december');
        }
       return $month . ' ' . $changed [0];

    }
}





