<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Dimsav\Translatable\Translatable;

class News extends Model
{
    use Translatable;
    protected $table = 'news';
    public  $translationModel = 'App\NewsTranslations';
    public $translatedAttributes = [
        'locale',
        'name',
        'meta_keywords',
        'meta_description',
        'description',
        'slug'
    ];

    protected $fillable = [
        'locale',
        'name',
        'meta_keywords',
        'meta_description',
        'description',
        'slug',
        'status',
        'promotion',
        'banner',
    ];


    public function nslider(){
        return $this->hasMany('App\NewsSlider');
    }

}
