<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Dimsav\Translatable\Translatable;

class Projects extends Model
{
    use Translatable;
    protected $table = 'projects';
    public  $translationModel = 'App\ProjectsTranslations';
    public $translatedAttributes = [
        'locale',
        'name',
        'meta_keywords',
        'meta_description',
        'mini_description',
        'description',
        'address',
        'restunia',
        'samedicinoa',
        'avtosadgomia',
        'martvaa',
        'etapebi',
        'slug'
    ];

    protected $fillable = [
        'status',
        'installment',
        'onslider',
        'banner',
        'condition',
        'project_start',
        'project_end',
        'price_start',
        'price_end',
        'area_start',
        'area_end',
        'discount',
        'map_lat',
        'map_long',
        'locale',
        'name',
        'meta_keywords',
        'meta_description',
        'condition',
        'mini_description',
        'description',
        'etapebi',
        'address',
        'slug'
    ];


    public function slider(){
        return $this->hasMany('App\ProjectsSlider');
    }

    public function process(){
        return $this->hasMany('App\ProjectsProcess');
    }

}
