<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

use App\Settings;
use App\Locales;
use App\Config;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        view()->share('social', json_decode(Settings::where('key','social')->first()->value));
        view()->share('contacts',  json_decode(Settings::where('key','contact')->first()->value));
        view()->share('seoscripts', Settings::where('key','seo')->first());
        view()->share('minify', Config::where('config_key','minify')->first());
        view()->share('devmode', Config::where('config_key','maintenanace')->first());
        view()->share('locales', Locales::orderBy('admin_default', 'DESC')->get());

    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }
}
