@extends('backend.layouts.backend')


@section('content')

    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="x_title">
                    <ol class="breadcrumb bread-primary ">
                        <li><a href="{{route('cms.dashboard')}}"><i class="fa fa-home"></i></a></li>
                        <li class="active">{{tc('company')}}</li>
                    </ol>
                    @if(Session::has('success'))
                        <div class="alert alert-success alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("success") !!}
                        </div>
                    @elseif(Session::has('error'))
                        <div class="alert alert-danger alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("error") !!}
                        </div>
                    @endif
                    <div class="x_content" > <br>


                        <form id="demo-form2" action="{{route('cms.about.editsave')}}" method="post" enctype="multipart/form-data" class="form-horizontal form-label-left">


                            {{ csrf_field() }}

                            

                            <div class="ln_solid"></div>

                            <div class="" role="tabpanel" data-example-id="togglable-tabs">

                                <ul id="myTab" class="nav nav-tabs bar_tabs" role="tablist">
                                    @php $activator = 0; @endphp
                                    @foreach($locales as $l)
                                        <li role="presentation" @if($activator == 0) class="active" @else class="" @endif>
                                            <a href="#{{$l->locale}}" data-toggle="tab" aria-expanded="true">{{$l->name}}</a>
                                        </li>
                                        @php $activator++ @endphp
                                    @endforeach
                                </ul>



                                <div id="myTabContent" class="tab-content">



                                    @php $activator = 0; @endphp
                                    @foreach($locales as $loc)
                                        <div role="tabpanel" class="tab-pane fade @if($activator == 0) active in  @endif" id="{{$loc->locale}}">

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >TITLE <span class="required">*</span>
                                                </label>
                                                <div class="col-md-8 col-sm-8 col-xs-12">
                                                    <input type="text"  name="title_{{$loc->locale}}" value="{{($about->translate($loc->locale))? $about->translate($loc->locale)->title : null}}" required="required" class="form-control col-md-7 col-xs-12">
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Keywords
                                                </label>
                                                <div class="col-md-8 col-sm-8 col-xs-12">
                                                    <textarea    class="form-control" name="meta_keywords_{{$loc->locale}}"  >{{($about->translate($loc->locale))? $about->translate($loc->locale)->meta_keywords : null}}</textarea>
                                                </div>
                                            </div>


                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Description
                                                </label>
                                                <div class="col-md-8 col-sm-8 col-xs-12">
                                                    <textarea    class="form-control" name="meta_description_{{$loc->locale}}" >{{($about->translate($loc->locale))? $about->translate($loc->locale)->meta_description : null}}</textarea>
                                                </div>
                                            </div>
                                            
                                            <div class="form-group">
                                            <label class="control-label col-md-6 col-sm-3 col-xs-12" >
                                            <h3 style="font-size:15px;">ჩვენ შესახებ ინფორმაცია</h3>
                                            </label>
                                            </div>

                                            <div class="form-group" style="display:none;">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('mini.description')}}
                                                </label>
                                                <div class="col-md-8 col-sm-8 col-xs-12">
                                                    <textarea    class="form-control" name="mini_description_{{$loc->locale}}" required>{{($about->translate($loc->locale))? $about->translate($loc->locale)->mini_description : null}}</textarea>
                                                </div>
                                            </div>



                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >ჩვენ შესახებ
                                                </label>
                                                <div class="col-md-8 col-sm-8 col-xs-12">
                                                    <textarea   id="description_{{$loc->locale}}" class="form-control" name="description_{{$loc->locale}}" required>{{($about->translate($loc->locale))? $about->translate($loc->locale)->description : null}}</textarea>
                                                </div>
                                            </div>


                                            <div class="form-group">
                                            <label class="control-label col-md-6 col-sm-3 col-xs-12" >
                                            <h3 style="font-size:15px;">მთავარი გვერდი (პროექტის შესახებ ინფორმაცია)</h3>
                                            </label>
                                            </div>

                                          

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >პროექეტის შესახებ ინფრომაცია
                                                </label>
                                                <div class="col-md-8 col-sm-8 col-xs-12">
                                                    <textarea   id="mtavaritext_{{$loc->locale}}" class="form-control" name="mtavaritext_{{$loc->locale}}" required>{{($about->translate($loc->locale))? $about->translate($loc->locale)->mtavaritext : null}}</textarea>
                                                </div>
                                            </div>
                                            



                                            <div class="form-group" style="display:none;">
                                            <label class="control-label col-md-6 col-sm-3 col-xs-12" >
                                            <h3 style="font-size:15px;">მთავარი გვერდი (ჩაბარების პირობები ტექსტი)</h3>
                                            </label>
                                            </div>


                                            <div class="form-group" style="display:none;">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >ჩაბარების პირობები ტექსტი
                                                </label>
                                                <div class="col-md-8 col-sm-8 col-xs-12">
                                                    <textarea   id="chabareba_{{$loc->locale}}" class="form-control" name="chabareba_{{$loc->locale}}" required>{{($about->translate($loc->locale))? $about->translate($loc->locale)->chabareba : null}}</textarea>
                                                </div>
                                            </div>
                                            

                                        </div>


                                        @php $activator++ @endphp
                                    @endforeach
                                </div> </div>




                            <div class="ln_solid"></div>



                            <div class="form-group" style="display:none;">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('banner')}} <span class="required">*</span>
                                </label>
                                <div class="col-md-4 col-sm-4 col-xs-12">

                                    <div class="input-group">
                                        <label class="input-group-btn">
                                 <span class="btn btn-primary" style="color: #fff3cd;">
                                                    {{tc('choose')}}&hellip; <input type="file" name="banner[]" id="files" accept="image/x-png,image/jpeg" style="display: none;" >
                                                         </span>
                                        </label>
                                        <input type="text" class="form-control" id="filenames" readonly>
                                    </div>
                                </div>
                                <img src="{{asset('/files/shares/other/'.$about->banner)}}" class="img-responsive col-md-4 col-sm-4 col-xs-12" style="width: 265px;">
                            </div>



                            <div class="form-group" style="display:none;">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >ჩაბარების პირობები სურათი <span class="required">*</span>
                                </label>
                                <div class="col-md-4 col-sm-4 col-xs-12">

                                    <div class="input-group">
                                        <label class="input-group-btn">
                                 <span class="btn btn-primary" style="color: #fff3cd;">
                                 ჩაბარების პირობები სურათი&hellip; <input type="file" name="chabban[]" id="files" accept="image/x-png,image/jpeg" style="display: none;" >
                                                         </span>
                                        </label>
                                        <input type="text" class="form-control" id="filenames" readonly>
                                    </div>
                                </div>
                                <img src="{{asset('/files/shares/other/'.$about->chabban)}}" class="img-responsive col-md-4 col-sm-4 col-xs-12" style="width: 265px;">
                            </div>





                            <div class="ln_solid"></div>
                            <div class="form-group">
                                <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
                                    <button type="submit" class="btn btn-primary">{{tc('save')}}</button>

                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
                                    <a href="{{route('cms.projects.list')}}" class="btn btn-danger">{{tc('cancel')}}</a>

                                </div>
                            </div>

                        </form>





















                    </div>
                </div>
            </div>
        </div>
    </div>


@stop


@section('scripts')

    <script type="text/javascript">


        @foreach($locales as $loc)

        CKEDITOR.replace('description_{{$loc->locale}}');
        CKEDITOR.replace('mtavaritext_{{$loc->locale}}');
        CKEDITOR.replace('chabareba_{{$loc->locale}}');

        @endforeach



        //file input ds
        $(document).on('change', ':file', function() {
            var input = $(this),
                numFiles = input.get(0).files ? input.get(0).files.length : 1,
                label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
            input.trigger('fileselect', [numFiles, label]);
        });


        $(document).ready( function() {
            $('#files').on('fileselect', function(event, numFiles, label) {
                var input = $('#filenames'),
                    log = numFiles > 1 ? numFiles + ' {{tc('selected.file')}}' : label;
                if( input.length ) {
                    input.val(log);
                } else {
                    if( log ) alert(log);
                }
            });
        });

        //file input ds


    </script>


@endsection
