@extends('backend.layouts.backend')


@section('content')

    <style>

        .div-tooltip {
            display: none;
            position: absolute;
            background-color: #000;
            padding: 10px;
            color: #fff;
            border-radius:3px;
            font-size:13px;
        }
    </style>

    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="x_title">

                    <ol class="breadcrumb bread-primary ">
                        <li><a href="{{route('cms.dashboard')}}"><i class="fa fa-home"></i></a></li>
                        <li><a href="{{route('cms.logs')}}">{{tc('logs')}}</a></li>
                    </ol>

                    @if(Session::has('success'))
                        <div class="alert alert-success alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("success") !!}
                        </div>
                    @elseif(Session::has('error'))
                        <div class="alert alert-danger alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("error") !!}
                        </div>
                    @endif
                    <div class="x_content" >
                        <br>



                        <form action="" method="get">


                                <div class="form-group">
                                    <div class="col-md-2 col-sm-2 col-xs-12">
                                        <input type="text" name="user" value="{{request('user')}}" class="form-control" placeholder="{{tc('user')}}">
                                    </div>
                                </div>

                            <div class="form-group">
                                <div class="col-md-2 col-sm-2 col-xs-12">
                                    <input type="text" name="mail" value="{{request('mail')}}" class="form-control" placeholder="{{tc('mail')}}">
                                </div>
                            </div>

                                <div class="form-group">
                                    <div class="col-md-2 col-sm-2 col-xs-12">
                                        <input type="text" name="IP" value="{{request('IP')}}" class="form-control" placeholder="IP">
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="col-md-2 col-sm-2 col-xs-12">
                                        <input type="text" name="code" value="{{request('code')}}" class="form-control" placeholder="{{tc('code')}}">
                                    </div>
                                </div>

                            <div class="form-group">
                                <div class="col-md-1 col-sm-1 col-xs-12">
                                    <input type="submit"  class="btn btn-primary" value="{{tc('filter')}}">
                                </div>
                            </div>
                             </form>






                        <br>







                                <div class="table-responsive">

                            <table class="table table-striped jambo_table bulk_action">
                                <thead>
                                <tr class="headings">

                                    <th class="column-title">{{tc('user')}}</th>
                                    <th class="column-title">IP</th>
                                    <th class="column-title">{{tc('log')}}</th>
                                    <th class="column-title">{{tc('code')}}</th>
                                    <th class="column-title">{{tc('date')}}</th>

                                </tr>
                                </thead>
                                <tbody>


                                @foreach($logs as $log)
                                    <tr class="even pointer">
                                        <td class="" data-tooltip="{{$log->mail}}">{{$log->user}}</td>
                                        <td class="">{{$log->IP}}</td>
                                        <td class="" data-tooltip="{{$log->url}}">{{$log->log}}</td>
                                        <td class="">{{$log->code}}</td>
                                        <td class="">{{$log->created_at}}</td>
                                    </tr>
                                    @endforeach


                                </tbody>
                            </table>
                        </div>

                        {{$logs->render()}}















                        </div>
                    </div>
                </div>

            </div>


        </div>
    </div>
    </div>


@stop


@section('scripts')
<script>


    $(document).ready(function() {
        $('[data-tooltip]').hover(function(){
            $('<div class="div-tooltip"></div>').text($(this).attr('data-tooltip')).appendTo('body').fadeIn('slow');
        }, function() {
            $('.div-tooltip').remove();
        }).mousemove(function(e) {
            $('.div-tooltip').css({ top: e.pageY + 10, left:  e.pageX + 20 })
        });
    });
</script>

    @endsection
