@extends('backend.layouts.backend')


@section('content')

    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="x_title">


                    <ol class="breadcrumb bread-primary ">
                        <li><a href="{{route('cms.dashboard')}}"><i class="fa fa-home"></i></a></li>
                        <li class="active">{{tc('news')}}</li>

                    </ol>

                    @if(Session::has('success'))
                        <div class="alert alert-success alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("success") !!}
                        </div>
                    @elseif(Session::has('error'))
                        <div class="alert alert-danger alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("error") !!}
                        </div>
                    @endif
                    <div class="x_content" > <br>


                        {{--home--}}
                        <div class="accordion" id="accordion1" role="tablist" aria-multiselectable="true">
                            <div class="panel">
                                <a class="panel-heading collapsed" role="tab" id="headingTwo1" data-toggle="collapse" data-parent="#accordion1" href="#home" aria-expanded="false" aria-controls="collapseTwo">
                                    <h4 class="panel-title"><i class="fa fa-code"></i> {{tc('page')}}: {{tc('main')}} </h4>
                                </a>
                                <div id="home" class="panel-collapse collapse " role="tabpanel" aria-labelledby="headingTwo">

                                    <div class="" role="tabpanel" data-example-id="togglable-tabs">
                                        <form id="demo-form2" action="{{route('cms.savemeta')}}" method="post" enctype="multipart/form-data" class="form-horizontal form-label-left">
                                            {{ csrf_field() }}
                                            <ul id="myTab" class="nav nav-tabs bar_tabs" role="tablist">
                                                @php $activator = 0; @endphp
                                                @foreach($locales as $l)
                                                    <li role="presentation" @if($activator == 0) class="active" @else class="" @endif>
                                                        <a href="#{{$l->locale}}" data-toggle="tab" aria-expanded="true">{{$l->name}}</a>
                                                    </li>
                                                    @php $activator++ @endphp
                                                @endforeach
                                            </ul>
                                            <div id="myTabContent" class="tab-content">
                                                @php $activator = 0;  @endphp
                                                @foreach($locales as $loc)

                                                    <div role="tabpanel" class="tab-pane fade @if($activator == 0) active in  @endif" id="{{$loc->locale}}">

                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('title')}} <span class="required">*</span>
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <input type="text" id="firstText_{{$loc->locale}}" name="title_{{$loc->locale}}" value="{{($home->translate($loc->locale))? $home->translate($loc->locale)->title : null}}" required="required" class="form-control col-md-7 col-xs-12">
                                                            </div>
                                                        </div>

                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Keywords
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <textarea    class="form-control" name="meta_keywords_{{$loc->locale}}"  >{{($home->translate($loc->locale))? $home->translate($loc->locale)->meta_keywords : null}}</textarea>
                                                            </div>
                                                        </div>


                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Description
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <textarea    class="form-control" name="meta_description_{{$loc->locale}}" >{{($home->translate($loc->locale))? $home->translate($loc->locale)->meta_description : null}}</textarea>
                                                            </div>
                                                        </div>



                                                    </div>


                                                    @php $activator++ @endphp
                                                @endforeach
                                            </div>


                                            <input type="hidden" name="page" value="home">

                                            <div class="form-group">
                                                <div class="col-md-1 col-sm-1 col-xs-12">
                                                    <input type="submit"  class="btn btn-primary" value="{{tc('save')}}">
                                                </div>
                                            </div>
                                        </form>
                                    </div>







                                </div>
                            </div>

                        {{--home--}}



                        <!-- news -->

                            <div class="panel">
                                <a class="panel-heading collapsed" role="tab" id="headingTwo1" data-toggle="collapse" data-parent="#accordion1" href="#news" aria-expanded="false" aria-controls="collapseTwo">
                                    <h4 class="panel-title"><i class="fa fa-code"></i> {{tc('page')}}: {{tc('news')}} </h4>
                                </a>
                                <div id="news" class="panel-collapse collapse " role="tabpanel" aria-labelledby="headingTwo">

                                        <div class="" role="tabpanel" data-example-id="togglable-tabs">
                                            <form id="demo-form2" action="{{route('cms.savemeta')}}" method="post" enctype="multipart/form-data" class="form-horizontal form-label-left">
                                                {{ csrf_field() }}
                                            <ul id="myTab" class="nav nav-tabs bar_tabs" role="tablist">
                                                @php $activator = 0; @endphp
                                                @foreach($locales as $l)
                                                    <li role="presentation" @if($activator == 0) class="active" @else class="" @endif>
                                                        <a href="#news{{$l->locale}}" data-toggle="tab" aria-expanded="true">{{$l->name}}</a>
                                                    </li>
                                                    @php $activator++ @endphp
                                                @endforeach
                                            </ul>
                                            <div id="myTabContent" class="tab-content">
                                                @php $activator = 0;  @endphp
                                                @foreach($locales as $loc)

                                                    <div role="tabpanel" class="tab-pane fade @if($activator == 0) active in  @endif" id="news{{$loc->locale}}">

                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('title')}} <span class="required">*</span>
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <input type="text" id="firstText_{{$loc->locale}}" name="title_{{$loc->locale}}" value="{{($news->translate($loc->locale))? $news->translate($loc->locale)->title : null}}" required="required" class="form-control col-md-7 col-xs-12">
                                                            </div>
                                                        </div>

                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Keywords
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <textarea    class="form-control" name="meta_keywords_{{$loc->locale}}"  >{{($news->translate($loc->locale))? $news->translate($loc->locale)->meta_keywords : null}}</textarea>
                                                            </div>
                                                        </div>


                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Description
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <textarea    class="form-control" name="meta_description_{{$loc->locale}}" >{{($news->translate($loc->locale))? $news->translate($loc->locale)->meta_description : null}}</textarea>
                                                            </div>
                                                        </div>



                                                    </div>


                                                    @php $activator++ @endphp
                                                @endforeach
                                            </div>


                                            <input type="hidden" name="page" value="news">

                                            <div class="form-group">
                                                <div class="col-md-1 col-sm-1 col-xs-12">
                                                    <input type="submit"  class="btn btn-primary" value="{{tc('save')}}">
                                                </div>
                                            </div>
                                            </form>
                                </div>
                                    </div>
                                    </div>

                        <!-- news -->





                        <!-- projects -->

                            <div class="panel">
                                <a class="panel-heading collapsed" role="tab" id="headingTwo1" data-toggle="collapse" data-parent="#accordion1" href="#projects" aria-expanded="false" aria-controls="collapseTwo">
                                    <h4 class="panel-title"><i class="fa fa-code"></i> {{tc('page')}}: {{tc('projects')}} </h4>
                                </a>
                                <div id="projects" class="panel-collapse collapse " role="tabpanel" aria-labelledby="headingTwo">

                                    <div class="" role="tabpanel" data-example-id="togglable-tabs">
                                        <form id="demo-form2" action="{{route('cms.savemeta')}}" method="post" enctype="multipart/form-data" class="form-horizontal form-label-left">
                                            {{ csrf_field() }}
                                            <ul id="myTab" class="nav nav-tabs bar_tabs" role="tablist">
                                                @php $activator = 0; @endphp
                                                @foreach($locales as $l)
                                                    <li role="presentation" @if($activator == 0) class="active" @else class="" @endif>
                                                        <a href="#projects{{$l->locale}}" data-toggle="tab" aria-expanded="true">{{$l->name}}</a>
                                                    </li>
                                                    @php $activator++ @endphp
                                                @endforeach
                                            </ul>
                                            <div id="myTabContent" class="tab-content">
                                                @php $activator = 0;  @endphp
                                                @foreach($locales as $loc)

                                                    <div role="tabpanel" class="tab-pane fade @if($activator == 0) active in  @endif" id="projects{{$loc->locale}}">

                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('title')}} <span class="required">*</span>
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <input type="text" id="firstText_{{$loc->locale}}" name="title_{{$loc->locale}}" value="{{($projects->translate($loc->locale))? $projects->translate($loc->locale)->title : null}}" required="required" class="form-control col-md-7 col-xs-12">
                                                            </div>
                                                        </div>

                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Keywords
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <textarea    class="form-control" name="meta_keywords_{{$loc->locale}}"  >{{($projects->translate($loc->locale))? $projects->translate($loc->locale)->meta_keywords : null}}</textarea>
                                                            </div>
                                                        </div>


                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Description
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <textarea    class="form-control" name="meta_description_{{$loc->locale}}" >{{($projects->translate($loc->locale))? $projects->translate($loc->locale)->meta_description : null}}</textarea>
                                                            </div>
                                                        </div>



                                                    </div>


                                                    @php $activator++ @endphp
                                                @endforeach
                                            </div>


                                            <input type="hidden" name="page" value="projects">

                                            <div class="form-group">
                                                <div class="col-md-1 col-sm-1 col-xs-12">
                                                    <input type="submit"  class="btn btn-primary" value="{{tc('save')}}">
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>

                        <!-- projects -->



                        <!-- contact -->

                            <div class="panel">
                                <a class="panel-heading collapsed" role="tab" id="headingTwo1" data-toggle="collapse" data-parent="#accordion1" href="#contact" aria-expanded="false" aria-controls="collapseTwo">
                                    <h4 class="panel-title"><i class="fa fa-code"></i> {{tc('page')}}: {{tc('contact')}} </h4>
                                </a>
                                <div id="contact" class="panel-collapse collapse " role="tabpanel" aria-labelledby="headingTwo">

                                    <div class="" role="tabpanel" data-example-id="togglable-tabs">
                                        <form id="demo-form2" action="{{route('cms.savemeta')}}" method="post" enctype="multipart/form-data" class="form-horizontal form-label-left">
                                            {{ csrf_field() }}
                                            <ul id="myTab" class="nav nav-tabs bar_tabs" role="tablist">
                                                @php $activator = 0; @endphp
                                                @foreach($locales as $l)
                                                    <li role="presentation" @if($activator == 0) class="active" @else class="" @endif>
                                                        <a href="#contact{{$l->locale}}" data-toggle="tab" aria-expanded="true">{{$l->name}}</a>
                                                    </li>
                                                    @php $activator++ @endphp
                                                @endforeach
                                            </ul>
                                            <div id="myTabContent" class="tab-content">
                                                @php $activator = 0;  @endphp
                                                @foreach($locales as $loc)

                                                    <div role="tabpanel" class="tab-pane fade @if($activator == 0) active in  @endif" id="contact{{$loc->locale}}">

                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('title')}} <span class="required">*</span>
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <input type="text" id="firstText_{{$loc->locale}}" name="title_{{$loc->locale}}" value="{{($contact->translate($loc->locale))? $contact->translate($loc->locale)->title : null}}" required="required" class="form-control col-md-7 col-xs-12">
                                                            </div>
                                                        </div>

                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Keywords
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <textarea    class="form-control" name="meta_keywords_{{$loc->locale}}"  >{{($contact->translate($loc->locale))? $contact->translate($loc->locale)->meta_keywords : null}}</textarea>
                                                            </div>
                                                        </div>


                                                        <div class="form-group">
                                                            <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Description
                                                            </label>
                                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                                <textarea    class="form-control" name="meta_description_{{$loc->locale}}" >{{($contact->translate($loc->locale))? $contact->translate($loc->locale)->meta_description : null}}</textarea>
                                                            </div>
                                                        </div>



                                                    </div>


                                                    @php $activator++ @endphp
                                                @endforeach
                                            </div>


                                            <input type="hidden" name="page" value="contact">

                                            <div class="form-group">
                                                <div class="col-md-1 col-sm-1 col-xs-12">
                                                    <input type="submit"  class="btn btn-primary" value="{{tc('save')}}">
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- contact -->
















                        <div class="modal fade modal-delnews" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-sm">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel2">{{tc('remove')}}</h4>
                                    </div>
                                    <div class="modal-body">
                                        <form action="{{route('cms.news.delete')}}" method="post">
                                            <input type="hidden" name="delnewsid" id="delnewsid"/>
                                            {{ csrf_field() }}
                                            <button type="button" class="btn btn-default" data-dismiss="modal">{{tc('close')}}</button>
                                            <button type="submit" class="btn btn-primary btn-danger">{{tc('remove')}}</button>
                                        </form>
                                    </div>

                                </div>
                            </div>
                        </div>











                        {{--add news modal--}}

                        <div class="modal fade modal-add" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-lg">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel2"> </h4>
                                    </div>
                                    <div class="modal-body">



                                        <form id="demo-form2" action="{{route('cms.news.add')}}" method="post" enctype="multipart/form-data" class="form-horizontal form-label-left">


                                            {{ csrf_field() }}

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('status')}}</label>
                                                <div class="col-md-8 col-sm-8 col-xs-12">
                                                    {{tc('yes')}} <input type="radio"  name="status"  value="1" checked=""  />
                                                    {{tc('no')}}  <input type="radio"  name="status" value="0" />
                                                </div>
                                            </div>


                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('promotion')}}</label>
                                                <div class="col-md-8 col-sm-8 col-xs-12">
                                                    {{tc('yes')}} <input type="radio"  name="promotion"  value="1"  />
                                                    {{tc('no')}}  <input type="radio"  name="promotion" value="0" checked="" />
                                                </div>
                                            </div>



                                            <div class="ln_solid"></div>

                                            <div class="" role="tabpanel" data-example-id="togglable-tabs">

                                                <ul id="myTab" class="nav nav-tabs bar_tabs" role="tablist">
                                                    @php $activator = 0; @endphp
                                                    @foreach($locales as $l)
                                                        <li role="presentation" @if($activator == 0) class="active" @else class="" @endif>
                                                            <a href="#{{$l->locale}}" data-toggle="tab" aria-expanded="true">{{$l->name}}</a>
                                                        </li>
                                                        @php $activator++ @endphp
                                                    @endforeach
                                                </ul>



                                                <div id="myTabContent" class="tab-content">



                                                    @php $activator = 0; @endphp
                                                    @foreach($locales as $loc)
                                                        <div role="tabpanel" class="tab-pane fade @if($activator == 0) active in  @endif" id="{{$loc->locale}}">

                                                            <div class="form-group">
                                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('name')}} <span class="required">*</span>
                                                                </label>
                                                                <div class="col-md-8 col-sm-8 col-xs-12">
                                                                    <input type="text" id="firstText_{{$loc->locale}}" name="name_{{$loc->locale}}" required="required" class="form-control col-md-7 col-xs-12">
                                                                </div>
                                                            </div>


                                                            <div class="form-group">
                                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Keywords
                                                                </label>
                                                                <div class="col-md-8 col-sm-8 col-xs-12">
                                                                    <textarea    class="form-control" name="meta_keywords_{{$loc->locale}}" ></textarea>
                                                                </div>
                                                            </div>


                                                            <div class="form-group">
                                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Description
                                                                </label>
                                                                <div class="col-md-8 col-sm-8 col-xs-12">
                                                                    <textarea    class="form-control" name="meta_description_{{$loc->locale}}" ></textarea>
                                                                </div>
                                                            </div>



                                                            <div class="form-group">
                                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('description')}}
                                                                </label>
                                                                <div class="col-md-8 col-sm-8 col-xs-12">
                                                                    <textarea   id="description_{{$loc->locale}}" class="form-control" name="description_{{$loc->locale}}" required></textarea>
                                                                </div>
                                                            </div>







                                                            <div class="form-group">
                                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >Slug <span class="required">*</span>
                                                                </label>
                                                                <div class="col-md-8 col-sm-8 col-xs-12">

                                                                    <input type="text" id="slug_{{$loc->locale}}" name="slug_{{$loc->locale}}" required="required" class="form-control col-md-7 col-xs-12">
                                                                </div>
                                                            </div>

                                                        </div>


                                                        @php $activator++ @endphp
                                                    @endforeach
                                                </div> </div>










                                            <div class="ln_solid"></div>



                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('banner')}} <span class="required">*</span>
                                                </label>
                                                <div class="col-md-8 col-sm-8 col-xs-12">

                                                    <div class="input-group">
                                                        <label class="input-group-btn">
                                 <span class="btn btn-primary" style="color: #fff3cd;">
                                                    {{tc('choose')}}&hellip; <input type="file" name="banner[]" id="files" accept="image/x-png,image/gif,image/jpeg" style="display: none;" >
                                                         </span>
                                                        </label>
                                                        <input type="text" class="form-control" id="filenames" readonly>
                                                    </div>

                                                </div>
                                            </div>





                                            <div class="ln_solid"></div>
                                            <div class="form-group">
                                                <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
                                                    <button type="submit" class="btn btn-primary">{{tc('save')}}</button>

                                                </div>
                                                <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
                                                    <a href="{{route('cms.news.list')}}" class="btn btn-danger">{{tc('cancel')}}</a>

                                                </div>
                                            </div>

                                        </form>











                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {{--add news modal--}}


@stop


@section('scripts')

    <script>


        @foreach($locales as $loc)
            ft_{{$loc->locale}}=$('input#firstText_{{$loc->locale}}');sl_{{$loc->locale}}=$('input#slug_{{$loc->locale}}');
        ft_{{$loc->locale}}.keyup(function c(){sl_{{$loc->locale}}.val(slugIt(ft_{{$loc->locale}}.val()))});

        CKEDITOR.replace('description_{{$loc->locale}}');

        @endforeach




        function slugIt(e){return e=e.replace(/[^a-zA-Z ა-ჰ а-яА-Я 0-9]+/g, ''),e=e.replace(/ /g,"-"),e=e.replace(/ა/g,"a"),e=e.replace(/ბ/g,"b"),e=e.replace(/გ/g,"g"),e=e.replace(/დ/g,"d"),e=e.replace(/ე/g,"e"),e=e.replace(/ვ/g,"v"),e=e.replace(/ზ/g,"z"),e=e.replace(/თ/g,"t"),e=e.replace(/ი/g,"i"),e=e.replace(/კ/g,"k"),e=e.replace(/ლ/g,"l"),e=e.replace(/მ/g,"m"),e=e.replace(/ნ/g,"n"),e=e.replace(/ო/g,"o"),e=e.replace(/პ/g,"p"),e=e.replace(/ჟ/g,"j"),e=e.replace(/რ/g,"r"),e=e.replace(/ს/g,"s"),e=e.replace(/ტ/g,"t"),e=e.replace(/უ/g,"u"),e=e.replace(/ფ/g,"f"),e=e.replace(/ქ/g,"q"),e=e.replace(/ღ/g,"g"),e=e.replace(/ყ/g,"k"),e=e.replace(/შ/g,"sh"),e=e.replace(/ჩ/g,"ch"),e=e.replace(/ც/g,"c"),e=e.replace(/ძ/g,"dz"),e=e.replace(/წ/g,"w"),e=e.replace(/ჭ/g,"ch"),e=e.replace(/ხ/g,"x"),e=e.replace(/ჯ/g,"j"),e=e.replace(/ჰ/g,"h"),e=e.replace(/а/gi,"a"),e=e.replace(/б/gi,"b"),e=e.replace(/в/gi,"v"),e=e.replace(/г/gi,"g"),e=e.replace(/д/gi,"d"),e=e.replace(/е/gi,"e"),e=e.replace(/ё/gi,"jo"),e=e.replace(/ж/gi,"j"),e=e.replace(/з/gi,"z"),e=e.replace(/и/gi,"i"),e=e.replace(/й/gi,"j"),e=e.replace(/к/gi,"k"),e=e.replace(/л/gi,"l"),e=e.replace(/м/gi,"m"),e=e.replace(/н/gi,"n"),e=e.replace(/о/gi,"o"),e=e.replace(/п/gi,"p"),e=e.replace(/р/gi,"r"),e=e.replace(/с/gi,"s"),e=e.replace(/т/gi,"t"),e=e.replace(/у/gi,"u"),e=e.replace(/ф/gi,"f"),e=e.replace(/х/gi,"x"),e=e.replace(/ц/gi,"c"),e=e.replace(/ч/gi,"ch"),e=e.replace(/ш/gi,"sh"),e=e.replace(/щ/gi,"shch"),e=e.replace(/ъ/gi,""),e=e.replace(/ы/gi,"i"),e=e.replace(/ь/gi,""),e=e.replace(/э/gi,"ie"),e=e.replace(/ю/gi,"iu"),e=e.replace(/я/gi,"ya"),e}


        //file input ds
        $(document).on('change', ':file', function() {
            var input = $(this),
                numFiles = input.get(0).files ? input.get(0).files.length : 1,
                label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
            input.trigger('fileselect', [numFiles, label]);
        });



        $(document).ready( function() {
            $('#files').on('fileselect', function(event, numFiles, label) {
                var input = $('#filenames'),
                    log = numFiles > 1 ? numFiles + ' {{tc('selected.file')}}' : label;
                if( input.length ) {
                    input.val(log);
                } else {
                    if( log ) alert(log);
                }
            });
        });


        
        $(document).ready(function () {
            $('.delnews').click(function (e) {
                e.preventDefault();
                var that = this;
                $('#delnewsid').val($(this).data('id'));
            });
        });
    </script>



@endsection
