@extends('backend.layouts.backend')


@section('content')

    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="x_title">


                    <ol class="breadcrumb bread-primary ">
                        <li><a href="{{route('cms.dashboard')}}"><i class="fa fa-home"></i></a></li>

                        <li class="active">{{tc('profile')}}</li>
                    </ol>

                    @if(Session::has('success'))
                        <div class="alert alert-success alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("success") !!}
                        </div>
                    @elseif(Session::has('error'))
                        <div class="alert alert-danger alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("error") !!}
                        </div>
                    @endif 

                    <div class="x_content" >


                    <form class="form-horizontal" enctype="multipart/form-data"  action="{{route('cms.profile.edit')}}" method="post"
                          id="edit-user-form">




                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('profile photo')}}</label>
                            <div class="col-md-4 col-sm-12 col-xs-12 form-group">

                                <div style="width: 120px">
                                @if(Auth::user()->avatar != null or !empty(Auth::user()->avatar))
                                    <img src="/back/images/profiles/{{Auth::user()->avatar}}" alt="..." class="img-circle profile_img">
                                    @else
                                    <img src="{{asset('/back/images/img.png')}}" alt="..." class="img-circle profile_img">
                                @endif
                                </div>

                                <input type="file" name="image" accept="image/*">


                            </div>
                        </div>

                        {{ csrf_field() }}
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('name')}}</label>
                            <div class="col-md-4 col-sm-12 col-xs-12 form-group">
                                <input type="text" name="name" value="{{Auth::user()->name}}" id="name" class="form-control" placeholder="{{tc('name')}}"
                                       required readonly="">
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('surname')}}</label>
                            <div class="col-md-4 col-sm-12 col-xs-12 form-group">
                                <input type="text" name="surname" value="{{Auth::user()->surname}}" id="surname" class="form-control" placeholder="{{tc('surname')}}"
                                       required readonly="">
                            </div>
                        </div>




                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('phone')}}</label>
                            <div class="col-md-4 col-sm-12 col-xs-12 form-group">
                                <input type="text" name="phone" value="{{Auth::user()->phone}}" id="phone" class="form-control" placeholder="{{tc('phone')}}"
                                       required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('mail')}}</label>
                            <div class="col-md-4 col-sm-12 col-xs-12 form-group">
                                <input type="email" autocomplete="off" id="email" name="email" value="{{Auth::user()->email}}" class="form-control" placeholder="{{tc('mail')}}"
                                       required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('job.title')}}</label>
                            <div class="col-md-4 col-sm-12 col-xs-12 form-group">
                                <input type="text"  id="job_title" name="job_title" value="{{Auth::user()->job_title}}" class="form-control"
                                       placeholder="{{tc('job.title')}}"  autocomplete="off" disabled>
                            </div>
                        </div>






                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('new')}} {{tc('password')}}</label>
                            <div class="col-md-4 col-sm-12 col-xs-12 form-group">
                                <input type="password" autocomplete="off" name="newpassword" class="form-control"
                                       placeholder="{{tc('new')}} {{tc('password')}}">
                            </div>
                        </div>






                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12"></label>
                            <div class="col-md-4 col-sm-12 col-xs-12 form-group">
                                <button type="submit" class="btn btn-primary">{{tc('save')}}</button>
                            </div>
                        </div>



                    </form>




                    </div>


                </div>


            </div>
        </div>
    </div>


@stop

