@extends('backend.layouts.backend')


@section('content')

    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="x_title">
                    <ol class="breadcrumb bread-primary ">
                        <li><a href="{{route('cms.dashboard')}}"><i class="fa fa-home"></i></a></li>
                        <li><a href="{{route('cms.projects.list')}}">{{tc('projects')}}</a></li>
                        <li class="active">{{$project->name}}</li>
                    </ol>
                    @if(Session::has('success'))
                        <div class="alert alert-success alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("success") !!}
                        </div>
                    @elseif(Session::has('error'))
                        <div class="alert alert-danger alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("error") !!}
                        </div>
                    @endif
                    <div class="x_content" > <br>






<style>
.disab {
    display:none;
}
    </style>


                        <form id="demo-form2" action="{{route('cms.project.edit.save')}}" method="post" enctype="multipart/form-data" class="form-horizontal form-label-left">


                            {{ csrf_field() }}

                            <input type="hidden" value="{{$project->id}}" name="id">

                            <div class="form-group disab">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('status')}}  <span class="required">*</span></label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    {{tc('active')}} <input type="radio"  name="status"  value="1" @if($project->status == 1) checked="" @endif required/>
                                    {{tc('off')}}  <input type="radio"  name="status" value="0" @if($project->status == 0) checked="" @endif required/>
                                </div>
                            </div>


                            <div class="form-group disab">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('show.on.slider')}}  <span class="required">*</span></label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    {{tc('show')}} <input type="radio"  name="onslider"  value="1" @if($project->onslider == 1) checked="" @endif required />
                                    {{tc('hide')}}  <input type="radio"  name="onslider" value="0"  @if($project->onslider == 0) checked="" @endif  required/>
                                </div>
                            </div>

                            <div class="form-group disab">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('type')}} <span class="required">*</span>
                                </label>
                                <div class="col-md-4 col-sm-4 col-xs-12">
                                    <select class="form-control" name="condition"  id="condition" required="">
                                        <option value="1">{{tc('ongoing')}}</option>
                                        <option value="2">{{tc('completed')}}</option>
                                        <option value="3">{{tc('future')}}</option>
                                        
                                    </select>
                                </div>

                            </div>







                            <div class="form-group disab">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('project.start')}} <span class="required">*</span>
                                </label>
                                <div class="col-md-2 col-sm-2 col-xs-12">
                                    <select class="form-control" name="start_month"  id="startmonth" required="">
                                        <option value="01">{{tc('january')}}</option>
                                        <option value="02">{{tc('february')}}</option>
                                        <option value="03">{{tc('march')}}</option>
                                        <option value="04">{{tc('april')}}</option>
                                        <option value="05">{{tc('may')}}</option>
                                        <option value="06">{{tc('june')}}</option>
                                        <option value="07">{{tc('july')}}</option>
                                        <option value="08">{{tc('august')}}</option>
                                        <option value="09">{{tc('september')}}</option>
                                        <option value="10">{{tc('october')}}</option>
                                        <option value="11">{{tc('november')}}</option>
                                        <option value="12">{{tc('december')}}</option>
                                    </select>
                                </div>
                                <div class="col-md-2 col-sm-2 col-xs-12">
                                    <select class="form-control" name="start_year" id="startyear" required="">
                                        <option value="2024">2024</option>
                                        <option value="2023">2023</option>
                                        <option value="2022">2022</option>
                                        <option value="2021">2021</option>
                                        <option value="2020">2020</option>
                                        <option value="2019">2019</option>
                                        <option value="2018">2018</option>
                                        <option value="2017">2017</option>
                                        <option value="2016">2016</option>
                                        <option value="2015">2015</option>
                                        <option value="2014">2014</option>
                                        <option value="2013">2013</option>
                                    </select>
                                </div>
                            </div>


                            <div class="form-group disab">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('project.end')}} <span class="required">*</span>
                                </label>
                                <div class="col-md-2 col-sm-2 col-xs-12">
                                    <select class="form-control" name="end_month" id="endmonth" required="">
                                        <option value="01">{{tc('january')}}</option>
                                        <option value="02">{{tc('february')}}</option>
                                        <option value="03">{{tc('march')}}</option>
                                        <option value="04">{{tc('april')}}</option>
                                        <option value="05">{{tc('may')}}</option>
                                        <option value="06">{{tc('june')}}</option>
                                        <option value="07">{{tc('july')}}</option>
                                        <option value="08">{{tc('august')}}</option>
                                        <option value="09">{{tc('september')}}</option>
                                        <option value="10">{{tc('october')}}</option>
                                        <option value="11">{{tc('november')}}</option>
                                        <option value="12">{{tc('december')}}</option>
                                    </select>
                                </div>
                                <div class="col-md-2 col-sm-2 col-xs-12">
                                    <select class="form-control" name="end_year" id="endyear" required="">
                                        <option value="2024">2024</option>
                                        <option value="2023">2023</option>
                                        <option value="2022">2022</option>
                                        <option value="2021">2021</option>
                                        <option value="2020">2020</option>
                                        <option value="2019">2019</option>
                                        <option value="2018">2018</option>
                                        <option value="2017">2017</option>
                                        <option value="2016">2016</option>
                                        <option value="2015">2015</option>
                                        <option value="2014">2014</option>
                                        <option value="2013">2013</option>
                                    </select>
                                </div>
                            </div>





                            <div class="form-group disab">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('price')}} <span class="required">*</span>
                                </label>
                                <div class="col-md-2 col-sm-2 col-xs-12">
                                    <input type="number"  name="price_start" placeholder="{{tc('price.start')}}" value="{{$project->price_start}}"   class="form-control col-md-7 col-xs-12" required>
                                </div>
                                <div class="col-md-2 col-sm-2 col-xs-12">
                                    <input type="number"  name="price_end" placeholder="{{tc('price.end')}}" value="{{$project->price_end}}"  class="form-control col-md-7 col-xs-12">
                                </div>
                            </div>



                            <div class="form-group disab">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('area')}} <span class="required">*</span>
                                </label>
                                <div class="col-md-2 col-sm-2 col-xs-12">
                                    <input type="number"  name="area_start"  placeholder="M² - {{tc('from')}}" value="{{$project->area_start}}" class="form-control col-md-7 col-xs-12" required>
                                </div>
                                <div class="col-md-2 col-sm-2 col-xs-12">
                                    <input type="number"  name="area_end" placeholder="M² -{{tc('to')}}" value="{{$project->area_end}}"  class="form-control col-md-7 col-xs-12">
                                </div>
                            </div>
                            <div class="form-group disab">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('installment')}} <span class="required">({{tc('month')}})</span>
                                </label>
                                <div class="col-md-4 col-sm-4 col-xs-12">
                                    <input type="number" min="0" name="installment" value="{{$project->installment}}" class="form-control col-md-7 col-xs-12">
                                </div>
                            </div>

                            <div class="form-group disab">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('discount')}} <span class="required"></span>
                                </label>
                                <div class="col-md-4 col-sm-4 col-xs-12">
                                    <input type="number" min="0" name="discount" value="{{$project->discount}}" class="form-control col-md-7 col-xs-12">
                                </div>
                            </div>











                            <div class="ln_solid disab" ></div>

                            <div class="" role="tabpanel" data-example-id="togglable-tabs">

                                <ul id="myTab" class="nav nav-tabs bar_tabs" role="tablist">
                                    @php $activator = 0; @endphp
                                    @foreach($locales as $l)
                                        <li role="presentation" @if($activator == 0) class="active" @else class="" @endif>
                                            <a href="#{{$l->locale}}" data-toggle="tab" aria-expanded="true">{{$l->name}}</a>
                                        </li>
                                        @php $activator++ @endphp
                                    @endforeach
                                </ul>



                                <div id="myTabContent" class="tab-content">



                                    @php $activator = 0; @endphp
                                    @foreach($locales as $loc)
                                        <div role="tabpanel" class="tab-pane fade @if($activator == 0) active in  @endif" id="{{$loc->locale}}">

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('name')}} <span class="required">*</span>
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <input type="text" id="firstText_{{$loc->locale}}" name="name_{{$loc->locale}}" value="{{($project->translate($loc->locale))? $project->translate($loc->locale)->name : null}}" required="required" class="form-control col-md-7 col-xs-12">
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('address')}} <span class="required">*</span>
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <input type="text"   name="address_{{$loc->locale}}" value="{{($project->translate($loc->locale))? $project->translate($loc->locale)->address : null}}" required="required" class="form-control col-md-7 col-xs-12">
                                                </div>
                                            </div>


                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Keywords
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <textarea    class="form-control" name="meta_keywords_{{$loc->locale}}"  >{{($project->translate($loc->locale))? $project->translate($loc->locale)->meta_keywords : null}}</textarea>
                                                </div>
                                            </div>


                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Description
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <textarea    class="form-control" name="meta_description_{{$loc->locale}}" >{{($project->translate($loc->locale))? $project->translate($loc->locale)->meta_description : null}}</textarea>
                                                </div>
                                            </div>



                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >ინფორმაცია პროექტზე
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <textarea   id="description_{{$loc->locale}}" class="form-control" name="description_{{$loc->locale}}" required>{{($project->translate($loc->locale))? $project->translate($loc->locale)->description : null}}</textarea>
                                                </div>
                                            </div>


                                            <div class="form-group" style="display:none;">
                                            <label class="control-label col-md-6 col-sm-3 col-xs-12" >
                                            <h3>დამატებითი ინფორმაცია</h3>
                                            </label>
                                            </div>

                                            <div class="form-group " style="display:none;">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >ჩვენთან ნახავთ
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                <textarea   id="mini_description_{{$loc->locale}}" class="form-control" name="mini_description_{{$loc->locale}}" required>{{($project->translate($loc->locale))? $project->translate($loc->locale)->mini_description : null}}</textarea>
                                                </div>
                                            </div>
                                            <div class="form-group" style="display:none;">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >სტარ პალასი
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                <textarea   id="restunia_{{$loc->locale}}" class="form-control" name="restunia_{{$loc->locale}}" required>{{($project->translate($loc->locale))? $project->translate($loc->locale)->restunia : null}}</textarea>
                                                </div>
                                            </div>
                                            <div class="form-group" style="display:none;">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >სამედიცინო გამაჯანსაღებელი ცენტრი
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                <textarea   id="samedicinoa_{{$loc->locale}}" class="form-control" name="samedicinoa_{{$loc->locale}}" required>{{($project->translate($loc->locale))? $project->translate($loc->locale)->samedicinoa : null}}</textarea>
                                                </div>
                                            </div>
                                            <div class="form-group" style="display:none;">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >ავტოსადგომი
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                <textarea   id="avtosadgomia_{{$loc->locale}}" class="form-control" name="avtosadgomia_{{$loc->locale}}" required>{{($project->translate($loc->locale))? $project->translate($loc->locale)->avtosadgomia : null}}</textarea>
                                                </div>
                                            </div>
                                            <div class="form-group" style="display:none;">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >მართვის ცენტრი
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                <textarea   id="martvaa_{{$loc->locale}}" class="form-control" name="martvaa_{{$loc->locale}}" required>{{($project->translate($loc->locale))? $project->translate($loc->locale)->martvaa : null}}</textarea>
                                                </div>
                                            </div>

                                            <div class="form-group" style="display:none;">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >მშენებლობის ეტაპები
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                <textarea   id="etapebi_{{$loc->locale}}" class="form-control" name="etapebi_{{$loc->locale}}" required>{{($project->translate($loc->locale))? $project->translate($loc->locale)->etapebi : null}}</textarea>
                                                </div>
                                            </div>


                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >Slug <span class="required">*</span>
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">

                                                    <input type="text" id="slug_{{$loc->locale}}" name="slug_{{$loc->locale}}" value="{{($project->translate($loc->locale))? $project->translate($loc->locale)->slug : null}}" required="required" class="form-control col-md-7 col-xs-12">
                                                </div>
                                            </div>

                                            

                                        </div>


                                        @php $activator++ @endphp
                                    @endforeach
                                </div> </div>




                            <div class="ln_solid"></div>



                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('banner')}} <span class="required">*</span>
                                </label>
                                <div class="col-md-4 col-sm-4 col-xs-12">

                                    <div class="input-group">
                                        <label class="input-group-btn">
                                 <span class="btn btn-primary" style="color: #fff3cd;">
                                                    {{tc('choose')}}&hellip; <input type="file" name="banner[]" id="files" accept="image/x-png,image/jpeg" style="display: none;" >
                                                         </span>
                                        </label>
                                        <input type="text" class="form-control" id="filenames" readonly>
                                    </div>

                                </div>
                                <img src="{{asset('/files/shares/projectimages/'.$project->banner)}}" class="img-responsive col-md-4 col-sm-4 col-xs-12" style="width: 265px;">
                            </div>


                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('gallery')}} <span class="required">*</span>
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">

                                    <div class="input-group">
                                        <label class="input-group-btn">
                                 <span class="btn btn-primary" style="color: #fff3cd;">
                                                    {{tc('choose')}}&hellip; <input type="file" name="slider[]" id="gallery" accept="image/x-png,image/gif,image/jpeg" style="display: none;" multiple>
                                                         </span>
                                        </label>
                                        <input type="text" class="form-control" id="galleryfilenames" readonly>
                                    </div>
                                    <div class="form-line">
                                       @foreach($project->slider as $slide)
                                        <div class="radio-inline">
                                            <label>
                                                <img src="{{asset('/files/shares/projectimages/' . $slide->img)}}" width="90" height="50">
                                                <a href="#" class="delimg" data-imageid="{{$slide->id}}"><i class="material-icons">remove_circle</i></a>
                                            </label>
                                        </div>

                                        @endforeach







                                    </div>
                                </div>
                            </div>



                            <div id="map" class="disab">

                            </div>
                            <div class="form-group disab">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >
                                </label>
                                <div class="col-md-2 col-sm-2 col-xs-12">
                                    <input type="text"  id="latitude" name="map_lat" value="{{$project->map_lat}}" placeholder="Latitude" class="form-control col-md-7 col-xs-12">
                                </div>
                                <div class="col-md-2 col-sm-2 col-xs-12">
                                    <input type="text" id="longitude" name="map_long" value="{{$project->map_long}}" placeholder="Longitude" class="form-control col-md-7 col-xs-12">
                                </div>
                            </div>


                            <div class="ln_solid"></div>
                            <div class="form-group">
                                <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
                                    <button type="submit" class="btn btn-primary">{{tc('save')}}</button>

                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
                                    <a href="{{route('cms.projects.list')}}" class="btn btn-danger">{{tc('cancel')}}</a>

                                </div>
                            </div>

                        </form>





















                    </div>
                </div>
            </div>
        </div>
    </div>


@stop


@section('scripts')
    <script type="text/javascript" src='https://maps.google.com/maps/api/js?&libraries=places&key=AIzaSyCafS1FUd644OyagUCmyo_HCqAwYAOsIPI'></script>
    <script src="{{asset('/back/locationpicker.jquery.js')}}"></script>

    <script type="text/javascript">

        //locationpicker

            <?php if(isset($project->id)){
                $latitude = $project->map_lat;
                $longitude = $project->map_long;
            }?>
        $(document).ready(function() {
            var code = ' <div class="form-group">\n' +
                '                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('map')}} </label>\n' +
                ' <div class="col-md-2 col-sm-2 col-xs-12">\n' +
                '<div id="somecomponent"  style="width: 600px; height: 400px;"></div>\n'+
                '</div>';

            $('#map').append(code);

            $('#somecomponent').locationpicker({
                @if(!empty($latitude) AND !empty($longitude))
                location: {
                    latitude: '<?php echo $latitude; ?>',
                    longitude: '<?php echo $longitude; ?>'
                },
                @else
                location: {
                    latitude: 41.64727011634456,
                    longitude: 41.62607675344236
                },
                @endif

                zoom: 15,
                radius: 0,
                markerIcon:'{{asset('/front/images/marker_flat.png')}}',
                    onchanged: function (currentLocation, radius, isMarkerDropped) {
                    $('#latitude').val(currentLocation.latitude);
                    $('#longitude').val(currentLocation.longitude);
                }
            });

        });
        //locationpicker



        @foreach($locales as $loc)
            ft_{{$loc->locale}}=$('input#firstText_{{$loc->locale}}');sl_{{$loc->locale}}=$('input#slug_{{$loc->locale}}');
        ft_{{$loc->locale}}.keyup(function c(){sl_{{$loc->locale}}.val(slugIt(ft_{{$loc->locale}}.val()))});

        CKEDITOR.replace('description_{{$loc->locale}}');
        CKEDITOR.replace('mini_description_{{$loc->locale}}');
        CKEDITOR.replace('restunia_{{$loc->locale}}');
        CKEDITOR.replace('samedicinoa_{{$loc->locale}}');
        CKEDITOR.replace('avtosadgomia_{{$loc->locale}}');
        CKEDITOR.replace('martvaa_{{$loc->locale}}');
        CKEDITOR.replace('etapebi_{{$loc->locale}}');

        @endforeach
        
        function slugIt(e){return e=e.replace(/[^a-zA-Z ა-ჰ а-яА-Я 0-9]+/g, ''),e=e.replace(/ /g,"-"),e=e.replace(/ა/g,"a"),e=e.replace(/ბ/g,"b"),e=e.replace(/გ/g,"g"),e=e.replace(/დ/g,"d"),e=e.replace(/ე/g,"e"),e=e.replace(/ვ/g,"v"),e=e.replace(/ზ/g,"z"),e=e.replace(/თ/g,"t"),e=e.replace(/ი/g,"i"),e=e.replace(/კ/g,"k"),e=e.replace(/ლ/g,"l"),e=e.replace(/მ/g,"m"),e=e.replace(/ნ/g,"n"),e=e.replace(/ო/g,"o"),e=e.replace(/პ/g,"p"),e=e.replace(/ჟ/g,"j"),e=e.replace(/რ/g,"r"),e=e.replace(/ს/g,"s"),e=e.replace(/ტ/g,"t"),e=e.replace(/უ/g,"u"),e=e.replace(/ფ/g,"f"),e=e.replace(/ქ/g,"q"),e=e.replace(/ღ/g,"g"),e=e.replace(/ყ/g,"k"),e=e.replace(/შ/g,"sh"),e=e.replace(/ჩ/g,"ch"),e=e.replace(/ც/g,"c"),e=e.replace(/ძ/g,"dz"),e=e.replace(/წ/g,"w"),e=e.replace(/ჭ/g,"ch"),e=e.replace(/ხ/g,"x"),e=e.replace(/ჯ/g,"j"),e=e.replace(/ჰ/g,"h"),e=e.replace(/а/gi,"a"),e=e.replace(/б/gi,"b"),e=e.replace(/в/gi,"v"),e=e.replace(/г/gi,"g"),e=e.replace(/д/gi,"d"),e=e.replace(/е/gi,"e"),e=e.replace(/ё/gi,"jo"),e=e.replace(/ж/gi,"j"),e=e.replace(/з/gi,"z"),e=e.replace(/и/gi,"i"),e=e.replace(/й/gi,"j"),e=e.replace(/к/gi,"k"),e=e.replace(/л/gi,"l"),e=e.replace(/м/gi,"m"),e=e.replace(/н/gi,"n"),e=e.replace(/о/gi,"o"),e=e.replace(/п/gi,"p"),e=e.replace(/р/gi,"r"),e=e.replace(/с/gi,"s"),e=e.replace(/т/gi,"t"),e=e.replace(/у/gi,"u"),e=e.replace(/ф/gi,"f"),e=e.replace(/х/gi,"x"),e=e.replace(/ц/gi,"c"),e=e.replace(/ч/gi,"ch"),e=e.replace(/ш/gi,"sh"),e=e.replace(/щ/gi,"shch"),e=e.replace(/ъ/gi,""),e=e.replace(/ы/gi,"i"),e=e.replace(/ь/gi,""),e=e.replace(/э/gi,"ie"),e=e.replace(/ю/gi,"iu"),e=e.replace(/я/gi,"ya"),e}


        //file input ds
        $(document).on('change', ':file', function() {
            var input = $(this),
                numFiles = input.get(0).files ? input.get(0).files.length : 1,
                label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
            input.trigger('fileselect', [numFiles, label]);
        });



        $(document).ready( function() {
            $('#files').on('fileselect', function(event, numFiles, label) {
                var input = $('#filenames'),
                    log = numFiles > 1 ? numFiles + ' {{tc('selected.file')}}' : label;
                if( input.length ) {
                    input.val(log);
                } else {
                    if( log ) alert(log);
                }
            });
        });




        $(document).ready( function() {
            $('#gallery').on('fileselect', function(event, numFiles, label) {
                var input = $('#galleryfilenames'),
                    log = numFiles > 1 ? numFiles + ' {{tc('selected.file')}}' : label;
                if( input.length ) {
                    input.val(log);
                } else {
                    if( log ) alert(log);
                }
            });
        });
        //file input ds






        //del img slider


        $(document).ready(function(){
            $('.delimg').click(function(e){
                e.preventDefault();
                if(!confirm('{{tc('del.img.confirm')}}')){
                    return;
                }
                var that = this;

                $.post('{{route('cms.project.deleteimg')}}', {
                    delimg : $(this).data('imageid'),
                    _token: '{{csrf_token()}}'
                }).done(function (data) {

                    if(data.success == 'true'){
                        $(that).parent().parent().remove();
                    } else{
                        alert('ERROR!');
                    }

                });
            });
        }); 




        //select dates
        @php
            $prstart = explode("-", $project->project_start);
            $prend = explode("-", $project->project_end);
        @endphp
        $('#startyear option[value="{{$prstart[0]}}"]').attr('selected','selected');
        $('#startmonth option[value="{{$prstart[1]}}"]').attr('selected','selected');
        $('#endyear option[value="{{$prend[0]}}"]').attr('selected','selected');
        $('#endmonth option[value="{{$prend[1]}}"]').attr('selected','selected');

        $('#condition option[value="{{$project->condition}}"]').attr('selected','selected');



    </script>


@endsection
