@extends('backend.layouts.backend')


@section('content')

    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="x_title">
                    <ol class="breadcrumb bread-primary ">
                        <li><a href="{{route('cms.dashboard')}}"><i class="fa fa-home"></i></a></li>
                        <li><a href="{{route('cms.projects.list')}}">{{tc('projects')}}</a></li>
                        <li><a href="{{route('cms.projects.editproject',$projects->id)}}">{{$projects->name}}</a></li>
                        <li class="active">{{tc('flats')}}</li>
                    </ol>
                    @if(Session::has('success'))
                        <div class="alert alert-success alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("success") !!}
                        </div>
                    @elseif(Session::has('error'))
                        <div class="alert alert-danger alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("error") !!}
                        </div>
                    @endif
                    <div class="x_content" > <br>



                        <div class="accordion" id="accordion1" role="tablist" aria-multiselectable="true">
                            <div class="panel">
                                <a class="panel-heading collapsed" role="tab" id="headingTwo1" data-toggle="collapse" data-parent="#accordion1" href="#home" aria-expanded="false" aria-controls="collapseTwo">
                                    <h4 class="panel-title"> {{tc('flats')}} </h4>
                                </a>
                                <div id="home" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingTwo">

                                    <div class="" role="tabpanel" data-example-id="togglable-tabs">

                                        <form action="" method="get">

                                            <div class="row">
                                                <hr>

                                                <div class="form-group">
                                                    <div class="col-md-3 col-sm-3 col-xs-12">
                                                        <select class="form-control" name="status">
                                                            <option value="">{{tc('status')}}</option>
                                                            <option value="0" @if(request('status') == '0') selected @endif>{{tc('free')}}</option>
                                                            <option value="1" @if(request('status') == '1') selected @endif>{{tc('sold')}}</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="form-group">
                                                    <div class="col-md-2 col-sm-2 col-xs-12">
                                                        <input type="text" name="flatnum" value="{{request('flatnum')}}" class="form-control" placeholder="{{tc('flat')}}">
                                                    </div>
                                                </div>




                                                <div class="form-group">
                                                    <div class="col-md-1 col-sm-1 col-xs-12">
                                                        <input type="submit"  class="btn btn-primary" value="{{tc('search')}}">
                                                    </div>
                                                </div>
                                            </div>


                                        </form>

                                        <div class="table-responsive"> <br>
                                            <a href="" class="btn btn-success btn-xs addflat" data-id="0" data-toggle="modal"
                                               data-target=".modal-editflat"> <i class="fa fa-plus-circle"></i> {{tc('new')}} </a>
                                            <table class="table table-striped jambo_table bulk_action">
                                                <thead>
                                                <tr class="headings">

                                                    <th class="column-title">{{tc('status')}}</th>
                                                    <th class="column-title">№</th>
                                                    <th class="column-title">{{tc('area')}}</th>
                                                    <th class="column-title">{{tc('floor')}}</th>


                                                    <th class="column-title">{{tc('action')}}</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @foreach($flats as $flat)
                                                    <tr class="even pointer">
                                                        <td class="">@if($flat->status ==1)<a class="btn btn-danger">{{tc('sold')}}</a>@else <a class="btn btn-success">{{tc('free')}}</a> @endif </td>
                                                        <td class="">№ {{$flat->flatnum}}</td>
                                                        <td class="">{{$flat->area}} M²</td>
                                                        <td class="">{{$flat->floor}} {{tc('floor')}}</td>

                                                        <td class=""><a href="#" class="btn btn-info editflat" data-id="{{$flat->id}}" data-toggle="modal"
                                                                        data-target=".modal-editflat"  >{{tc('edit')}}</a>  <a href="#" class="btn btn-danger removeflat" data-id="{{$flat->id}}" data-toggle="modal"
                                                                                                                             data-target=".modal-removeflat"  >{{tc('remove')}}</a></td>
                                                    </tr>
                                                @endforeach



                                                </tbody>
                                            </table>

                                            {{$flats->render()}}
                                        </div>




                                    </div>
                                </div>
                            </div>


                            <div class="panel">
                                <a class="panel-heading collapsed" role="tab" id="headingTwo1" data-toggle="collapse" data-parent="#accordion1" href="#news" aria-expanded="false" aria-controls="collapseTwo">
                                    <h4 class="panel-title"><i class="fa fa-code"></i> {{tc('main')}} </h4>
                                </a>
                                <div id="news" class="panel-collapse collapse " role="tabpanel" aria-labelledby="headingTwo">

                                    <div class="" role="tabpanel" data-example-id="togglable-tabs">
                                        <form id="demo-form2" action="{{route('cms.projects.flats.edit')}}" method="post" enctype="multipart/form-data" class="form-horizontal form-label-left">

                                            <input type="hidden" name="projects_id" value="{{$projects->id}}">
                                            <input type="hidden" name="change" value="project">
                                            {{ csrf_field() }}

                                            <br>
                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('image')}} <span class="required">*</span>
                                                </label>
                                                <div class="col-md-4 col-sm-4 col-xs-12">
                                                    <div class="input-group">
                                                        <label class="input-group-btn">
                                 <span class="btn btn-primary" style="color: #fff3cd;">
                                                    {{tc('choose')}}&hellip; <input type="file" name="image[]" id="files" accept="image/x-png,image/jpeg" style="display: none;" >
                                                         </span>
                                                        </label>
                                                        <input type="text" class="form-control" id="filenames" readonly>
                                                    </div>
                                                </div>
                                                <a href="{{asset('/front/flats/'.$project->img)}}" target="_blank"><img src="{{asset('/front/flats/'.$project->img)}}" class="img-responsive col-md-4 col-sm-4 col-xs-12" style="width: 150px;"></a>
                                            </div>

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" > polygon <i class="fa fa-code"></i>
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <textarea    class="form-control" name="polygon" rows="10"  >{{$project->polygon}}</textarea>
                                                </div>
                                            </div>



                                            <div class="form-group">
                                                <div class="col-md-1 col-sm-1 col-xs-12">
                                                    <input type="submit"  class="btn btn-primary" value="{{tc('save')}}">
                                                </div>
                                            </div>
                                        </form>


                                    </div>
                                </div>
                            </div>


                            <div class="panel">
                                <a class="panel-heading collapsed" role="tab" id="headingTwo1" data-toggle="collapse" data-parent="#accordion1" href="#projects" aria-expanded="false" aria-controls="collapseTwo">
                                    <h4 class="panel-title"><i class="fa fa-code"></i> {{tc('floors')}}  </h4>
                                </a>
                                <div id="projects" class="panel-collapse collapse " role="tabpanel" aria-labelledby="headingTwo">

                                    <div class="" role="tabpanel" data-example-id="togglable-tabs">


                                        <div class="table-responsive"> <br>
                                            <a href="" class="btn btn-success btn-xs addfloor" data-id="0" data-toggle="modal"
                                               data-target=".modal-floors"> <i class="fa fa-plus-circle"></i> {{tc('new')}} </a>
                                            <table class="table table-striped jambo_table bulk_action">
                                                <thead>
                                                <tr class="headings">
                                                    <th class="column-title"></th>
                                                    <th class="column-title">{{tc('floor')}}</th>
                                                    <th class="column-title">{{tc('action')}}</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @foreach($project->floors()->orderBy('floor','DESC')->get() as $floor)
                                                <tr class="even pointer">
                                                    <td class=""></td>
                                                    <td class="">{{$floor->floor}} {{tc('floor')}}</td>
                                                    <td class=""><a href="#" class="btn btn-info editfloordata" data-id="{{$floor->id}}" data-toggle="modal"
                                                                    data-target=".modal-floors"  >{{tc('edit')}}</a>  <a href="#" class="btn btn-danger removefloor" data-id="{{$floor->id}}" data-toggle="modal"
                                                                                                                        data-target=".modal-removefloor"  >{{tc('remove')}}</a></td>
                                                </tr>
                                                    @endforeach

                                                </tbody>
                                            </table>
                                        </div>



                                    </div>
                                </div>
                            </div>
                        </div>




                        {{--flats--}}
                        <div class="modal fade modal-editflat" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-lg">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel">{{tc('floors')}}</h4>
                                    </div>
                                    <div class="modal-body">


                                        <form class="form-horizontal" autocomplete="off"  action="{{route('cms.projects.flats.edit')}}" method="post"
                                              id="edit-user-form" enctype="multipart/form-data">
                                            <input type="hidden" name="id" id="editid"/>
                                            <input type="hidden" name="projectid" value="{{$project->id}}"/>
                                            <input type="hidden" name="change" value="flat">
                                            {{ csrf_field() }}

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('status')}}  <span class="required">*</span></label>
                                                <div class="col-md-4 col-sm-4 col-xs-12">
                                                    {{tc('free')}} <input type="radio" id="free" name="status"  value="0"  required/> <br>
                                                    {{tc('sold')}}  <input type="radio" id="sold" name="status" value="1"  required/>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('flat')}} №</label>
                                                <div class="col-md-4 col-sm-4 col-xs-12">
                                                    <input type="number" name="flatnumb" id="flatnumb" class="form-control" placeholder="{{tc('flat')}}" required>
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('area')}} M²</label>
                                                <div class="col-md-4 col-sm-4 col-xs-12">
                                                    <input type="text" name="areanum" id="areanum" class="form-control" placeholder="{{tc('area')}}" required>
                                                </div>
                                            </div>


                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('floor')}}</label>
                                                <div class="col-md-4 col-sm-4 col-xs-12">
                                                    <input type="number" name="floornum" id="floornum" class="form-control" placeholder="{{tc('floor')}}" required>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('image')}} <span class="required">*</span>
                                                </label>
                                                <div class="col-md-4 col-sm-4 col-xs-12">
                                                    <div class="input-group">
                                                        <label class="input-group-btn">
                                 <span class="btn btn-primary" style="color: #fff3cd;">
                                                    {{tc('choose')}}&hellip;  <input type="file" name="flatimg[]" id="flatimg" accept="image/x-png,image/jpeg" style="display: none;" >
                                                         </span>
                                                        </label>
                                                        <input type="text" class="form-control" id="flatimgfilenames" readonly>
                                                    </div>
                                                </div>
                                                <img src="" id="flatimgscr" class="img-responsive col-md-4 col-sm-4 col-xs-12" style="margin-top: -87px; width: 194px; margin-bottom: 27px;">
                                            </div>

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12"></label>
                                                <div class="col-md-9 col-sm-9 col-xs-16">
                                                    <button type="submit" class="btn btn-primary edituser">{{tc('save')}}</button>
                                                </div>
                                            </div>

                                        </form>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default btnclose" data-dismiss="modal">{{tc('close')}}</button>

                                    </div>
                                </div>
                            </div>
                        </div>
                        {{--flats--}}











                        {{--remove flat--}}

                        <div class="modal fade modal-removeflat" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-sm">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel2"></h4>
                                    </div>
                                    <div class="modal-body">
                                        <form action="{{route('cms.projects.flats.edit')}}" method="post">
                                            <input type="hidden" name="id" id="rmflatid"  class="rmflatid" />
                                            <input type="hidden" name="change" value="delflat">
                                            {{ csrf_field() }}
                                            <button type="button" class="btn btn-default" data-dismiss="modal">{{tc('close')}}</button>
                                            <button type="submit" class="btn btn-primary btn-danger">{{tc('remove')}}</button>
                                        </form>
                                    </div>

                                </div>
                            </div>
                        </div>
                        {{--remove flat--}}






                        {{--remove floor--}}

                        <div class="modal fade modal-removefloor" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-sm">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel2"></h4>
                                    </div>
                                    <div class="modal-body">
                                        <form action="{{route('cms.projects.flats.edit')}}" method="post">
                                            <input type="hidden" name="id" id="delfloorid"  class="delfloorid" />
                                            <input type="hidden" name="change" value="delfloor">
                                            {{ csrf_field() }}
                                            <button type="button" class="btn btn-default" data-dismiss="modal">{{tc('close')}}</button>
                                            <button type="submit" class="btn btn-primary btn-danger">{{tc('remove')}}</button>
                                        </form>
                                    </div>

                                </div>
                            </div>
                        </div>
                        {{--remove floor--}}







                        {{--floors--}}
                        <div class="modal fade modal-floors" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-lg">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel">{{tc('floors')}}</h4>
                                    </div>
                                    <div class="modal-body">


                                        <form class="form-horizontal" autocomplete="off"  action="{{route('cms.projects.flats.edit')}}" method="post"
                                              id="edit-user-form" enctype="multipart/form-data">
                                            <input type="hidden" name="id" id="id"/>
                                            <input type="hidden" name="projectid" value="{{$project->id}}"/>
                                            <input type="hidden" name="change" value="floor">
                                            {{ csrf_field() }}
                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('floor')}}</label>
                                                <div class="col-md-4 col-sm-4 col-xs-12">
                                                    <input type="number" name="floor" id="floor" class="form-control" placeholder="{{tc('floor')}}"
                                                           required>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('image')}} <span class="required">*</span>
                                                </label>
                                                <div class="col-md-4 col-sm-4 col-xs-12">
                                                    <div class="input-group">
                                                        <label class="input-group-btn">
                                 <span class="btn btn-primary" style="color: #fff3cd;">
                                                    {{tc('choose')}}&hellip;  <input type="file" name="floorimg[]" id="floorimg" accept="image/x-png,image/jpeg" style="display: none;" >
                                                         </span>
                                                        </label>
                                                        <input type="text" class="form-control" id="floorimgfilenames" readonly>
                                                    </div>
                                                </div>
                                                <img src="" id="floorimgscr" class="img-responsive col-md-4 col-sm-4 col-xs-12" style="margin-top: -40px; width: 150px;margin-bottom: 27px;">
                                            </div>



                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" > polygon <i class="fa fa-code"></i>
                                                </label>
                                                <div class="col-md-9 col-sm-9 col-xs-12">
                                                    <textarea    class="form-control" name="polygon" id="polygon" rows="10"  > </textarea>
                                                </div>
                                            </div>







                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12"></label>
                                                <div class="col-md-9 col-sm-9 col-xs-16">
                                                    <button type="submit" class="btn btn-primary edituser">{{tc('save')}}</button>
                                                </div>
                                            </div>

                                        </form>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default btnclose" data-dismiss="modal">{{tc('close')}}</button>

                                    </div>
                                </div>
                            </div>
                        </div>
                        {{--floors--}}

                    </div>
                </div>
            </div>
        </div>
    </div>


@stop


@section('scripts')
   <script>

       //file input ds
        $(document).on('change', ':file', function() {
            var input = $(this),
                numFiles = input.get(0).files ? input.get(0).files.length : 1,
                label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
            input.trigger('fileselect', [numFiles, label]);
        });


       $(document).ready( function() {
           $('#floorimg').on('fileselect', function(event, numFiles, label) {
               var input = $('#floorimgfilenames'),
                   log = numFiles > 1 ? numFiles + ' {{tc('selected.file')}}' : label;
               if( input.length ) {
                   input.val(log);
               } else {
                   if( log ) alert(log);
               }
           });
       });

       $(document).ready( function() {
           $('#flatimg').on('fileselect', function(event, numFiles, label) {
               var input = $('#flatimgfilenames'),
                   log = numFiles > 1 ? numFiles + ' {{tc('selected.file')}}' : label;
               if( input.length ) {
                   input.val(log);
               } else {
                   if( log ) alert(log);
               }
           });
       });

        $(document).ready( function() {
            $('#files').on('fileselect', function(event, numFiles, label) {
                var input = $('#filenames'),
                    log = numFiles > 1 ? numFiles + ' {{tc('selected.file')}}' : label;
                if( input.length ) {
                    input.val(log);
                } else {
                    if( log ) alert(log);
                }
            });
        });

        //file input ds




       $(document).ready(function () {
           $('.addflat').click(function (e) {
               e.preventDefault();


               $('#editid').val('');
               $('#flatnumb').val('');
               $('#areanum').val('');
               $('#floornum').val('');
               $('#flatimgscr').hide();
               $('#free').prop( "checked", true );
           });
       });

       $(document).ready(function () {
           $('.editflat').click(function (e) {
               e.preventDefault();
               var that = this;
               $.post('{{route('cms.projects.flats.getflat')}}', {
                   id: $(this).data('id'),
                   _token: '{{csrf_token()}}'
               }).done(function (data) {
                   console.log(data);
                   $('#flatimgscr').show();
                   $('#editid').val(data.id);
                   $('#flatnumb').val(data.flatnum);
                   $('#floornum').val(data.floor);
                   $('#areanum').val(data.area);

                   if (data.status == 0){

                       $('#free').prop( "checked", true );
                   } else {
                       $('#sold').prop( "checked", true );
                   }

                   $('#flatimgscr').attr("src","/front/flats/"+ data.img);


               });
           });
       });








       $(document).ready(function () {
           $('.editfloordata').click(function (e) {
               e.preventDefault();
               var that = this;
               $.post('{{route('cms.projects.flats.getfloor')}}', {
                   id: $(this).data('id'),
                   _token: '{{csrf_token()}}'
               }).done(function (data) {
                  //console.log(data);

                   $('#id').val(data.id);
                   $('#floor').val(data.floor);
                   $('#polygon').val(data.polygon);
                   $('#floorimgscr').show();
                   $('#floorimgscr').attr("src","/front/flats/"+ data.img);

               });
           });
       });

       $(document).ready(function () {
           $('.addfloor').click(function (e) {
               e.preventDefault();


                   $('#id').val('');
                   $('#floor').val('');
                   $('#polygon').val('');
                   $('#floorimgscr').hide();


           });
       });


       $('.removeflat').click(function (e) {
           e.preventDefault();
           $('#rmflatid').val($(this).data('id'));

       });


       $('.removefloor').click(function (e) {
           e.preventDefault();
           $('#delfloorid').val($(this).data('id'));

       });


   </script>





@endsection
