@extends('backend.layouts.backend')


@section('content')

    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="x_title">


                    <ol class="breadcrumb bread-primary ">
                        <li><a href="{{route('cms.dashboard')}}"><i class="fa fa-home"></i></a></li>
                        <li><a href="{{route('cms.projects.list')}}">{{tc('projects')}}</a></li>
                        <li><a href="{{route('cms.projects.editproject',$project->id)}}">{{$project->name}}</a></li>
                        <li class="active">{{tc('process')}}</li>
                    </ol>



                    @if(Session::has('success'))
                        <div class="alert alert-success alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("success") !!}
                        </div>
                    @elseif(Session::has('error'))
                        <div class="alert alert-danger alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("error") !!}
                        </div>
                    @endif
                    <div class="x_content" > <br>








                        <div class="table-responsive">
                            <a href="" class="btn btn-success btn-xs" id="axalitranslate" data-toggle="modal"
                               data-target=".modal-add"> <i class="fa fa-plus-circle"></i> {{tc('add')}} </a>
                            <table class="table table-striped jambo_table bulk_action">
                                <thead>
                                <tr class="headings">
                                    <th class="column-title">{{tc('date')}}</th>
                                    <th class="column-title">{{tc('look')}}</th>
                                    <th class="column-title">{{tc('action')}}</th>
                                </tr>
                                </thead>
                                <tbody>




                                @foreach($project->process()->orderBy('date','DESC')->get() as $proc)
                                    <tr class="even pointer">
                                        <td class=""> {{changedate($proc->date)}}</td>
                                        <td><a href="{{asset('/files/shares/projectimages/process/' . $proc->img)}}" class="btn btn-info" target="_blank"><i class="fa fa-eye"></i> </a></td>
                                        <td class="">
                                            <a href="" class="delprocess btn btn-info"
                                               data-id="{{$proc->id}}" data-toggle="modal"
                                               data-target=".modal-delprocess"><i
                                                        class="fa fa-minus-circle"></i></a>
                                        </td>
                                    </tr>
                                @endforeach









                                </tbody>
                            </table>
                        </div>







                        <div class="modal fade modal-delprocess" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-sm">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel2">{{tc('remove')}}</h4>
                                    </div>
                                    <div class="modal-body">
                                        <form action="{{route('cms.projects.process.delete',$project->id)}}" method="post">
                                            <input type="hidden" name="delprocessid" id="delprocessid"/>
                                            {{ csrf_field() }}
                                            <button type="button" class="btn btn-default" data-dismiss="modal">{{tc('close')}}</button>
                                            <button type="submit" class="btn btn-primary btn-danger">{{tc('remove')}}</button>
                                        </form>
                                    </div>

                                </div>
                            </div>
                        </div>



                        <div class="modal fade modal-add" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-md">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title" id="myModalLabel2"> </h4>
                                    </div>
                                    <div class="modal-body">
                                        <form class="form-horizontal form-label-left" action="{{route('cms.projects.process.save',$project->id)}}" enctype="multipart/form-data" method="post">
                                            {{ csrf_field() }}

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('date')}}</label>
                                                <div class="col-md-9 col-sm-9 col-xs-12">
                                                    <input type="text" id="date" data-lang="{{App::getLocale()}}" name="date" data-format="Y-m-d"
                                                           data-min-year="2010"
                                                           data-max-year="2060" class="form-control marg-left" required>
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('image')}} <span class="required">*</span>
                                                </label>
                                                <div class="col-md-9 col-sm-9 col-xs-12">

                                                    <div class="input-group">
                                                        <label class="input-group-btn">
                                 <span class="btn btn-primary" style="color: #fff3cd;">
                                                    {{tc('choose')}}&hellip; <input type="file" name="process[]" id="process" accept="image/x-png,image/gif,image/jpeg" style="display: none;" required>
                                                         </span>
                                                        </label>
                                                        <input type="text" class="form-control" id="processfilenames" readonly>
                                                    </div>
                                                </div>
                                            </div>





                                            <div class="ln_solid"></div>
                                            <div class="form-group">
                                                <div class="col-md-9 col-sm-9 col-xs-12 col-md-offset-3">
                                                    <button type="submit" class="btn btn-success">{{tc('save')}}</button>
                                                </div>
                                            </div>

                                        </form>
                                    </div>

                                </div>
                            </div>
                        </div>





                    </div>
                </div>
            </div>
        </div>
    </div>


@stop


@section('scripts')

    <script>
        $(document).ready(function () {
            $('.delprocess').click(function (e) {
                e.preventDefault();
                var that = this;
                $('#delprocessid').val($(this).data('id'));
            });
        });


        $('#date').dateDropper();

        //file input ds
        $(document).on('change', ':file', function() {
            var input = $(this),
                numFiles = input.get(0).files ? input.get(0).files.length : 1,
                label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
            input.trigger('fileselect', [numFiles, label]);
        });



        $(document).ready( function() {
            $('#process').on('fileselect', function(event, numFiles, label) {
                var input = $('#processfilenames'),
                    log = numFiles > 1 ? numFiles + ' {{tc('selected.file')}}' : label;
                if( input.length ) {
                    input.val(log);
                } else {
                    if( log ) alert(log);
                }
            });
        });
        //file input ds
    </script>



@endsection
