@extends('backend.layouts.backend')


@section('content')

    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="x_title">
                    <ol class="breadcrumb bread-primary ">
                        <li><a href="{{route('cms.dashboard')}}"><i class="fa fa-home"></i></a></li>
                        <li><a href="{{route('cms.tours.list')}}">{{tc('tours')}}</a></li>
                        <li class="active">{{$tours->name}}</li>
                    </ol>
                    @if(Session::has('success'))
                        <div class="alert alert-success alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("success") !!}
                        </div>
                    @elseif(Session::has('error'))
                        <div class="alert alert-danger alert-dismissible fade in" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                        aria-hidden="true">×</span>
                            </button>
                            {!! Session::get("error") !!}
                        </div>
                    @endif
                    <div class="x_content" > <br>


                        <form id="demo-form2" action="{{route('cms.tours.editsave')}}" method="post" enctype="multipart/form-data" class="form-horizontal form-label-left">


                            {{ csrf_field() }}

                            <input type="hidden" value="{{$tours->id}}" name="id">

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('status')}}  <span class="required">*</span></label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    {{tc('yes')}} <input type="radio"  name="status"  value="1" @if($tours->status == 1) checked="" @endif required/>
                                    {{tc('no')}}  <input type="radio"  name="status" value="0" @if($tours->status == 0) checked="" @endif required/>
                                </div>
                            </div>


                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">{{tc('promotion')}}  <span class="required">*</span></label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    {{tc('yes')}} <input type="radio"  name="promotion"  value="1" @if($tours->promotion == 1) checked="" @endif required />
                                    {{tc('no')}}  <input type="radio"  name="promotion" value="0"  @if($tours->promotion == 0) checked="" @endif  required/>
                                </div>
                            </div>
                      


                            <div class="ln_solid"></div>

                            <div class="" role="tabpanel" data-example-id="togglable-tabs">

                                <ul id="myTab" class="nav nav-tabs bar_tabs" role="tablist">
                                    @php $activator = 0; @endphp
                                    @foreach($locales as $l)
                                        <li role="presentation" @if($activator == 0) class="active" @else class="" @endif>
                                            <a href="#{{$l->locale}}" data-toggle="tab" aria-expanded="true">{{$l->name}}</a>
                                        </li>
                                        @php $activator++ @endphp
                                    @endforeach
                                </ul>



                                <div id="myTabContent" class="tab-content">



                                    @php $activator = 0; @endphp
                                    @foreach($locales as $loc)
                                        <div role="tabpanel" class="tab-pane fade @if($activator == 0) active in  @endif" id="{{$loc->locale}}">

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('name')}} <span class="required">*</span>
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <input type="text" id="firstText_{{$loc->locale}}" name="name_{{$loc->locale}}" value="{{($tours->translate($loc->locale))? $tours->translate($loc->locale)->name : null}}" required="required" class="form-control col-md-7 col-xs-12">
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Keywords
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <textarea    class="form-control" name="meta_keywords_{{$loc->locale}}"  >{{($tours->translate($loc->locale))? $tours->translate($loc->locale)->meta_keywords : null}}</textarea>
                                                </div>
                                            </div>


                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >Meta Description
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <textarea    class="form-control" name="meta_description_{{$loc->locale}}" >{{($tours->translate($loc->locale))? $tours->translate($loc->locale)->meta_description : null}}</textarea>
                                                </div>
                                            </div>





                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('description')}}
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">
                                                    <textarea   id="description_{{$loc->locale}}" class="form-control" name="description_{{$loc->locale}}" required>{{($tours->translate($loc->locale))? $tours->translate($loc->locale)->description : null}}</textarea>
                                                </div>
                                            </div>







                                            <div class="form-group">
                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >Slug <span class="required">*</span>
                                                </label>
                                                <div class="col-md-6 col-sm-6 col-xs-12">

                                                    <input type="text" id="slug_{{$loc->locale}}" name="slug_{{$loc->locale}}" value="{{($tours->translate($loc->locale))? $tours->translate($loc->locale)->slug : null}}" required="required" class="form-control col-md-7 col-xs-12">
                                                </div>
                                            </div>

                                        </div>


                                        @php $activator++ @endphp
                                    @endforeach
                                </div> </div>




                            <div class="ln_solid"></div>



                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('banner')}} <span class="required">*</span>
                                </label>
                                <div class="col-md-4 col-sm-4 col-xs-12">

                                    <div class="input-group">
                                        <label class="input-group-btn">
                                 <span class="btn btn-primary" style="color: #fff3cd;">
                                                    {{tc('choose')}}&hellip; <input type="file" name="banner[]" id="files" accept="image/x-png,image/jpeg" style="display: none;" >
                                                         </span>
                                        </label>
                                        <input type="text" class="form-control" id="filenames" readonly>
                                    </div>
                                </div>
                                <img src="{{asset('/files/shares/toursimages/'.$tours->banner)}}" class="img-responsive col-md-4 col-sm-4 col-xs-12" style="width: 265px;">
                            </div>



                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >{{tc('gallery')}} <span class="required">*</span>
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">

                                    <div class="input-group">
                                        <label class="input-group-btn">
                                 <span class="btn btn-primary" style="color: #fff3cd;">
                                                    {{tc('choose')}}&hellip; <input type="file" name="nslider[]" id="gallery" accept="image/x-png,image/gif,image/jpeg" style="display: none;" multiple>
                                                         </span>
                                        </label>
                                        <input type="text" class="form-control" id="galleryfilenames" readonly>
                                    </div>
                                    <div class="form-line">
                                      


                                    @foreach($tours->nslider as $nslide)
                                        <div class="radio-inline">
                                            <label>
                                                <img src="{{asset('/files/shares/projectimages/' . $nslide->img)}}" width="90" height="50">
                                                <a href="#" class="delimg" data-imageid="{{$nslide->id}}"><i class="material-icons">remove_circle</i></a>
                                            </label>
                                        </div>

                                        @endforeach




                                    </div>
                                </div>
                            </div>


                            <div class="form-group">
                                                                <label class="control-label col-md-3 col-sm-3 col-xs-12" >ფასი <span class="required">*</span>
                                                                </label>
                                                                <div class="col-md-8 col-sm-8 col-xs-12">
                                                                    <input type="text" id="price" name="price" required="required" value="{{$tours->price}}" class="form-control col-md-7 col-xs-12">
                                                                </div>
                                                            </div>



                            <div class="ln_solid"></div>
                            <div class="form-group">
                                <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
                                    <button type="submit" class="btn btn-primary">{{tc('save')}}</button>

                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-12 col-md-offset-3">
                                    <a href="{{route('cms.projects.list')}}" class="btn btn-danger">{{tc('cancel')}}</a>

                                </div>
                            </div>

                        </form>





















                    </div>
                </div>
            </div>
        </div>
    </div>


@stop


@section('scripts')

    <script type="text/javascript">


        @foreach($locales as $loc)
            ft_{{$loc->locale}}=$('input#firstText_{{$loc->locale}}');sl_{{$loc->locale}}=$('input#slug_{{$loc->locale}}');
        ft_{{$loc->locale}}.keyup(function c(){sl_{{$loc->locale}}.val(slugIt(ft_{{$loc->locale}}.val()))});

        CKEDITOR.replace('description_{{$loc->locale}}');

        @endforeach

        function slugIt(e){return e=e.replace(/[^a-zA-Z ა-ჰ а-яА-Я 0-9]+/g, ''),e=e.replace(/ /g,"-"),e=e.replace(/ა/g,"a"),e=e.replace(/ბ/g,"b"),e=e.replace(/გ/g,"g"),e=e.replace(/დ/g,"d"),e=e.replace(/ე/g,"e"),e=e.replace(/ვ/g,"v"),e=e.replace(/ზ/g,"z"),e=e.replace(/თ/g,"t"),e=e.replace(/ი/g,"i"),e=e.replace(/კ/g,"k"),e=e.replace(/ლ/g,"l"),e=e.replace(/მ/g,"m"),e=e.replace(/ნ/g,"n"),e=e.replace(/ო/g,"o"),e=e.replace(/პ/g,"p"),e=e.replace(/ჟ/g,"j"),e=e.replace(/რ/g,"r"),e=e.replace(/ს/g,"s"),e=e.replace(/ტ/g,"t"),e=e.replace(/უ/g,"u"),e=e.replace(/ფ/g,"f"),e=e.replace(/ქ/g,"q"),e=e.replace(/ღ/g,"g"),e=e.replace(/ყ/g,"k"),e=e.replace(/შ/g,"sh"),e=e.replace(/ჩ/g,"ch"),e=e.replace(/ც/g,"c"),e=e.replace(/ძ/g,"dz"),e=e.replace(/წ/g,"w"),e=e.replace(/ჭ/g,"ch"),e=e.replace(/ხ/g,"x"),e=e.replace(/ჯ/g,"j"),e=e.replace(/ჰ/g,"h"),e=e.replace(/а/gi,"a"),e=e.replace(/б/gi,"b"),e=e.replace(/в/gi,"v"),e=e.replace(/г/gi,"g"),e=e.replace(/д/gi,"d"),e=e.replace(/е/gi,"e"),e=e.replace(/ё/gi,"jo"),e=e.replace(/ж/gi,"j"),e=e.replace(/з/gi,"z"),e=e.replace(/и/gi,"i"),e=e.replace(/й/gi,"j"),e=e.replace(/к/gi,"k"),e=e.replace(/л/gi,"l"),e=e.replace(/м/gi,"m"),e=e.replace(/н/gi,"n"),e=e.replace(/о/gi,"o"),e=e.replace(/п/gi,"p"),e=e.replace(/р/gi,"r"),e=e.replace(/с/gi,"s"),e=e.replace(/т/gi,"t"),e=e.replace(/у/gi,"u"),e=e.replace(/ф/gi,"f"),e=e.replace(/х/gi,"x"),e=e.replace(/ц/gi,"c"),e=e.replace(/ч/gi,"ch"),e=e.replace(/ш/gi,"sh"),e=e.replace(/щ/gi,"shch"),e=e.replace(/ъ/gi,""),e=e.replace(/ы/gi,"i"),e=e.replace(/ь/gi,""),e=e.replace(/э/gi,"ie"),e=e.replace(/ю/gi,"iu"),e=e.replace(/я/gi,"ya"),e}


        //file input ds
        $(document).on('change', ':file', function() {
            var input = $(this),
                numFiles = input.get(0).files ? input.get(0).files.length : 1,
                label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
            input.trigger('fileselect', [numFiles, label]);
        });


        $(document).ready( function() {
            $('#files').on('fileselect', function(event, numFiles, label) {
                var input = $('#filenames'),
                    log = numFiles > 1 ? numFiles + ' {{tc('selected.file')}}' : label;
                if( input.length ) {
                    input.val(log);
                } else {
                    if( log ) alert(log);
                }
            });
        });

        //file input ds

  //file input ds
  $(document).on('change', ':file', function() {
            var input = $(this),
                numFiles = input.get(0).files ? input.get(0).files.length : 1,
                label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
            input.trigger('fileselect', [numFiles, label]);
        });



        $(document).ready( function() {
            $('#files').on('fileselect', function(event, numFiles, label) {
                var input = $('#filenames'),
                    log = numFiles > 1 ? numFiles + ' {{tc('selected.file')}}' : label;
                if( input.length ) {
                    input.val(log);
                } else {
                    if( log ) alert(log);
                }
            });
        });




        $(document).ready( function() {
            $('#gallery').on('fileselect', function(event, numFiles, label) {
                var input = $('#galleryfilenames'),
                    log = numFiles > 1 ? numFiles + ' {{tc('selected.file')}}' : label;
                if( input.length ) {
                    input.val(log);
                } else {
                    if( log ) alert(log);
                }
            });
        });
        //file input ds






        //del img slider


        $(document).ready(function(){
            $('.delimg').click(function(e){
                e.preventDefault();
                if(!confirm('{{tc('del.img.confirm')}}')){
                    return;
                }
                var that = this;

                $.post('{{route('cms.news.deleteimg')}}', {
                    delimg : $(this).data('imageid'),
                    _token: '{{csrf_token()}}'
                }).done(function (data) {

                    if(data.success == 'true'){
                        $(that).parent().parent().remove();
                    } else{
                        alert('ERROR!');
                    }

                });
            });
        }); 


    </script>


@endsection
