<!DOCTYPE html>
<html lang="{{Session::get('locale')}}">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="apple-touch-icon" sizes="180x180" href="{{asset('/assets/favicon/apple-touch-icon.png')}}">
<link rel="icon" type="image/png" sizes="32x32" href="{{asset('/assets/favicon/favicon-32x32.png')}}">
<link rel="icon" type="image/png" sizes="16x16" href="{{asset('/assets/favicon/favicon-16x16.png')}}">
<link rel="manifest" href="{{asset('/assets/favicon/site.webmanifest')}}">
<meta name="msapplication-TileColor" content="#da532c">
<meta name="theme-color" content="#ffffff">

    @yield('meta')
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-KSQJQ4F58F"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-KSQJQ4F58F');
</script>
    <link rel="stylesheet" href="{{asset('/assets/css/apps.min.css')}}?1.2">
</head>
<body class="preloader-visible" data-barba="wrapper">

   <div class="preloader js-preloader">
    <div class="preloader__bg"></div>

    <div class="preloader__progress">
      <div class="preloader__progress__inner"></div>
    </div>
  </div>


  <div class="cursor js-cursor">
    <div class="cursor__wrapper">
      <div class="cursor__follower js-follower"></div>
      <div class="cursor__label js-label"></div>
      <div class="cursor__icon js-icon"></div>
    </div>
  </div>



  <div class="barba-container" data-barba="container">

    <div data-cursor class="backButton js-backButton">
      <span class="backButton__bg"></span>
      <div class="backButton__icon__wrap">
        <i class="backButton__button js-top-button" data-feather="arrow-up"></i>
      </div>
    </div>


    <main class="">


      <header class="header -light -sticky-light js-header">
        <div class="header__bar">
          <div class="header__logo js-header-logo">
            <a  href="/@if(getLocaleUrl(Session::get('locale')) != '')@endif{{getLocaleUrl(Session::get('locale'))}}">
              <img class="header__logo__light js-lazy" style="height:60px;"  data-srcset="{{asset('/assets/img/asya_logo.png')}} 1x, {{asset('/assets/img/asya_logo.png')}} 2x" data-src="{{asset('/assets/img/asya_logo.png')}}" alt="Asya Entertainment">
            </a>
            <a  href="/@if(getLocaleUrl(Session::get('locale')) != '')@endif{{getLocaleUrl(Session::get('locale'))}}">
              <img class="header__logo__dark js-lazy" style="height:60px;" data-srcset="{{asset('/assets/img/asya_logo.png')}} 1x, {{asset('/assets/img/asya_logo.png')}} 2x" data-src="{{asset('/assets/img/asya_logo.png')}}" alt="Asya Entertainment">
            </a>
          </div>
          <div class="languages">
          @yield('lang')
          </div>
          <div class="header__menu js-header-menu">
            <button type="button" class="nav-button-open js-nav-open">
              <i class="icon" data-feather="menu"></i>
            </button>
          </div>
        </div>


  
        <nav class="nav js-nav">
          <div class="nav__inner js-nav-inner">
            <div class="nav__bg js-nav-bg"></div>

            <div class="nav__container">
              <div class="nav__header">
                <button type="button" class="nav-button-back js-nav-back">
                  <i class="icon" data-feather="arrow-left-circle"></i>
                </button>

                <button type="button" class="nav-btn-close js-nav-close pointer-events-none">
                  <i class="icon" data-feather="x"></i>
                </button>
              </div>

              <div class="nav__content">
                <div class="nav__content__left">
                  <div class="navList__wrap">
                    <ul class="navList js-navList">
                      <li>
                        <a  href="/@if(getLocaleUrl(Session::get('locale')) != '')@endif{{getLocaleUrl(Session::get('locale'))}}">
                          {{tc('main')}}
                        </a>
                      </li>
                        <li>
                        <a  href="{{url(getLocaleUrl(Session::get('locale')).'/company')}}">
                        {{tc('company')}}
                        </a>
                      </li>
                       <li>
                        <a  href="{{url(getLocaleUrl(Session::get('locale')).'/services')}}">
                          {{tc('services')}}
                        </a>
                      </li>
                      <li>
                        <a  href="{{url(getLocaleUrl(Session::get('locale')).'/#ourproducts')}}">
                          {{tc('Productsss')}}
                        </a>
                      </li>
                      <li>
                        <a  href="{{url(getLocaleUrl(Session::get('locale')).'/our-projects')}}">
                          {{tc('projects')}}
                        </a>
                      </li>
                      
                      
                       <li>
                        <a  href="{{url(getLocaleUrl(Session::get('locale')).'/partners')}}">
                          {{tc('our.partniors')}}
                        </a>
                      </li>
                      {{-- <li>
                        <a  href="{{url(getLocaleUrl(Session::get('locale')).'/our-projects')}}">
                          {{tc('our.projects')}}
                        </a>
                      </li> --}}
                      <li>
                        <a  href="{{url(getLocaleUrl(Session::get('locale')).'/contact')}}">
                          {{tc('contact')}}
                        </a>
                      </li>

                     
                    </ul>
                  </div>
                </div>

                <div class="nav__content__right">
                  <div class="nav__info">
                    <div class="nav__info__item js-navInfo-item">
                      <h5 class="text-sm tracking-none fw-500">
                      {{tc('address')}}
                      </h5>

                      <div class="nav__info__content text-lg text-white mt-16">
                        <p>
                        {{tc('Georgia / Batumi, Lech and Maria Kaczynski 1')}}
                        </p>
                        <!-- <p>
                        {{tc('Georgia / Tbilisi, Ana Kalanadze 4')}}
                        </p> -->
                      </div>
                    </div>

                   
                    <div class="nav__info__item js-navInfo-item">
                      <h5 class="text-sm tracking-none fw-500">
                      {{tc('sakinformacia')}}
                      </h5>

                      <div class="nav__info__content text-lg text-white mt-16">
                        <a href="mailto:info@asyasoftware.ge">info@asyaentertainment.ge</a>
                        <a href="tel:+995577949018">+995 577 94 90 18</a>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </nav>
      </header>
      <style>
        .languages a {
          text-transform: uppercase;
          color: #fff;
          margin-right: 10px;
        }
        .is-sticky .header__bar .languages a{
          color:black;
        }
        </style>


