@extends('front.layouts.frontend')

@section('meta')
    <title>CityTravel.ge - {{tc('Booking')}}</title>
    <meta name="keywords" content="{{tc('Booking')}}" />
    <meta name="description" content="{{tc('Booking')}}" />

    @endsection


    @section('lang') |
    @foreach($locales as $loc)
        <a href="{{url($loc->locale)}}" class="language @if(App::getLocale() == $loc->locale) act-lan @endif" >{{$loc->locale}}</a> |
    @endforeach
    @endsection


@section('menulang')
    @foreach($locales as $loc)
        <a href="{{url($loc->locale)}}" style="text-transform: uppercase;" class="@if(App::getLocale() == $loc->locale) act-leng @endif">{{$loc->locale}}</a>
    @endforeach
    @endsection





@section('content')

<style>
.wrap-feature41-box .f41-tab {
    display: block;
}

.wrap-feature41-box .f41-tab li a {
    display: flex;
    margin-bottom: 20px;
    padding: 25px;
}

.wrap-feature41-box .f41-tab li a .t-icon {
    margin-right: 25px;
    color: #8d97ad;
}

.wrap-feature41-box .f41-tab li a h5 {
    font-weight: 500;
}

.wrap-feature41-box .f41-tab li a h6 {
    font-size: 14px;
    margin-bottom: 0px;
}

.wrap-feature41-box .f41-tab li a.active, .wrap-feature41-box .f41-tab li a:hover {
    background: #ffffff;
    box-shadow: 0px 0px 30px rgba(115, 128, 157, 0.1);
}

.wrap-feature41-box .f41-tab li a.active .t-icon, .wrap-feature41-box .f41-tab li a:hover .t-icon {
    background: #00b4ff;
    background: -webkit-linear-gradient(legacy-direction(to right), #00b4ff 0%, #00b4ff 100%);
    background: linear-gradient(to right, #00b4ff 0%, #00b4ff 100%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-fill-color: transparent;
}
</style>

<div class="breadcrumb-area jarallax" style="background-image:url({{asset('/assets/img/bg/1.png')}});">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="breadcrumb-inner">
                        <h1 class="page-title">{{tc('Booking')}}</h1>
                        <ul class="page-list">
                            <li><a href="/@if(getLocaleUrl(Session::get('locale')) != '')@endif{{getLocaleUrl(Session::get('locale'))}}">{{tc('maina')}}</a></li>
                            <li>{{tc('Booking')}}</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>


<section style="padding-top:20px;padding-bottom:20px;">
<div class="container">
<div class="row">
<div class="col-md-1">
</div>
<div class="col-md-10">
<!-- -->

<div class="container">
  <div class="row mt-5 wrap-feature41-box">
    <div class="col-lg-4">
      <ul class="nav vtab f41-tab">
        <li class="nav-item">
          <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home">
            <div class="display-5 t-icon"><i class="icon-Structure"></i></div>
            <div>
              <h5 class="m-b-0">{{tc('Book_a_tour')}}</h5>
              <h6 class="subtitle">{{tc('All_fields_are_required')}}</h6>
            </div>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile">
            <div class="display-5 t-icon"><i class="icon-Brain-2"></i></div>
            <div>
              <h5 class="m-b-0">{{tc('Book_a_hotel')}}</h5>
              <h6 class="subtitle">{{tc('All_fields_are_required')}}</h6>
            </div>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link"  href="http://metrocity.ge/" target="_blank">
            <div class="display-5 t-icon"><i class="icon-Dollar-Sign"></i></div>
            <div>
              <h5 class="m-b-0">{{tc('Book_apartments')}}</h5>
              <h6 class="subtitle">{{tc('All_fields_are_required')}}</h6>
            </div>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link"  href="http://metrogeorgia.ge/Online/ka-ge/onlineTicket.html?f=BATUM&t=TIFLIS&d=24/09/2020" target="_blank">
            <div class="display-5 t-icon"><i class="icon-Data-Center"></i></div>
            <div>
              <h5 class="m-b-0">{{tc('Bus_tickets')}}</h5>
              <h6 class="subtitle">{{tc('All_fields_are_required')}}</h6>
            </div>
          </a>
        </li>
      </ul>
    </div>
    <div class="col-lg-7 ml-auto">
      <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade show active" id="home" role="tabpanel">
         <!-- -->
         <form>
  <div class="form-row">
    <div class="form-group col-md-6">
      <label for="inputEmail4">{{tc('Destinationsss')}}</label>
      <input type="text" class="form-control" id="inputEmail4" placeholder="{{tc('Destinationsss')}}">
    </div>
    <div class="form-group col-md-6">
      <label for="inputPassword4">{{tc('Travel_Period')}}</label>
      <input type="text" class="form-control" id="inputPassword4" placeholder="{{tc('Travel_Period')}}">
    </div>
  </div>
  <div class="form-group">
    <label for="inputAddress">{{tc('Number_of_Travelers')}}</label>
    <input type="text" class="form-control" id="inputAddress" placeholder="{{tc('Number_of_Travelers')}}">
  </div>
  <div class="form-group">
   

    <label for="inputState">{{tc('hotel_category')}}</label>
      <select id="inputState" class="form-control">
        
      <option>1 Star *</option>
							<option>2 Star **</option>
							<option selected="selected">3 Star ***</option>
							<option>4 Star ****</option>
							<option>5 Star *****</option>
      </select>
  </div>
  <div class="form-row">
    <div class="form-group col-md-4">
      <label for="inputCity">{{tc('Contact_Person')}}</label>
      <input type="text" class="form-control" id="inputCity">
    </div>
    <div class="form-group col-md-4">
    <label for="inputAddress2">{{tc('Contact_Phone')}}</label>
    <input type="text" class="form-control" id="inputAddress2" placeholder="{{tc('Contact_Phone')}}">
    </div>
    <div class="form-group col-md-4">
    <label for="inputAddress2">{{tc('Contact_Email')}}</label>
    <input type="text" class="form-control" id="inputAddress2" placeholder="{{tc('Contact_Email')}}">
    </div>

    <div class="form-group col-md-12">
    <label for="inputAddress2">{{tc('Additional_Requests')}}</label>
    <textarea class="form-control"></textarea>
    </div>
  </div>



  
  <button type="submit" class="btn btn-primary">{{tc('send')}}</button>
</form>

         <!-- ... -->
        </div>
        <div class="tab-pane fade" id="profile" role="tabpanel">
        <form>
  <div class="form-row">
    <div class="form-group col-md-6">
      <label for="inputEmail4">{{tc('Destinationsss')}}</label>
      <input type="text" class="form-control" id="inputEmail4" placeholder="{{tc('Destinationsss')}}">
    </div>
    <div class="form-group col-md-6">
      <label for="inputPassword4">{{tc('Travel_Period')}}</label>
      <input type="text" class="form-control" id="inputPassword4" placeholder="{{tc('Travel_Period')}}">
    </div>
  </div>
  <div class="form-group">
    <label for="inputAddress">{{tc('Number_of_Travelers')}}</label>
    <input type="text" class="form-control" id="inputAddress" placeholder="{{tc('Number_of_Travelers')}}">
  </div>
  <div class="form-group">
   

    <label for="inputState">{{tc('hotel_category')}}</label>
      <select id="inputState" class="form-control">
      
      <option>1 Star *</option>
							<option>2 Star **</option>
							<option selected="selected">3 Star ***</option>
							<option>4 Star ****</option>
							<option>5 Star *****</option>
      </select>
  </div>
  <div class="form-row">
    <div class="form-group col-md-4">
      <label for="inputCity">{{tc('Contact_Person')}}</label>
      <input type="text" class="form-control" id="inputCity">
    </div>
    <div class="form-group col-md-4">
    <label for="inputAddress2">{{tc('Contact_Phone')}}</label>
    <input type="text" class="form-control" id="inputAddress2" placeholder="{{tc('Contact_Phone')}}">
    </div>
    <div class="form-group col-md-4">
    <label for="inputAddress2">{{tc('Contact_Email')}}</label>
    <input type="text" class="form-control" id="inputAddress2" placeholder="{{tc('Contact_Email')}}">
    </div>

    <div class="form-group col-md-12">
    <label for="inputAddress2">{{tc('Additional_Requests')}}</label>
    <textarea class="form-control"></textarea>
    </div>
  </div>



  
  <button type="submit" class="btn btn-primary">{{tc('send')}}</button>
</form>

        </div>
        <div class="tab-pane fade" id="dropdown1" role="tabpanel"> 
        <form>
  <div class="form-row">
    <div class="form-group col-md-6">
      <label for="inputEmail4">{{tc('Destinationsss')}}</label>
      <input type="text" class="form-control" id="inputEmail4" placeholder="{{tc('Destinationsss')}}">
    </div>
    <div class="form-group col-md-6">
      <label for="inputPassword4">{{tc('Travel_Period')}}</label>
      <input type="text" class="form-control" id="inputPassword4" placeholder="{{tc('Travel_Period')}}">
    </div>
  </div>
  <div class="form-group">
    <label for="inputAddress">{{tc('Number_of_Travelers')}}</label>
    <input type="text" class="form-control" id="inputAddress" placeholder="{{tc('Number_of_Travelers')}}">
  </div>
  <div class="form-group">
   

    <label for="inputState">{{tc('hotel_category')}}</label>
      <select id="inputState" class="form-control">
        
      <option>1 Star *</option>
							<option>2 Star **</option>
							<option selected="selected">3 Star ***</option>
							<option>4 Star ****</option>
							<option>5 Star *****</option>
      </select>
  </div>
  <div class="form-row">
    <div class="form-group col-md-4">
      <label for="inputCity">{{tc('Contact_Person')}}</label>
      <input type="text" class="form-control" id="inputCity">
    </div>
    <div class="form-group col-md-4">
    <label for="inputAddress2">{{tc('Contact_Phone')}}</label>
    <input type="text" class="form-control" id="inputAddress2" placeholder="{{tc('Contact_Phone')}}">
    </div>
    <div class="form-group col-md-4">
    <label for="inputAddress2">{{tc('Contact_Email')}}</label>
    <input type="text" class="form-control" id="inputAddress2" placeholder="{{tc('Contact_Email')}}">
    </div>

    <div class="form-group col-md-12">
    <label for="inputAddress2">{{tc('Additional_Requests')}}</label>
    <textarea class="form-control"></textarea>
    </div>
  </div>



  
  <button type="submit" class="btn btn-primary">{{tc('send')}}</button>
</form>

        </div>
        <div class="tab-pane fade" id="ssd" role="tabpanel">
        <form>
  <div class="form-row">
    <div class="form-group col-md-6">
      <label for="inputEmail4">{{tc('Destinationsss')}}</label>
      <input type="text" class="form-control" id="inputEmail4" placeholder="{{tc('Destinationsss')}}">
    </div>
    <div class="form-group col-md-6">
      <label for="inputPassword4">{{tc('Travel_Period')}}</label>
      <input type="text" class="form-control" id="inputPassword4" placeholder="{{tc('Travel_Period')}}">
    </div>
  </div>
  <div class="form-group">
    <label for="inputAddress">{{tc('Number_of_Travelers')}}</label>
    <input type="text" class="form-control" id="inputAddress" placeholder="{{tc('Number_of_Travelers')}}">
  </div>
  <div class="form-group">
   

    <label for="inputState">{{tc('hotel_category')}}</label>
      <select id="inputState" class="form-control">
    
        <option>1 Star *</option>
							<option>2 Star **</option>
							<option selected="selected">3 Star ***</option>
							<option>4 Star ****</option>
							<option>5 Star *****</option>
      </select>
  </div>
  <div class="form-row">
    <div class="form-group col-md-4">
      <label for="inputCity">{{tc('Contact_Person')}}</label>
      <input type="text" class="form-control" id="inputCity">
    </div>
    <div class="form-group col-md-4">
    <label for="inputAddress2">{{tc('Contact_Phone')}}</label>
    <input type="text" class="form-control" id="inputAddress2" placeholder="{{tc('Contact_Phone')}}">
    </div>
    <div class="form-group col-md-4">
    <label for="inputAddress2">{{tc('Contact_Email')}}</label>
    <input type="text" class="form-control" id="inputAddress2" placeholder="{{tc('Contact_Email')}}">
    </div>

    <div class="form-group col-md-12">
    <label for="inputAddress2">{{tc('Additional_Requests')}}</label>
    <textarea class="form-control"></textarea>
    </div>
  </div>



  
  <button type="submit" class="btn btn-primary">{{tc('send')}}</button>
</form>

        </div>
      </div>
    </div>
  </div>
</div>


<!-- ... -->
<div class="col-md-1">
</div>
</div>
</div>
</section>



@endsection






@section('scripts')
   


@endsection
