@extends('front.layouts.frontend')

@section('meta')
    <title>CityTravel.ge - MICE & Events</title>
    <meta name="keywords" content="MICE & Events" />
    <meta name="description" content="MICE & Events" />

    @endsection


    @section('lang') |
    @foreach($locales as $loc)
        <a href="{{url($loc->locale)}}" class="language @if(App::getLocale() == $loc->locale) act-lan @endif" >{{$loc->locale}}</a> |
    @endforeach
    @endsection


@section('menulang')
    @foreach($locales as $loc)
        <a href="{{url($loc->locale)}}" style="text-transform: uppercase;" class="@if(App::getLocale() == $loc->locale) act-leng @endif">{{$loc->locale}}</a>
    @endforeach
    @endsection





@section('content')



<div class="breadcrumb-area jarallax" style="background-image:url({{asset('/assets/img/bg/1.png')}});">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="breadcrumb-inner">
                        <h1 class="page-title">MICE & Events</h1>
                        <ul class="page-list">
                            <li><a href="/@if(getLocaleUrl(Session::get('locale')) != '')@endif{{getLocaleUrl(Session::get('locale'))}}">{{tc('maina')}}</a></li>
                            <li>MICE & Events</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>



    <div class="about-section pd-top-80" style="margin-bottom:50px;">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 align-self-center">
                    <div class="section-title mb-lg-0">
                        <h2 class="title">{{tc('City_Travel')}}</h2>
                        {!! $miceevents->description !!}
                    </div>
                </div>
               
            </div>
        </div>
    </div>

    <div class="intro-area pd-top-108">
        <div class="container">
           
            <div class="row">
                <div class="col-lg-3 col-md-6">
                    <div class="single-intro style-two">
                        <div class="thumb">
                            <img src="{{asset('/assets/img/icons/new/1.png')}}" alt="img">
                        </div>
                        <h4 class="intro-title">MICE - Meetings </h4>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="single-intro style-two">
                        <div class="thumb">
                            <img src="{{asset('/assets/img/icons/new/2.png')}}" alt="img">
                        </div>
                        <h4 class="intro-title">Incentives </h4>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="single-intro style-two">
                        <div class="thumb">
                            <img src="{{asset('/assets/img/icons/new/3.png')}}" alt="img">
                        </div>
                        <h4 class="intro-title">Conferences </h4>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="single-intro style-two">
                        <div class="thumb">
                            <img src="{{asset('/assets/img/icons/new/4.png')}}" alt="img">
                        </div>
                        <h4 class="intro-title">Events</h4>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="about-section pd-top-80" style="margin-bottom:50px;">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 align-self-center">
                    <div class="section-title mb-lg-0">
                        {!! $miceevents->mtavaritext !!}
                    </div>
                </div>
               
            </div>
        </div>
    </div>




@endsection
@section('scripts')
@endsection
