@extends('front.layouts.frontend')

@section('meta')
    <title>CityTravel.ge - {{$news->name}}</title>
    <meta name="keywords" content="{{$news->meta_keywords}}" />
    <meta name="description" content="{{$news->meta_description}}" />
 


    <meta property="og:url"                content="{{url()->current()}}" />
    <meta property="og:site_name" content="CityTravel.ge - Development Company"/>
    <meta property="og:type"               content="article" />
    <meta property="og:title"              content="{{$news->name}}" />
    <meta property="og:description"        content="{{$news->meta_description}}" />
    <meta property="og:image"              content="{{asset('/files/shares/newsimages/'.$news->banner)}}" />
    <meta name="twitter:card" content="summary">
    <meta name="twitter:title" content="{{$news->name}}">
    <meta name="twitter:description" content="{{$news->meta_description}}">
    <meta name="twitter:image:src" content="{{asset('/files/shares/newsimages/'.$news->banner)}}">


@endsection


@section('lang') |
    @foreach($locales as $loc)
        <a href="{{url($loc->locale)}}" class="language @if(App::getLocale() == $loc->locale) act-lan @endif" >{{$loc->locale}}</a> |
    @endforeach
    @endsection


@section('menulang')
    @foreach($locales as $loc)
    <div class="icon"><a href="{{url($loc->locale)}}" class="langs @if(App::getLocale() == $loc->locale) actv @endif"  class="">{{$loc->locale}}</a></div>
    @endforeach
    @endsection





@section('content')

<div class="breadcrumb-area jarallax" style="background-image:url({{asset('/assets/img/bg/1.png')}});">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="breadcrumb-inner">
                        <h1 class="page-title">{{tc('news')}}</h1>
                        <ul class="page-list">
                            <li><a href="/@if(getLocaleUrl(Session::get('locale')) != '')@endif{{getLocaleUrl(Session::get('locale'))}}">{{tc('maina')}}</a></li>
                            <li>{{tc('news')}}</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>



        <div class="blog-pages-wrapper section-space--ptb_100" style="margin-top:50px;margin-bottom:50px;">
            <div class="container">
                <div class="row">

                 
                    <div class="col-lg-12  wow zoomIn">
                        <div class="main-blog-wrap">
                            <div class="single-blog-item row">
                                <div class="col-md-4">
                            <div class="post-feature blog-thumbnail wow move-up">
                                    <img class="img-fluid" src="{{asset('/files/shares/newsimages/'.$news->banner)}}" >
                                </div>
</div>
<div class="col-md-8">
                                <div class="post-info lg-blog-post-info  wow move-up">
                                  
                                <div class="fb-like" data-href="{{url()->current()}}" data-layout="button_count" data-action="like" data-size="small" data-show-faces="true" data-share="true"></div>

                                    <h3 class="post-title">{{$news->name}}</h3>

                                    

                                    <div class="post-excerpt mt-15">
                                   

                                    {!! $news->description !!}

                                        
                                    </div>

                                </div>
</div>
</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


       

@endsection






@section('scripts')
   

@endsection
