@extends('front.layouts.frontend')

@section('meta')
    <title>Citytravel.ge - {{$tours->name}}</title>
    <meta name="keywords" content="{{$tours->meta_keywords}}" />
    <meta name="description" content="{{$tours->meta_description}}" />
 


    <meta property="og:url"                content="{{url()->current()}}" />
    <meta property="og:site_name" content="Citytravel.ge - City Travel"/>
    <meta property="og:type"               content="article" />
    <meta property="og:title"              content="{{$tours->name}}" />
    <meta property="og:description"        content="{{$tours->meta_description}}" />
    <meta property="og:image"              content="{{asset('/files/shares/toursimages/'.$tours->banner)}}" />
    <meta name="twitter:card" content="summary">
    <meta name="twitter:title" content="{{$tours->name}}">
    <meta name="twitter:description" content="{{$tours->meta_description}}">
    <meta name="twitter:image:src" content="{{asset('/files/shares/toursimages/'.$tours->banner)}}">


@endsection


@section('lang') |
    @foreach($locales as $loc)
        <a href="{{url($loc->locale)}}" class="language @if(App::getLocale() == $loc->locale) act-lan @endif" >{{$loc->locale}}</a> |
    @endforeach
    @endsection


@section('menulang')
    @foreach($locales as $loc)
    <div class="icon"><a href="{{url($loc->locale)}}" class="langs @if(App::getLocale() == $loc->locale) actv @endif"  class="">{{$loc->locale}}</a></div>
    @endforeach
    @endsection





@section('content')




                                    <div class="breadcrumb-area jarallax" style="background-image:url({{asset('/assets/img/bg/1.png')}});">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="breadcrumb-inner">
                        <h1 class="page-title">{{tc('Tours_and_excursions')}}</h1>
                        <ul class="page-list">
                            <li><a href="/@if(getLocaleUrl(Session::get('locale')) != '')@endif{{getLocaleUrl(Session::get('locale'))}}">{{tc('maina')}}</a></li>
                            <li>{{tc('Tours_and_excursions')}}</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
  
      <div class="tour-details-area mg-top--70">
          
          <div class="row justify-content-center">
                <div class="col-xl-10">
                    <div class="destinations-details-main-slider-wrap">
                        <div class="destinations-details-main-slider">

                  


                        </div>
                        <div class="destinations-details-main-slider-controls">
                            <div class="slider-nav tp-control-nav"></div>
                           
                            <div class="slider-extra tp-slider-extra">
                                <div class="text">
                                    <span class="first">01 </span>
                                    <span class="last">05</span>
                                </div>
                            
                                <div class="d-list-progress" role="progressbar" aria-valuemin="0" aria-valuemax="100">
                                    <span class="slider__label sr-only"></span>
                                </div>
                            </div>
                           
                        </div>
                    </div>
                </div>
            </div>
         
        <div class="tour-details-gallery">
            <div class="container-bg bg-dark-blue">
                <div class="container">
                    <div class="gallery-filter-area row">
                        <div class="gallery-sizer col-1"></div>
                    
                    </div>
                    <div class="row">
                        <div class="col-xl-3 col-lg-4">
                            <div class="details">
                                <h4 class="title">{{$tours->name}}</h4>
                                <div class="tp-review-meta">
                                    <i class="ic-yellow fa fa-star"></i>
                                    <i class="ic-yellow fa fa-star"></i>
                                    <i class="ic-yellow fa fa-star"></i>
                                    <i class="ic-yellow fa fa-star"></i>
                                    <i class="ic-yellow fa fa-star"></i>
                                </div>
                               
                            </div>
                        </div>
                        <div class="col-xl-9 col-lg-8">
                            <div class="book-list-warp">
                            
                                <div class="tp-price-meta">
                                    <p>{{tc('prices')}}</p>
                                    <h2>{{$tours->price}}  <small>₾</small></h2>
                                </div>
                            </div>
                           
                        </div>   
                    </div>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row">
                <div class="col-lg-8">
                    <div class="tour-details-wrap">
                        <h4 class="single-page-small-title">{{tc('description')}}</h4>
                        {!! $tours->description !!}
                       
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="sidebar-area sidebar-area-4">
                        <div class="widget tour-list-widget">
                            <div class="widget-tour-list-meta">
                                <div class="single-widget-search-input-title"><i class="fa fa-user"></i> {{tc('name')}}</div>
                                <div class="single-widget-search-input">
                                    <input type="text" placeholder="{{tc('name')}}">
                                </div>
                                <div class="single-widget-search-input-title"><i class="fa fa-envelope"></i> Email</div>
                                <div class="single-widget-search-input">
                                    <input type="text" placeholder="Email">
                                </div>
                                <div class="single-widget-search-input-title"><i class="fa fa-phone"></i> {{tc('phone')}}</div>
                                <div class="single-widget-search-input">
                                    <input type="text" placeholder=" {{tc('phone')}}">
                                </div>
                                <div class="single-widget-search-input-title"><i class="fa fa-calendar-minus-o"></i> {{tc('date')}}</div>
                                <div class="single-widget-search-input">
                                    <input type="text" class="departing-date custom-select" placeholder="{{tc('Departing')}}">
                                </div>
                                <div class="single-widget-search-input-title"><i class="fa fa-calendar-minus-o"></i> {{tc('date')}}</div>
                                <div class="single-widget-search-input">
                                    <input type="text" class="returning-date custom-select" placeholder="{{tc('Returning')}}">
                                </div>
                                <div class="single-widget-search-input-title"><i class="fa fa-keyboard-o"></i> {{tc('your.message')}}</div>
                                <div class="single-widget-search-input">
                                    <textarea placeholder="Type"></textarea>
                                </div>
                                <div class="text-lg-center text-left">
                                    <a class="btn btn-yellow" href="#">{{tc('Book___Now')}} <i class="fa fa-paper-plane"></i></a>
                                </div>
                            </div>
                        </div>
                        <div class="widget_ads">
                            <a href="#"><img class="w-100" src="{{asset('/assets/img/others/01.png')}}" alt="img"></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>



@endsection






@section('scripts')
   

@endsection
