@extends('front.layouts.frontend')

@section('meta')
    <title>CityTravel.ge - {{tc('Tours_and_excursions')}}</title>
    <meta name="keywords" content="{{tc('Tours_and_excursions')}}" />
    <meta name="description" content="{{tc('Tours_and_excursions')}}" />
    @endsection


    @section('lang') |
    @foreach($locales as $loc)
        <a href="{{url($loc->locale)}}" class="language @if(App::getLocale() == $loc->locale) act-lan @endif" >{{$loc->locale}}</a> |
    @endforeach
    @endsection


@section('menulang')
    @foreach($locales as $loc)
    <div class="icon"><a href="{{url($loc->locale)}}" class="langs @if(App::getLocale() == $loc->locale) actv @endif"  class="">{{$loc->locale}}</a></div>
    @endforeach
    @endsection





@section('content')


<div class="breadcrumb-area jarallax" style="background-image:url({{asset('/assets/img/bg/1.png')}});">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="breadcrumb-inner">
                        <h1 class="page-title">{{tc('Tours_and_excursions')}}</h1>
                        <ul class="page-list">
                            <li><a href="/@if(getLocaleUrl(Session::get('locale')) != '')@endif{{getLocaleUrl(Session::get('locale'))}}">{{tc('maina')}}</a></li>
                            <li>{{tc('Tours_and_excursions')}}</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>

      

    <div class="tour-list-area pd-top-120">
        <div class="container">
            <div class="row">
                <div class="col-xl-12 col-lg-12 order-lg-12">
                  
                    <div class="row justify-content-center">



                    @foreach($tours as $new)

<div class="col-lg-4 col-sm-6">
                            <div class="single-destinations-list style-two">
                                <div class="thumb">
                                    <img src="{{asset('/files/shares/toursimages/' . $new->banner)}}" alt="list">
                                </div>
                                <div class="details">
                                    <h4 class="title"><a href="{{url(getLocaleUrl(Session::get('locale')). '/tours/'.$new->slug)}}">{{$new->name}}</a></h4>
                                    <div class="tp-price-meta">
                                    <h2>{{$new->price}} <small>₾</small></h2>
                                    </div>
                                </div>
                            </div>
                        </div>
@endforeach

         
                    </div>
                </div>
               




            </div>
        </div>
    </div>



@endsection






@section('scripts')


@endsection
