<?php



// cms route
Route::group(['prefix'=>'manager', 'middleware'=>['auth','httpsred','localescms','usercheck']],function () {

     
    Route::get('/laravel-filemanager', '\UniSharp\LaravelFilemanager\Controllers\LfmController@show');
    Route::post('/laravel-filemanager/upload', '\UniSharp\LaravelFilemanager\Controllers\UploadController@upload');

    Route::get('/', [
        'uses' => 'Admin\BackendMainController@index',
        'as' => 'cms.dashboard'
    ]);



    Route::group(['prefix'=>'/profile'],function () {
    Route::get('/', [
        'uses' => 'Admin\ProfileController@index',
        'as' => 'cms.profile'
    ]);

    Route::post('/edit', [
        'uses' => 'Admin\ProfileController@edit',
        'as' => 'cms.profile.edit'
    ]);


    });

    Route::group(['prefix'=>'/settings'],function () {

        Route::get('/', [
            'uses' => 'Admin\SettingsController@index',
            'as' => 'cms.settings'
        ]);



        Route::post('/cache/clear',[
            'uses' => 'Admin\SettingsController@clearCache',
            'as'   => 'cms.settings.cache.clear'
        ]);

        Route::post('/edituser',[
            'uses' => 'Admin\SettingsController@edituser',
            'as'   => 'cms.settings.edit.user'
        ]);

        Route::post('/editusersave',[
            'uses' => 'Admin\SettingsController@editusersave',
            'as'   => 'cms.settings.edit.user.save'
        ]);

        Route::post('/rmuser',[
            'uses' => 'Admin\SettingsController@removeuser',
            'as'   => 'cms.settings.user.delete'
        ]);

        Route::post('/editlang',[
            'uses' => 'Admin\SettingsController@editlang',
            'as'   => 'cms.settings.edit.lang'
        ]);

        Route::post('/editlangsave',[
            'uses' => 'Admin\SettingsController@editlangsave',
            'as'   => 'cms.settings.edit.lang.save'
        ]);


        Route::post('/edittrans',[
            'uses' => 'Admin\SettingsController@edittranslations',
            'as'   => 'cms.settings.edit.translations'
        ]);


        Route::post('/edittranssave',[
            'uses' => 'Admin\SettingsController@edittranssave',
            'as'   => 'cms.settings.edit.translations.save'
        ]);
        Route::post('/rmtranslate',[
            'uses' => 'Admin\SettingsController@rmtranslate',
            'as'   => 'cms.settings.translations.remove'
        ]);




        Route::post('/rmlang',[
            'uses' => 'Admin\SettingsController@removelang',
            'as'   => 'cms.settings.lang.delete'
        ]);

        Route::post('/min',[
            'uses' => 'Admin\SettingsController@minify',
            'as'   => 'cms.settings.html.minify'
        ]);


        Route::post('/devmode',[
            'uses' => 'Admin\SettingsController@devmode',
            'as'   => 'cms.settings.site.devmode'
        ]);

        Route::post('/chkuser',[
            'uses' => 'Admin\SettingsController@chkuser',
            'as'   => 'cms.settings.check.user'
        ]);



    });

    Route::group(['prefix'=>'/seo'],function () {

        Route::get('/',[
            'uses' => 'Admin\SeoController@scripts',
            'as'   => 'cms.scripts.in'
        ]);

        Route::get('/scripts',[
            'uses' => 'Admin\SeoController@scripts',
            'as'   => 'cms.scripts.index'
        ]);
        Route::post('/scripts/save',[
            'uses' => 'Admin\SeoController@scriptsave',
            'as'   => 'cms.scripts.save'
        ]);

        Route::get('/robots',[
            'uses' => 'Admin\SeoController@robots',
            'as'   => 'cms.robots.index'
        ]);
        Route::post('/robots/save',[
            'uses' => 'Admin\SeoController@robotssave',
            'as'   => 'cms.robots.save'
        ]);






    });

    Route::group(['prefix'=>'/logs'],function () {

        Route::get('/',[
            'uses' => 'Admin\LogsController@index',
            'as'   => 'cms.logs'
        ]);



    });

    Route::group(['prefix'=>'/details'],function () {

        Route::get('/',[
            'uses' => 'Admin\SocnetController@index',
            'as'   => 'cms.details'
        ]);

        Route::get('/socials',[
            'uses' => 'Admin\SocnetController@index',
            'as'   => 'cms.social.index'
        ]);

        Route::post('/socials/save',[
            'uses' => 'Admin\SocnetController@store',
            'as'   => 'cms.social.store'
        ]);



        Route::get('/contacts',[
            'uses' => 'Admin\ContactsController@index',
            'as'   => 'cms.contacts'
        ]);


        Route::post('/contacts/save',[
            'uses' => 'Admin\ContactsController@savecontacts',
            'as'   => 'cms.contacts.save'
        ]);


        Route::get('/filemanager',function(){
            return view('backend.pages.details.filemanager');
        })->name('cms.filemanager');



        Route::get('/mails',[
            'uses' => 'Admin\MailController@list',
            'as'   => 'cms.mail.list'
        ]);

        Route::post('/mails/remove',[
            'uses' => 'Admin\MailController@deletemail',
            'as'   => 'cms.mail.remove'
        ]);


        Route::post('/mails/add',[
            'uses' => 'Admin\MailController@add',
            'as'   => 'cms.mail.add'
        ]);




    });

    Route::group(['prefix'=>'/projects'],function () {
        Route::get('/', [
            'uses' => 'Admin\ProjectsController@list',
            'as' => 'cms.projects.list'
        ]);



        Route::get('/editproject/{id}', [
            'uses' => 'Admin\ProjectsController@editproject',
            'as' => 'cms.projects.editproject'
        ]);

        Route::post('/deletesliderimg', [
            'uses' => 'Admin\ProjectsController@deleteimg',
            'as' => 'cms.project.deleteimg'
        ]);
        Route::post('/deletensliderimg', [
            'uses' => 'Admin\NewsController@deleteimg',
            'as' => 'cms.news.deleteimg'
        ]);
      
        Route::post('/editproject/save', [
            'uses' => 'Admin\ProjectsController@projecteditsave',
            'as' => 'cms.project.edit.save'
        ]);


        Route::get('/process/{id}', [
            'uses' => 'Admin\ProjectsController@process',
            'as' => 'cms.projects.process'
        ]);

        Route::post('/process/save/{id}', [
            'uses' => 'Admin\ProjectsController@processsave',
            'as' => 'cms.projects.process.save'
        ]);

        Route::post('/process/delete/{id}', [
            'uses' => 'Admin\ProjectsController@procesdelete',
            'as' => 'cms.projects.process.delete'
        ]);


        Route::get('/flats/{id}', [
            'uses' => 'Admin\ProjectsController@flats',
            'as' => 'cms.projects.flats'
        ]);


        Route::post('/flats/edit', [
            'uses' => 'Admin\ProjectsController@flatsedit',
            'as' => 'cms.projects.flats.edit'
        ]);

        Route::post('/flats/getfloor', [
            'uses' => 'Admin\ProjectsController@getfloor',
            'as' => 'cms.projects.flats.getfloor'
        ]);



        Route::post('/flats/getflat', [
            'uses' => 'Admin\ProjectsController@getflat',
            'as' => 'cms.projects.flats.getflat'
        ]);






    });

    Route::group(['prefix'=>'/news'],function () {

        Route::get('/',[
            'uses' => 'Admin\NewsController@list',
            'as'   => 'cms.news.list'
        ]);

        Route::post('/add',[
            'uses' => 'Admin\NewsController@add',
            'as'   => 'cms.news.add'
        ]);



        Route::get('/edit/{id}',[
            'uses' => 'Admin\NewsController@edit',
            'as'   => 'cms.news.edit'
        ]);

        Route::post('/edit/save',[
            'uses' => 'Admin\NewsController@editsave',
            'as'   => 'cms.news.editsave'
        ]);





        Route::post('/delete',[
            'uses' => 'Admin\NewsController@delete',
            'as'   => 'cms.news.delete'
        ]);





    });


    Route::group(['prefix'=>'/tours'],function () {

        Route::get('/',[
            'uses' => 'Admin\ToursController@list',
            'as'   => 'cms.tours.list'
        ]);

        Route::post('/add',[
            'uses' => 'Admin\ToursController@add',
            'as'   => 'cms.tours.add'
        ]);



        Route::get('/edit/{id}',[
            'uses' => 'Admin\ToursController@edit',
            'as'   => 'cms.tours.edit'
        ]);

        Route::post('/edit/save',[
            'uses' => 'Admin\ToursController@editsave',
            'as'   => 'cms.tours.editsave'
        ]);





        Route::post('/delete',[
            'uses' => 'Admin\ToursController@delete',
            'as'   => 'cms.tours.delete'
        ]);





    });
    Route::group(['prefix'=>'/about'],function () {

        Route::get('/',[
            'uses' => 'Admin\AboutController@edit',
            'as'   => 'cms.about.edit'
        ]);

        Route::post('/edit/save',[
            'uses' => 'Admin\AboutController@editsave',
            'as'   => 'cms.about.editsave'
        ]);

    });


    

    Route::group(['prefix'=>'/miceevents'],function () {

        Route::get('/',[
            'uses' => 'Admin\MiceeventsController@edit',
            'as'   => 'cms.miceevents.edit'
        ]);

        Route::post('/edit/save',[
            'uses' => 'Admin\MiceeventsController@editsave',
            'as'   => 'cms.miceevents.editsave'
        ]);

    });

    Route::group(['prefix'=>'/meta'],function () {


        Route::get('/', [
            'uses' => 'Admin\MetaController@list',
            'as' => 'cms.meta.list'
        ]);

        Route::post('/samemeta', [
            'uses' => 'Admin\MetaController@savemeta',
            'as' => 'cms.savemeta'
        ]);


    });






});

Auth::routes();

Route::get('robots.txt', [
    'uses' => 'RobotsController@robots',
    'as' => 'app.robots' ]);


Route::get('sitemap.xml', [
    'uses' => 'SitemapController@index',
    'as' => 'app.sitemap' ]);








    Route::group(['prefix'=>'/', 'as' => 'front.',  'middleware' => ['localesmid','httpsred','minihtml','devmode','redirectbadget']],function () {



        Route::post('/callback', [
            'uses' => 'MainController@callback',
            'as' => 'callback' ]);



        Route::post('/getflats', [
            'uses' => 'MainController@getflats',
            'as' => 'project.getflats' ]);

        Route::post('/getflatsbynum', [
            'uses' => 'MainController@getflatsbynum',
            'as' => 'project.getflatsbynum' ]);





        Route::get('{locale}/project/{slug}', [
            'uses' => 'MainController@projectinl',
            'as' => 'project.in.l' ]);


        Route::get('/project/{slug}', [
            'uses' => 'MainController@projectin',
            'as' => 'project.in' ]);


        Route::get('{locale}/projects', [
            'uses' => 'MainController@projectslist',
            'as' => 'projects.list' ]);


        Route::get('/projects', [
            'uses' => 'MainController@projectslist',
            'as' => 'projects.list' ]);

        Route::get('{locale}/projects/ongoing', [
            'uses' => 'MainController@projectslistongoing',
            'as' => 'projects.list.ongoing' ]);


        Route::get('/projects/ongoing', [
            'uses' => 'MainController@projectslistongoing',
            'as' => 'projects.list.ongoing' ]);

        Route::get('{locale}/projects/completed', [
            'uses' => 'MainController@projectslistcompleted',
            'as' => 'projects.list.completed' ]);


        Route::get('/projects/completed', [
            'uses' => 'MainController@projectslistcompleted',
            'as' => 'projects.list.completed' ]);

        Route::get('{locale}/projects/future', [
            'uses' => 'MainController@projectslistfuture',
            'as' => 'projects.list.future' ]);


        Route::get('/projects/future', [
            'uses' => 'MainController@projectslistfuture',
            'as' => 'projects.list.future' ]);



        Route::get('{locale}/contact/', [
            'uses' => 'MainController@contact',
            'as' => 'contact' ]);


        Route::get('/contact/', [
            'uses' => 'MainController@contact',
            'as' => 'contact' ]);



        Route::get('{locale}/services/', [
            'uses' => 'MainController@newslist',
            'as' => 'news.list' ]);


        Route::get('/services/', [
            'uses' => 'MainController@newslist',
            'as' => 'news.list' ]);



        Route::get('{locale}/news/{slug}', [
            'uses' => 'MainController@newsinl',
            'as' => 'news.in.l' ]);


        Route::get('/news/{slug}', [
            'uses' => 'MainController@newsin',
            'as' => 'news.in' ]);


          
            Route::get('{locale}/tours/', [
                'uses' => 'MainController@tourslist',
                'as' => 'tours.list' ]);
    
    
            Route::get('/tours/', [
                'uses' => 'MainController@tourslist',
                'as' => 'tours.list' ]);
    
    
    
            Route::get('{locale}/tours/{slug}', [
                'uses' => 'MainController@toursinl',
                'as' => 'tours.in.l' ]);
    
    
            Route::get('/tours/{slug}', [
                'uses' => 'MainController@toursin',
                'as' => 'tours.in' ]);        


        Route::get('{locale}/company', [
            'uses' => 'MainController@companyl',
            'as' => 'company' ]);
        
        //new url
        Route::get('/services/web-service', function(){
            return view('front.pages.web-service-service');
        });

        Route::get('{locale}/services/web-service', function(){
            return view('front.pages.web-service-service');
        });
        Route::get('/services/mobile-applicaiton', function(){
            return view('front.pages.mobile-applicaiton-service');
        });

        Route::get('{locale}/services/mobile-applicaiton', function(){
            return view('front.pages.mobile-applicaiton-service');
        });
        Route::get('/services/restaurant-market-software', function(){
            return view('front.pages.restaurant-market-software-service');
        });

        Route::get('{locale}/services/restaurant-market-software', function(){
            return view('front.pages.restaurant-market-software-service');
        });
        Route::get('/services/cargo-software', function(){
            return view('front.pages.cargo-software-service');
        });

        Route::get('{locale}/services/cargo-software-service', function(){
            return view('front.pages.cargo-software-service');
        });
        Route::get('/partners/ruijie-networks', function(){
            return view('front.pages.partner.ruijie-networks-partner');
        });

        Route::get('{locale}/partners/ruijie-networks', function(){
            return view('front.pages.partner.ruijie-networks-partner');
        });
        Route::get('/projectin', function(){
            return view('front.pages.projectin');
        });

        Route::get('{locale}/projectin', function(){
            return view('front.pages.projectin');
        });

        Route::get('/company', [
            'uses' => 'MainController@company',
            'as' => 'company' ]);


            Route::get('{locale}/partners', [
            'uses' => 'MainController@partners1',
            'as' => 'partners' ]);


        Route::get('/partners', [
            'uses' => 'MainController@partners',
            'as' => 'partners' ]);


 Route::get('{locale}/our-projects', [
            'uses' => 'MainController@projects1',
            'as' => 'partners' ]);


        Route::get('/our-projects', [
            'uses' => 'MainController@projects',
            'as' => 'partners' ]);


            Route::get('{locale}/mice-events', [
                'uses' => 'MainController@miceevents1',
                'as' => 'miceevents' ]);
    
    
            Route::get('/mice-events', [
                'uses' => 'MainController@miceevents',
                'as' => 'miceevents' ]);




                Route::get('{locale}/booking', [
                    'uses' => 'MainController@booking1',
                    'as' => 'booking' ]);
        
        
                Route::get('/booking', [
                    'uses' => 'MainController@booking',
                    'as' => 'booking' ]);


 Route::get('/cctv-camera', function(){
            return view('front.pages.seo.cctv');
        });

        Route::get('{locale}/cctv-camera', function(){
            return view('front.pages.seo.cctv');
        });
        
         Route::get('/emergency-announcement-systems', function(){
            return view('front.pages.seo.emergency');
        });

        Route::get('{locale}/emergency-announcement-systems', function(){
            return view('front.pages.seo.emergency');
        });
        
        
         Route::get('/fire-alarm', function(){
            return view('front.pages.seo.fire');
        });

        Route::get('{locale}/fire-alarm', function(){
            return view('front.pages.seo.fire');
        });
        
         Route::get('/network-systems', function(){
            return view('front.pages.seo.network');
        });

        Route::get('{locale}/network-systems', function(){
            return view('front.pages.seo.network');
        });


  Route::get('/software-development', function(){
            return view('front.pages.seo.software');
        });

        Route::get('{locale}/software-development', function(){
            return view('front.pages.seo.software');
        });
        
        
        
         Route::get('/ups-camera', function(){
            return view('front.pages.seo.ups');
        });

        Route::get('{locale}/ups-camera', function(){
            return view('front.pages.seo.ups');
        });





Route::get('/software-development-skills', function(){
            return view('front.pages.seo.softwaress');
        });

        Route::get('{locale}/software-development-skills', function(){
            return view('front.pages.seo.softwaress');
        });


Route::get('/ups', function(){
            return view('front.pages.seo.upss');
        });

        Route::get('{locale}/ups', function(){
            return view('front.pages.seo.upss');
        });


 Route::get('/networks', function(){
            return view('front.pages.seo.networks');
        });

        Route::get('{locale}/networks', function(){
            return view('front.pages.seo.networks');
        });






        Route::get('{locale}', [
            'uses' => 'MainController@index',
            'as' => 'home' ]);


        Route::get('/', [
            'uses' => 'MainController@index',
            'as' => 'home' ]);



       





            });















