<!DOCTYPE html>
<html lang="<?php echo e(Session::get('locale')); ?>">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="alternate" hreflang="ka" href="https://www.royaltravelbatumi.com/ka/" />
    <link rel="alternate" hreflang="en" href="https://www.royaltravelbatumi.com/en/" />
    <link rel="alternate" hreflang="ru" href="https://www.royaltravelbatumi.com/ru/" />
    <?php echo $__env->yieldContent('meta'); ?>
<link rel="apple-touch-icon" sizes="57x57" href="<?php echo e(asset('/assets/img/favicon/apple-icon-57x57.png')); ?>">
<link rel="apple-touch-icon" sizes="60x60" href="<?php echo e(asset('/assets/img/favicon/apple-icon-60x60.png')); ?>">
<link rel="apple-touch-icon" sizes="72x72" href="<?php echo e(asset('/assets/img/favicon/apple-icon-72x72.png')); ?>">
<link rel="apple-touch-icon" sizes="76x76" href="<?php echo e(asset('/assets/img/favicon/apple-icon-76x76.png')); ?>">
<link rel="apple-touch-icon" sizes="114x114" href="<?php echo e(asset('/assets/img/favicon/apple-icon-114x114.png')); ?>">
<link rel="apple-touch-icon" sizes="120x120" href="<?php echo e(asset('/assets/img/favicon/apple-icon-120x120.png')); ?>">
<link rel="apple-touch-icon" sizes="144x144" href="<?php echo e(asset('/assets/img/favicon/apple-icon-144x144.png')); ?>">
<link rel="apple-touch-icon" sizes="152x152" href="<?php echo e(asset('/assets/img/favicon/apple-icon-152x152.png')); ?>">
<link rel="apple-touch-icon" sizes="180x180" href="<?php echo e(asset('/assets/img/favicon/apple-icon-180x180.png')); ?>">
<link rel="icon" type="image/png" sizes="192x192"  href="<?php echo e(asset('/assets/img/favicon/android-icon-192x192.png')); ?>">
<link rel="icon" type="image/png" sizes="32x32" href="<?php echo e(asset('/assets/img/favicon/favicon-32x32.png')); ?>">
<link rel="icon" type="image/png" sizes="96x96" href="<?php echo e(asset('/assets/img/favicon/favicon-96x96.png')); ?>">
<link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(asset('/assets/img/favicon/favicon-16x16.png')); ?>">
<link rel="manifest" href="<?php echo e(asset('/assets/img/favicon/manifest.json')); ?>">
<meta name="msapplication-TileColor" content="#ffffff">
<meta name="msapplication-TileImage" content="<?php echo e(asset('/assets/img/favicon/ms-icon-144x144.png')); ?>">
<meta name="theme-color" content="#ffffff">
<link rel="stylesheet" href="<?php echo e(asset('/assets/css/styles.css')); ?>">


</head>
<body>




    <div class="container">
        <div class="header">
            <div class="wrap">
                <div class="wrap_float">
                    <div class="header__top">
                        <div class="tel">
                            <a href="tel:+995 558 79 87 79"><?php echo e($contacts->phone); ?></a>
                        </div>
                        <div class="email">
                            <a href="mailto:<?php echo e($contacts->mail); ?>"><?php echo e($contacts->mail); ?></a>
                        </div>
                        <div class="socials">
                            <a href="#" class="a facebook"></a>
                            <a href="#" class="a instagram"></a>
                            <a href="#" class="a pinterest"></a>
                            <a href="#" class="a twitter"></a>
                        </div>
                    </div>
                    <div class="header__bottom">
                        <a href="/<?php if(getLocaleUrl(Session::get('locale')) != ''): ?><?php endif; ?><?php echo e(getLocaleUrl(Session::get('locale'))); ?>" class="logo"><img src="<?php echo e(asset('/assets/img/royal-new.png')); ?>" height="60"></a>
                        <div class="menu" id="js-menu">
                            <div class="close"></div>
                            <div class="scroll">
                                <a class="current"><?php echo e(tc('maina')); ?></a>
                                <div class="scroll_wrap">
                                    <ul>
                                        <li><a href="/<?php if(getLocaleUrl(Session::get('locale')) != ''): ?><?php endif; ?><?php echo e(getLocaleUrl(Session::get('locale'))); ?>" class="active"><?php echo e(tc('maina')); ?></a></li>
                                        <li class="dropdown_li">
                                            <a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/company')); ?>">
                                                <span><?php echo e(tc('menu.company')); ?></span>
                                            </a>
                                            <div class="dropdown-menu">
                                                <ul>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/company#our-history')); ?>"><?php echo e(tc('our_history')); ?></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/company#our-team')); ?>"><?php echo e(tc('our_teams')); ?></a></li>
                                                </ul>
                                            </div>
                                        </li>
                                        <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/services')); ?>"><?php echo e(tc('servisebi')); ?></a></li>
                                        <li class="dropdown_li">
                                            <a href="#">
                                                <span><?php echo e(tc('directions')); ?></span>
                                            </a>
                                            <div class="dropdown-menu">
                                                <ul>
                                                    <li><a href="#"><?php echo e(tc('abroad')); ?></a></li>
                                                    <li><a href="#"><?php echo e(tc('in_georgia')); ?></a></li>
                                                </ul>
                                            </div>
                                        </li>
                                        <li><a href="#"><?php echo e(tc('tours_abroad')); ?></a></li>
                                        <li><a href="#"><?php echo e(tc('tours_in_georgia')); ?></a></li>
                                        <li><a href="#"><?php echo e(tc('contact')); ?></a></li>
                                        <li><a href="#"><?php echo e(tc('revies_')); ?></a></li>
                                    </ul>
                                </div>
                                <div class="bottom">
                                    <div class="tel">
                                        <a href="tel:+995 557 60 37 72">+995 557 60 37 72</a>
                                    </div>
                                    <div class="email">
                                        <a href="mailto:info@royaltravelbatumi.com">info@royaltravelbatumi.com</a>
                                    </div>
                                    <div class="socials">
                                        <div class="links">
                                            <a href="#" class="fb"></a>
                                            <a href="#" class="instagram"></a>
                                            <a href="#" class="pinterest"></a>
                                            <a href="#" class="twitter"></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="mobile_btn" id="mobile_btn">
                            <span></span>
                            <span></span>
                            <span></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- <?php echo $__env->yieldContent('lang'); ?>-->