<!DOCTYPE html>
<html lang="<?php echo e(Session::get('locale')); ?>">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="alternate" hreflang="ka" href="https://www.asyasoftware.ge/ka/" />
    <link rel="alternate" hreflang="en" href="https://www.asyasoftware.ge/en/" />
    <link rel="alternate" hreflang="ru" href="https://www.asyasoftware.ge/ru/" />
    <link rel="alternate" hreflang="ru" href="https://www.asyasoftware.ge/tr/" />
    <?php echo $__env->yieldContent('meta'); ?>

    <link rel="stylesheet" href="<?php echo e(asset('/assets/css/apps.min.css')); ?>?1.2">
</head>
<body class="preloader-visible" data-barba="wrapper">

   <div class="preloader js-preloader">
    <div class="preloader__bg"></div>

    <div class="preloader__progress">
      <div class="preloader__progress__inner"></div>
    </div>
  </div>


  <div class="cursor js-cursor">
    <div class="cursor__wrapper">
      <div class="cursor__follower js-follower"></div>
      <div class="cursor__label js-label"></div>
      <div class="cursor__icon js-icon"></div>
    </div>
  </div>



  <div class="barba-container" data-barba="container">

    <div data-cursor class="backButton js-backButton">
      <span class="backButton__bg"></span>
      <div class="backButton__icon__wrap">
        <i class="backButton__button js-top-button" data-feather="arrow-up"></i>
      </div>
    </div>


    <main class="">


      <header class="header -light -sticky-light js-header">
        <div class="header__bar">
          <div class="header__logo js-header-logo">
            <a  href="/<?php if(getLocaleUrl(Session::get('locale')) != ''): ?><?php endif; ?><?php echo e(getLocaleUrl(Session::get('locale'))); ?>">
              <img class="header__logo__light js-lazy" data-srcset="<?php echo e(asset('/assets/img/logo/logo-light.png')); ?> 1x, <?php echo e(asset('/assets/img/logo/logo-light-x2.png')); ?> 2x" data-src="<?php echo e(asset('/assets/img/logo/logo-light.png')); ?>" alt="Asya Software">
            </a>
            <a  href="/<?php if(getLocaleUrl(Session::get('locale')) != ''): ?><?php endif; ?><?php echo e(getLocaleUrl(Session::get('locale'))); ?>">
              <img class="header__logo__dark js-lazy" data-srcset="<?php echo e(asset('/assets/img/logo/logo-dark.png')); ?> 1x, <?php echo e(asset('/assets/img/logo/logo-dark-x2.png')); ?> 2x" data-src="<?php echo e(asset('/assets/img/logo/logo-light.png')); ?>" alt="Asya Software">
            </a>
          </div>
          <div class="languages">
          <?php echo $__env->yieldContent('lang'); ?>
          </div>
          <div class="header__menu js-header-menu">
            <button type="button" class="nav-button-open js-nav-open">
              <i class="icon" data-feather="menu"></i>
            </button>
          </div>
        </div>


  
        <nav class="nav js-nav">
          <div class="nav__inner js-nav-inner">
            <div class="nav__bg js-nav-bg"></div>

            <div class="nav__container">
              <div class="nav__header">
                <button type="button" class="nav-button-back js-nav-back">
                  <i class="icon" data-feather="arrow-left-circle"></i>
                </button>

                <button type="button" class="nav-btn-close js-nav-close pointer-events-none">
                  <i class="icon" data-feather="x"></i>
                </button>
              </div>

              <div class="nav__content">
                <div class="nav__content__left">
                  <div class="navList__wrap">
                    <ul class="navList js-navList">
                      <li>
                        <a  href="/<?php if(getLocaleUrl(Session::get('locale')) != ''): ?><?php endif; ?><?php echo e(getLocaleUrl(Session::get('locale'))); ?>">
                          <?php echo e(tc('main')); ?>

                        </a>
                      </li>
                        <li>
                        <a  href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/company')); ?>">
                        <?php echo e(tc('company')); ?>

                        </a>
                      </li>
                       <li>
                        <a  href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/services')); ?>">
                          <?php echo e(tc('services')); ?>

                        </a>
                      </li>
                      <li>
                        <a  href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/#ourproducts')); ?>">
                          <?php echo e(tc('Productsss')); ?>

                        </a>
                      </li>
                      <li>
                        <a  href="javascript:0;">
                          <?php echo e(tc('projects')); ?>

                        </a>
                      </li>
                      
                      
                       <li>
                        <a  href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/partners')); ?>">
                          <?php echo e(tc('our.partniors')); ?>

                        </a>
                      </li>
                      
                      <li>
                        <a  href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/contact')); ?>">
                          <?php echo e(tc('contact')); ?>

                        </a>
                      </li>

                     
                    </ul>
                  </div>
                </div>

                <div class="nav__content__right">
                  <div class="nav__info">
                    <div class="nav__info__item js-navInfo-item">
                      <h5 class="text-sm tracking-none fw-500">
                      <?php echo e(tc('address')); ?>

                      </h5>

                      <div class="nav__info__content text-lg text-white mt-16">
                        <p>
                        <?php echo e(tc('Georgia / Batumi, Lech and Maria Kaczynski 1')); ?>

                        </p>
                        <!-- <p>
                        <?php echo e(tc('Georgia / Tbilisi, Ana Kalanadze 4')); ?>

                        </p> -->
                      </div>
                    </div>

                   
                    <div class="nav__info__item js-navInfo-item">
                      <h5 class="text-sm tracking-none fw-500">
                      <?php echo e(tc('sakinformacia')); ?>

                      </h5>

                      <div class="nav__info__content text-lg text-white mt-16">
                        <a href="mailto:info@asyasoftware.ge">info@asyasoftware.ge</a>
                        <a href="tel:0 422 300 300">0 422 300 300</a>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </nav>
      </header>
      <style>
        .languages a {
          text-transform: uppercase;
          color: #fff;
          margin-right: 10px;
        }
        .is-sticky .header__bar .languages a{
          color:black;
        }
        </style>


