<!DOCTYPE html>
<html lang="<?php echo e(Session::get('locale')); ?>">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="alternate" hreflang="ka" href="https://www.storno.ge/ka/" />
    <link rel="alternate" hreflang="en" href="https://www.storno.ge/en/" />
    <link rel="alternate" hreflang="ru" href="https://www.storno.ge/ru/" />
    <?php echo $__env->yieldContent('meta'); ?>
<link rel="apple-touch-icon" sizes="57x57" href="<?php echo e(asset('/assets/images/favicon/apple-icon-57x57.png')); ?>">
<link rel="apple-touch-icon" sizes="60x60" href="<?php echo e(asset('/assets/images/favicon/apple-icon-60x60.png')); ?>">
<link rel="apple-touch-icon" sizes="72x72" href="<?php echo e(asset('/assets/images/favicon/apple-icon-72x72.png')); ?>">
<link rel="apple-touch-icon" sizes="76x76" href="<?php echo e(asset('/assets/images/favicon/apple-icon-76x76.png')); ?>">
<link rel="apple-touch-icon" sizes="114x114" href="<?php echo e(asset('/assets/images/favicon/apple-icon-114x114.png')); ?>">
<link rel="apple-touch-icon" sizes="120x120" href="<?php echo e(asset('/assets/images/favicon/apple-icon-120x120.png')); ?>">
<link rel="apple-touch-icon" sizes="144x144" href="<?php echo e(asset('/assets/images/favicon/apple-icon-144x144.png')); ?>">
<link rel="apple-touch-icon" sizes="152x152" href="<?php echo e(asset('/assets/images/favicon/apple-icon-152x152.png')); ?>">
<link rel="apple-touch-icon" sizes="180x180" href="<?php echo e(asset('/assets/images/favicon/apple-icon-180x180.png')); ?>">
<link rel="icon" type="image/png" sizes="192x192"  href="<?php echo e(asset('/assets/images/favicon/android-icon-192x192.png')); ?>">
<link rel="icon" type="image/png" sizes="32x32" href="<?php echo e(asset('/assets/images/favicon/favicon-32x32.png')); ?>">
<link rel="icon" type="image/png" sizes="96x96" href="<?php echo e(asset('/assets/images/favicon/favicon-96x96.png')); ?>">
<link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(asset('/assets/images/favicon/favicon-16x16.png')); ?>">
<link rel="manifest" href="<?php echo e(asset('/assets/images/favicon/manifest.json')); ?>">
<meta name="msapplication-TileColor" content="#ffffff">
<meta name="msapplication-TileImage" content="<?php echo e(asset('/assets/images/favicon/ms-icon-144x144.png')); ?>">
<meta name="theme-color" content="#ffffff">
<link rel="stylesheet" href="<?php echo e(asset('/assets/css/apps.min.css')); ?>">
<div id="fb-root"></div>
<script async defer crossorigin="anonymous" src="https://connect.facebook.net/en_US/sdk.js#xfbml=1&version=v6.0"></script>
</head>
<body>


<div class="header-area bg-white header-sticky only-mobile-sticky">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 wow zoomIn">
                    <div class="header position-relative">

                        <div class="header__logo">
                            <a href="/<?php if(getLocaleUrl(Session::get('locale')) != ''): ?><?php endif; ?><?php echo e(getLocaleUrl(Session::get('locale'))); ?>">
                                <img src="<?php echo e(asset('/assets/images/logo/logo-dark.png')); ?>" alt="">
                            </a>
                        </div>

                        <div class="header-right flexible-image-slider-wrap">

                            <div class="header-right-inner" id="hidden-icon-wrapper">



                                <div class="swiper-container header-top-info-slider-werap top-info-slider__container">
                                    <div class="swiper-wrapper header-top-info-inner">
                                        <div class="swiper-slide">
                                            <div class="info-item">
                                                <div class="info-icon">
                                                    <span class="fa fa-phone"></span>
                                                </div>
                                                <div class="info-content">
                                                    <h6 class="info-title"><?php echo e($contacts->phone); ?></h6>
                                                    <div class="info-sub-title"><?php echo e($contacts->mail); ?></div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="swiper-slide">
                                            <div class="info-item">
                                                <div class="info-icon">
                                                    <span class="fa fa-map-marker-alt"></span>
                                                </div>
                                                <div class="info-content">
                                                    <h6 class="info-title ad-font"><?php echo e(tc('geobat')); ?></h6>
                                                    <div class="info-sub-title"><?php echo e(tc('currentaddress')); ?> </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="swiper-slide">
                                            <div class="info-item">
                                                <div class="info-icon">
                                                    <span class="fa fa-clock"></span>
                                                </div>
                                                <div class="info-content">
                                                    <h6 class="info-title">10:00 - 18:00</h6>
                                                    <div class="info-sub-title"><?php echo e(tc('orshpar')); ?></div>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>


                                <div class="header-social-networks style-icons">
                                    <div class="inner">

                                        <a class=" social-link hint--bounce hint--bottom-left facebook" aria-label="Facebook" href="https://facebook.com/" data-hover="Facebook" target="_blank">
                                            <i class="social-icon fab fa-facebook-f"></i>
                                        </a>
                                        <a class=" social-link hint--bounce hint--bottom-left twitter" aria-label="Twitter" href="https://twitter.com/" data-hover="Twitter" target="_blank">
                                            <i class="social-icon fab fa-twitter"></i>
                                        </a>
                                        <a class=" social-link hint--bounce hint--bottom-left instagram" aria-label="Instagram" href="https://instagram.com/" data-hover="Instagram" target="_blank">
                                            <i class="social-icon fab fa-instagram"></i>
                                        </a>

                                    </div>
                                </div>

                            </div>

                            <div class="mobile-navigation-icon d-block d-xl-none" id="mobile-menu-trigger">
                                <i></i>
                            </div>

                            <div class="hidden-icons-menu d-block d-md-none" id="hidden-icon-trigger">
                                <a href="javascript:void(0)">
                                    <i class="far fa-ellipsis-h-alt"></i>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="header-bottom-wrap border-top d-md-block d-none header-sticky">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12 wow zoomIn">
                        <div class="header-bottom-inner">
                            <div class="header-bottom-left-wrap">

                                <div class="header__navigation d-none d-xl-block">
                                    <nav class="navigation-menu">
                                        <ul>
                                            <li>
                                                <a href="/<?php if(getLocaleUrl(Session::get('locale')) != ''): ?><?php endif; ?><?php echo e(getLocaleUrl(Session::get('locale'))); ?>"><span><?php echo e(tc('maina')); ?></span></a>
                                            </li>

                                            <li class="has-children has-children--multilevel-submenu">
                                                <a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/company')); ?>"><span><?php echo e(tc('menu.company')); ?></span></a>
                                                <ul class="submenu">
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/company')); ?>"><span><?php echo e(tc('abouta')); ?></span></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/company')); ?>"><span><?php echo e(tc('ourteam')); ?></span></a></li>
                                                </ul>
                                            </li>
                                            <li class="has-children has-children--multilevel-submenu">
                                                <a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/services')); ?>"><span><?php echo e(tc('servisebi')); ?></span></a>
                                                <ul class="submenu">
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/services/auditing-services')); ?>"><span><?php echo e(tc('auditservice')); ?></span></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/services/accounting-services')); ?>"><span><?php echo e(tc('bugalteria')); ?></span></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/services/legal-services')); ?>"><span><?php echo e(tc('iuridiuli')); ?></span></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/services/financial-services')); ?>"><span><?php echo e(tc('finance')); ?></span></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/services/consulting-services')); ?>"><span><?php echo e(tc('konsultacia')); ?></span></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/services/introduction-of-accounting-programs')); ?>"><span><?php echo e(tc('sabdanergva')); ?></span></a></li>
                                                </ul>
                                            </li>
                                            <li class="has-children has-children--multilevel-submenu">
                                                <a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/education')); ?>"><span><?php echo e(tc('swavleba')); ?></span></a>
                                                <ul class="submenu">
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/education/bugalterta-momzadebis-samtviani-programa')); ?>"><span><?php echo e(tc('bugalteria-momzadeba')); ?></span></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/education/six-month-training-program-for-accountants')); ?>"><span><?php echo e(tc('bugalteria-6-tviani')); ?></span></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/education/one-year-training-program-for-accountants')); ?>"><span><?php echo e(tc('bugalterta-momzadeba')); ?></span></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/education/certification')); ?>"><span><?php echo e(tc('sertifikatebi')); ?></span></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/education/photo-gallery')); ?>"><span><?php echo e(tc('photo-gallery')); ?></span></a></li>
                                                </ul>
                                            </li>
                                            <li class="has-children has-children--multilevel-submenu">
                                                <a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/programs')); ?>"><span><?php echo e(tc('programebi')); ?></span></a>
                                                <ul class="submenu">
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/programs')); ?>"><span><?php echo e(tc('yvelaprograma')); ?></span></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/certificates')); ?>"><span><?php echo e(tc('sertifikatebimeniu')); ?></span></a></li>
                                                </ul>
                                            </li>
                                          

                                            <li class="has-children has-children--multilevel-submenu">
                                                <a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/useful')); ?>"><span><?php echo e(tc('useful')); ?></span></a>
                                                <ul class="submenu">
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/useful/typical-contracts')); ?>"><span><?php echo e(tc('tipiuri')); ?></span></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/useful/typical-forms')); ?>"><span><?php echo e(tc('tipiuriformebi')); ?></span></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/useful/legislation')); ?>"><span><?php echo e(tc('kanomdebloba')); ?></span></a></li>
                                                    <li><a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/useful/useful-links')); ?>"><span><?php echo e(tc('sasargeblobmulebi')); ?></span></a></li>
                                                </ul>
                                            </li>


                                            <li>
                                                <a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/news')); ?>"><span><?php echo e(tc('news')); ?></span></a>
                                            </li>

                                           
                                            <li>
                                                <a href="<?php echo e(url(getLocaleUrl(Session::get('locale')).'/contact')); ?>"><span><?php echo e(tc('contact')); ?></span></a>
                                            </li>
                                        </ul>
                                    </nav>
                                </div>
                            </div>

                            <div class="language-menu">
                                <ul>
                                    <li>
                                        <a href="/" class="">
                                            <img class="ls-flag" src="assets/images/flags/ge.png" alt="ka" title="Georgian">
                                            <span class="wpml-ls-native">KA</span>
                                        </a>

                                        <ul class="ls-sub-menu">
                                        <?php echo $__env->yieldContent('lang'); ?>
                                          

                                        </ul>

                                    </li>

                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>


    <div class="site-wrapper-reveal">