<?php

namespace App\Http\Controllers;

use Auth;
use Illuminate\Http\Request;
use App\Models\Category;
use Illuminate\Support\Carbon;

class CategoryController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function AllCat ()
    {
        $categories = Category::latest()->paginate(10);
        $trachCat = Category::onlyTrashed()->latest()->paginate(10);

        return view('backend.category.index',compact('categories' , 'trachCat'));
    }

    public function Addcat (Request $request)
    {
        $validated = $request->validate([
            'category_name' => 'required|unique:categories|max:255',
        ]);

        Category::insert([

            'category_name' => $request->category_name,
            'user_id' => Auth::user()->id,
            'created_at' => Carbon::now(),

        ]);

        return Redirect()->back()->with('success','Categoryes Added');
    }

    public function Edit($id)
    {
        $categories = Category::find($id);

        return view('backend.category.edit', compact('categories'));
    }


    public function Update(Request $request ,$id)
    {
        $update = Category::find($id)->update([
            'category_name' => $request->category_name,
            'user_id' => Auth::user()->id
        ]);

         return Redirect()->route('category.all')->with('success','Categoryes Updated');
        
    }
    public function SoftDelete($id)
    {
        $delete = Category :: find($id)->delete();
        return redirect ()->back()->with('success' , 'Cetegory Remove');
        
    }

    public function Restore($id)
    {
        $delete = Category :: withTrashed()->find($id)->restore();
        return redirect ()->back()->with('success' , 'Ceyegory Restored ');
        
    }

    public function Pdelate($id)
    {
        $delete = Category :: onlyTrashed()->find($id)->forceDelete();
        return redirect ()->back()->with('success' , 'Ceyegory Delete !');
        
    }    
}
