<?php

namespace App\Http\Controllers;

use App\Models\Domain;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {

        $users = User::select(DB::raw("COUNT(*) as count"))
            ->whereYear('created_at', date('Y'))
            ->groupBy(DB::raw("month(created_at)"))
            ->pluck('count');

        $months = User::select(DB::raw("month(created_at) as month"))
            ->whereYear('created_at', date('Y'))
            ->groupBy(DB::raw("month(created_at)"))
            ->pluck('month');

        $usersArr = array(0,0,0,0,0,0,0,0,0,0,0,0);
        foreach ($months as $index => $month){
            $usersArr[$month-1] = $users[$index];
        }

        $domains = Domain::select(DB::raw("COUNT(*) as count"))
            ->whereYear('expire_date', date('Y'))
            ->groupBy(DB::raw("month(expire_date)"))
            ->pluck('count');

        $domainsMonth = Domain::select(DB::raw("month(expire_date) as month"))
            ->whereYear('expire_date', date('Y'))
            ->groupBy(DB::raw("month(expire_date)"))
            ->pluck('month');

        $domainsArr = array(0,0,0,0,0,0,0,0,0,0,0,0);
        foreach ($domainsMonth as $index => $month){
            $domainsArr[$month-1] = $domains[$index];
        }

        return view('dashboard',compact('usersArr','domainsArr'));
    }
}
