<?php

namespace App\Http\Controllers;


use App\Http\Requests\CsvImportRequest;
use App\Imports\CompanyMailImport;
use App\Models\CompanyMail;
use App\Models\CsvData;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Facades\Excel;

class ImportController extends Controller
{

    public function index()
    {
//        if (\request()->ajax()){
            $users = User::select(DB::raw("count(*) as count"))
                ->whereYear('created_at', date('Y'))
                ->groupBy(DB::raw("Month(created_at)"))
                ->pluck('count');

            $months = User::select(DB::raw("Month(created_at) as month"))
                ->whereYear('created_at', date('Y'))
                ->groupBy(DB::raw("Month(created_at)"))
                ->pluck('month');

            $datas = array(0,0,0,0,0,0,0,0,0,0,0);
            foreach ($months as $index => $month){
                $datas[$month] = $users[$index];
            }
//        }

        return view('import', compact('datas'));
    }



    public function processImport(Request $request)
    {
        $data = CsvData::find($request->csv_data_file_id);
        $csv_data = json_decode($data->csv_data, true);
        foreach ($csv_data as $row) {
            $contact = new CompanyMail();
            foreach (config('app.db_fields') as $index => $field) {
                if ($data->csv_header) {
                    $contact->$field = $row[$request->fields[$field]];
                } else {
                    $contact->$field = $row[$request->fields[$index]];
                }
            }
            $contact->save();
        }

        return view('import_success');
    }

}
