<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\Activitylog\Traits\LogsActivity;

class Department extends Model
{
    use HasFactory, SoftDeletes, LogsActivity;

    protected $guarded = [];

    protected static $logAttributes = ['user_id', 'name'];

    public function user()
    {
        return $this->hasOne(User::class,'id' , 'user_id');
    }

    public function cards()
    {
        return $this->hasMany(Card::class);
    }
}
