<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DomainList extends Model
{
    use HasFactory;

    protected $guarded = [];

    protected $appends = [
        'domain_status'
    ];

    public function domain()
    {
        return $this->hasOne(Domain::class,'id','domain_id');
    }

    public function getDomainStatusAttribute()
    {
        if ($this->activate == 1){
            return '<span class="badge badge-rounded badge-success">დადასტურებული</span>';
        }else{
            return '<span class="badge badge-rounded badge-danger">დაუდასტურებელი</span>';
        }
    }
}
