<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Invoice extends Model
{
    use HasFactory, SoftDeletes;

    protected $appends = [
        'formatted_date'
    ];

    protected $guarded = [];
    public function invoice_items()
    {
        return $this->hasMany(InvoiceItem::class);
    }

    public function getFormattedDateAttribute()
    {
        return Carbon::parse($this->created_at)->format('d.m.Y');
    }
}
