<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class InvoiceItem extends Model
{
    use HasFactory;

    protected $guarded = [];
    protected $appends = [
        'formatted_unit_price',
        'formatted_total_price',
    ];

    public function getFormattedUnitPriceAttribute()
    {
        return "$ ".number_format($this->unit_price,2);
    }

    public function getFormattedTotalPriceAttribute()
    {
        return "$ ".number_format($this->total_price,2);
    }
}
