<?php

namespace App\Models;

use Carbon\Carbon;
use Carbon\Exceptions\Exception;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TaskAttachment extends Model
{
    use HasFactory;

    protected $guarded = [];
    protected $appends = [
        'formatted_date'
    ];

    public function getFormattedDateAttribute()
    {
        return Carbon::parse($this->created_at)->format('d.m.Y H:i:s');
    }

    public function user()
    {
        return $this->hasOne(User::class,'id','user_id');
    }
}
