<?php


namespace App\Providers;

use App\Models\CompanyMail;
use App\Models\Domain;
use App\Models\Task;
use App\Models\User;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class ViewServiceProvider extends ServiceProvider
{
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        // Using class based composers...
        View::composer(
            'profile', 'App\Http\View\Composers\ProfileComposer'
        );

        // Using Closure based composers...
        View::composer('dashboard', function ($view) {
            $domainsCount = Domain::all()->count();
            $companyMailsCount = CompanyMail::all()->count();
            $usersCount = User::all()->count();
            $tasksCount = Task::all()->count();
            $view->with('domainsCount', $domainsCount)
                ->with('companyMailsCount', $companyMailsCount)
                ->with('usersCount', $usersCount)
                ->with('tasksCount', $tasksCount)
            ;
        });
    }
}
