@extends('layouts.app')
@section('content')
    <div class="row layout-top-spacing">

        <div class="col-xl-12 col-lg-12 col-sm-12  layout-spacing">
            <div class="widget-content widget-content-area br-6">
                <input type="submit" name="txt" value="გადატვირთვა" onclick="reload()" class="mt-4 btn btn-outline-primary">
                <select class="form-control  basic" id="company">
                    <option value="" selected>აირჩიეთ</option>
                    @foreach($domains as $domain)
                        <option value="{{ $domain->owner }}">{{ $domain->owner }}</option>
                    @endforeach
                </select>
                <div class="table-responsive mb-4 mt-4">
                    <table id="domains" class="table table-hover" style="width:100%">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>დომენი</th>
                            <th>კომპანია</th>
                            <th>NS მისამართი</th>
                            <th>დასრულებული</th>
                            <th>გათიშვის თარიღი</th>
                            <th>დარჩენილი დღე</th>
                            <th class="no-content"></th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>
                        <tfoot>
                        <tr>
                            <th>ID</th>
                            <th>დომენი</th>
                            <th>კომპანია</th>
                            <th>NS მისამართი</th>
                            <th>დასრულებული</th>
                            <th>გათიშვის თარიღი</th>
                            <th>დარჩენილი დღე</th>
                            <th></th>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>

    </div>
    <script>
        let table;
        $(document).ready(function () {

            table = $('#domains').DataTable({
                processing: true,
                serverSide: true,
                ajax: {
                    url: "{{ url('/domains_ajax') }}",
                    type: 'GET',
                    data: function (d) {

                        d.company = $('#company').val()

                            // d.search = $('input[type="search"]').val()

                    }
                },
                columns: [
                    {data: 'id', name: 'id'},
                    {data: 'domain', name: 'domain'},
                    {data: 'owner', name: 'owner'},
                    {data: 'ns', name: 'ns'},
                    {data: 'finished', name: 'finished'},
                    {data: 'formated_expire_date', name: 'formated_expire_date'},
                    {data: 'diffDays', name: 'diffDays'},
                    {data: 'action', name: 'action'}
                ]
            });
            $('#company').on('change', function () {
                table.draw();
            });
        });

        function reload() {
            console.log('sddf')
            table.ajax.reload();
        }

        function updateDomain(id) {
            Swal.fire({
                title: 'ნამდვილად გსურთ დომენის განახლება?',
                text: "",
                icon: 'question',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'დიახ!',
                cancelButtonText: 'არა!',
                preConfirm: function () {
                    return new Promise(function (resolve) {
                        $('.swal2-confirm').html('<i class="fa fa-spinner fa-spin mr-1"></i>');
                        $.ajax({
                            url: "{{ url('/update_domain') }}",
                            type: "POST",
                            dataType: "JSON",
                            data: {
                                '_token': '{{ csrf_token() }}',
                                'id': id
                            },
                        })
                            .done(function (response) {
                                if (response.status === 1) {
                                    reload()
                                    Swal.fire('წარმატებული!', 'დომენი წარმატებით განახლდა', 'success');
                                }else{
                                    Swal.fire('Error!', 'Please try again', 'error');
                                }
                            })
                            .fail(function () {
                                Swal.fire('Oops...', 'Please try again!', 'error');
                            });
                    });
                },
                allowOutsideClick: true
            });
        }

    </script>
@endsection
