@extends('layouts.app')

@section('content')
    <div class="row">
        @can('user-list')
            <div class="col-xl-3 col-lg-6 col-sm-6">
                <a href="{{ url(currentLocale().'/users') }}">
                    <div class="widget-stat card bg-info">
                        <div class="card-body  p-4">
                            <div class="media">
									<span class="mr-3">
										<i class="la la-users"></i>
									</span>
                                <div class="media-body text-white">
                                    <p class="mb-1">მომხმარებლები</p>
                                    <h3 class="text-white">{{ $usersCount }}</h3>
                                    <div class="progress mb-2 bg-secondary">
                                        <div class="progress-bar progress-animated bg-light"
                                             style="width: {{ $usersCount - 100 }}%"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
        @endcan

        @can('domain-list')
            <div class="col-xl-3 col-lg-6 col-sm-6">
                <a href="{{ url(currentLocale().'/domains') }}">
                    <div class="widget-stat card bg-success">
                        <div class="card-body  p-4">
                            <div class="media">
									<span class="mr-3">
										<i class="las la-server"></i>
									</span>
                                <div class="media-body text-white">
                                    <p class="mb-1">დომენები</p>
                                    <h3 class="text-white">{{ $domainsCount }}</h3>
                                    <div class="progress mb-2 bg-secondary">
                                        <div class="progress-bar progress-animated bg-light"
                                             style="width: {{ $domainsCount - 100 }}%"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
        @endcan
        @can('company-mail-list')
            <div class="col-xl-3 col-lg-6 col-sm-6">
                <a href="{{ url(currentLocale().'/company_mails') }}">
                    <div class="widget-stat card bg-danger">
                        <div class="card-body  p-4">
                            <div class="media">
									<span class="mr-3">
										<i class="las la-envelope"></i>
									</span>
                                <div class="media-body text-white">
                                    <p class="mb-1">მეილები</p>
                                    <h3 class="text-white">{{ $companyMailsCount }}</h3>
                                    <div class="progress mb-2 bg-secondary">
                                        <div class="progress-bar progress-animated bg-light"
                                             style="width: {{ $companyMailsCount-100 }}%"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
        @endcan
        {{--        <div class="col-xl-3 col-lg-6 col-sm-6">--}}
        {{--            <a href="{{ url(currentLocale().'/tasks') }}">--}}
        {{--                <div class="widget-stat card bg-primary">--}}
        {{--                    <div class="card-body  p-4">--}}
        {{--                        <div class="media">--}}
        {{--									<span class="mr-3">--}}
        {{--										<i class="las la-list"></i>--}}
        {{--									</span>--}}
        {{--                            <div class="media-body text-white">--}}
        {{--                                <p class="mb-1">დავალებები</p>--}}
        {{--                                <h3 class="text-white">{{ $tasksCount }}</h3>--}}
        {{--                                <div class="progress mb-2 bg-secondary">--}}
        {{--                                    <div class="progress-bar progress-animated bg-light"--}}
        {{--                                         style="width: {{ $companyMailsCount-100 }}%"></div>--}}
        {{--                                </div>--}}
        {{--                            </div>--}}
        {{--                        </div>--}}
        {{--                    </div>--}}
        {{--                </div>--}}
        {{--            </a>--}}
        {{--        </div>--}}
    </div>
    @can('user-list')
    <div id="container">

    </div>
    @endcan
    @can('domain-list')
    <div id="container_month_stat">

    </div>
    @endcan
    @dd($usersArr)
    <script type="text/javascript">
        var users =  <?php echo json_encode($usersArr) ?>;
        var domains =  <?php echo json_encode($domainsArr) ?>;
        @can('user-list')
        Highcharts.chart('container', {
            title: {
                text: 'მომხმარებლები თვეში'
            },
            xAxis: {
                categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
            },
            yAxis: {
                title: {
                    text: 'მომხმარებლები'
                }
            },
            legend: {
                layout: 'vertical',
                align: 'center',
                verticalAlign: 'bottom'
            },
            plotOptions: {
                series: {
                    allowPointSelect: true
                }
            },
            series: [{
                name: 'მომხმარებლები',
                data: users
            }],
            responsive: {
                rules: [{
                    condition: {
                        maxWidth: 500
                    },
                    chartOptions: {
                        legend: {
                            layout: 'horizontal',
                            align: 'center',
                            verticalAlign: 'bottom'
                        }
                    }
                }]
            }
        });
        @endcan
        @can('domain-list')
        Highcharts.chart('container_month_stat', {
            title: {
                text: 'დომენების გასვლის თარიღი თვეში'
            },
            xAxis: {
                categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
            },
            yAxis: {
                title: {
                    text: 'დომენები'
                }
            },
            legend: {
                layout: 'vertical',
                align: 'center',
                verticalAlign: 'bottom'
            },
            plotOptions: {
                series: {
                    allowPointSelect: true
                }
            },
            series: [{
                name: 'დომენები',
                data: domains
            }],
            responsive: {
                rules: [{
                    condition: {
                        maxWidth: 500
                    },
                    chartOptions: {
                        legend: {
                            layout: 'horizontal',
                            align: 'center',
                            verticalAlign: 'bottom'
                        }
                    }
                }]
            }
        });
        @endcan
    </script>
@endsection
