@extends('layouts.app')

@section('content')
    <div class="contentbar">
        <!-- Start row -->
        <div class="row">
            <!-- Start col -->
            <div class="col-lg-12">
                <div class="card m-b-30 p-3">
                    <form action="{{ url('invoices/1/store') }}" class="input" method="POST">
                        @csrf
                        <input type="hidden" name="invoice_id" value="1">
                        <div id="dEdu1" class="m-b-20">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="f15 text-info"><strong>ნივთი <span id="gan">1</span></strong>
                                    </div>
                                </div>
                                <div class="col-md-6" align="right">
                                    <a href="javascript:void(0)" class="text-success Banner AddEdu" id="1"
                                       style="display: inline;"><i class="fa fa-plus-square-o fa-lg"></i> დამატება</a>
                                    &nbsp;
                                    <a href="javascript:void(0)" class="text-danger Banner DelEdu" id="1"
                                       style="display: inline;"><i class="fa fa-trash-o fa-lg"></i> წაშლა</a>

                                </div>
                            </div>
                            <div class="card card-outline-info" style="padding:10px;">
                                <div class="row ">


                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="edu3_1">Product Details</label>
                                            <input type="text" class="form-control mInput" id="product_detail_1"
                                                   name="product_detail[]"
                                                   placeholder="Product Details"
                                                   required="">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="edu3_1">Product Model</label>
                                            <input type="text" class="form-control mInput" id="product_model_1"
                                                   name="product_model[]"
                                                   placeholder="Product Model">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="piece_1">Piece</label>
                                            <input type="text" class="form-control mInput" id="piece_1" oninput="calculateTotalPrice($(this).attr('id').substr(id.length - 1))" name="piece[]"
                                                   placeholder="Piece" required="">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="percent_1">Percent (%)</label>
                                            <input type="text" class="form-control mInput" id="percent_1" value="0" oninput="calculateTotalPrice($(this).attr('id').substr(id.length - 1))" name="percent[]"
                                                   placeholder="Percent" required="">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="unit_price_1">Unit Price</label>
                                            <input type="text" class="form-control mInput" oninput="calculateTotalPrice($(this).attr('id').substr(id.length - 1))" id="unit_price_1"
                                                   name="unit_price[]"
                                                   placeholder="Unit Price" required="">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="total_price_1">Total Price</label>
                                            <input type="text" class="form-control mInput" readonly id="total_price_1"
                                                   name="total_price[]"
                                                   placeholder="Total Price" required="">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <button type="submit" class="btn btn-primary">დამატება</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
    <!-- End col -->
    <!-- Start col -->
    <!-- End col -->
    </div>
    <!-- End row -->
    </div>
    <script>
        $(document).on('click', '.AddEdu', function () {
            var nid = $(this).attr('id');
            var content = $('#dEdu' + nid).html();
            var newId = parseInt(nid) + 1;
            var newdiv = $("<div id='dEdu" + newId + "' class='m-b-20'>");
            newdiv.html(content);
            newdiv.find(".AddEdu").attr("id", newId);
            newdiv.find(".DelEdu").attr("id", newId);

            newdiv.find("#product_detail_" + nid).attr("id", "product_detail_" + newId);
            newdiv.find("#product_detail_" + nid).attr("for", "product_detail_" + newId);
            newdiv.find("#product_model_" + nid).attr("id", "product_model_" + newId);
            newdiv.find("#product_model_" + nid).attr("for", "product_model_" + newId);
            newdiv.find("#piece_" + nid).attr("id", "piece_" + newId);
            newdiv.find("#piece_" + nid).attr("for", "piece_" + newId);
            newdiv.find("#percent_" + nid).attr("id", "percent_" + newId);
            newdiv.find("#percent_" + nid).attr("for", "percent_" + newId);
            newdiv.find("#unit_price_" + nid).attr("id", "unit_price_" + newId);
            newdiv.find("#unit_price_" + nid).attr("for", "unit_price_" + newId);
            newdiv.find("#total_price_" + nid).attr("id", "total_price_" + newId);
            newdiv.find("#total_price_" + nid).attr("for", "total_price_" + newId);

            newdiv.find("#gan").html(newId);
            newdiv.find("input").val("");
            $('.AddEdu').hide();
            $('.DelEdu').hide();
            $('#dEdu' + nid).after(newdiv);
        });

        function calculateTotalPrice(id){
            let val = parseFloat($(`#unit_price_${id}`).val())
            let piece = parseInt($(`#piece_${id}`).val())
            let substrId = id.substr(id.length - 1);
            let percent = val * $(`#percent_${substrId}`).val() / 100;
            let sum = (val + percent) * piece;
            if (!isNaN(sum)){
                $(`#total_price_${substrId}`).val(sum.toFixed(2))
            }
        }

        $(document).on('click', '.DelEdu', function () {
            var did = $(this).attr('id');
            if (did > 1) {
                $('#dEdu' + did).remove();
                $('.AddEdu').last().show();
                $('.DelEdu').last().show();
            } else {
                Swal.fire('შეცდომა!', 'წაშლა შეუძლებელია!', 'warning');
            }
        });
    </script>
@endsection
