<!DOCTYPE html>
<html>
<head>
    <style>
        table {
            font-family: arial, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }

        td, th {
            border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;
        }
    </style>
</head>
<body>

<table>
    <tr>
        <th colspan="6"><img src="https://web.asyasoftware.ge/images/AsyaSoft-logo.png" width="150"></th>
    </tr>
    <tr>
        <td>Customer</td>
        <td colspan="3">{{ $invoice['customer'] }}</td>
        <td>Reference No:</td>
        <td>{{ $invoice['reference_no'] }}</td>
    </tr>
    <tr>
        <td>Subject</td>
        <td colspan="3">{{ $invoice['subject'] }}</td>
        <td>Bidder</td>
        <td></td>
    </tr>
    <tr>
        <td>Related</td>
        <td colspan="3">{{ $invoice['related'] }}</td>
        <td>Date</td>
        <td>{{ $invoice['formatted_date'] }}</td>
    </tr>
    <tr>
        <th colspan="6" style="text-align: center;">PROFORMA OFFER FORM</th>
    </tr>
    <tr>
        <td>NO</td>
        <td>Product Details</td>
        <td>Model</td>
        <td>Piece</td>
        <td>Unit Price</td>
        <td>Total Price</td>
    </tr>
    @foreach($invoice['invoice_items'] as $key => $item)
    <tr>
        <td>{{ $key+1 }}</td>
        <td>{{ $item->product_detail }}</td>
        <td>{{ $item->product_model }}</td>
        <td>{{ $item->piece }}</td>
        <td>$ {{ number_format($item->unit_price,2) }}</td>
        <td>$ {{ number_format($item->total_price,2) }}</td>
    </tr>
    @endforeach
    <tr>
        <th colspan="5" style="text-align: right;">PROJECT TOTAL</th>
        <th colspan="1" style="text-align: right;">{{ number_format($invoice['invoice_items']->sum('total_price'),2) }}</th>
    </tr>
    <tr>
        <th colspan="5" style="text-align: right;">GENERAL TOTAL</th>
        <th colspan="1" style="text-align: right;">{{ number_format(($invoice['invoice_items']->sum('total_price') * 18 / 100) + $invoice['invoice_items']->sum('total_price'),2) }}</th>
    </tr>
    <tr bgcolor="gray">
        <th colspan="6" style="text-align: center;">NOTES</th>
    </tr>
    <tr>
        <th colspan="1"></th>
        <th colspan="5" style="color: red">Bank Information</th>
    </tr>
    <tr>
        <th colspan="1" style="text-align: center;">Bank Code</th>
        <th colspan="5">TEBAGE22</th>
    </tr>
    <tr>
        <th colspan="1" style="text-align: center;">Bank Name</th>
        <th colspan="5">JSC Terabank</th>
    </tr>
    <tr>
        <th colspan="1" style="text-align: center;">IBAN NO</th>
        <th colspan="5">GE22KS0000000360204877</th>
    </tr>
    <tr>
        <th colspan="1" style="text-align: center;">Name</th>
        <th colspan="5">Atlas Soptvear LTD</th>
    </tr>
    <tr>
        <th colspan="1"></th>
        <th colspan="5"></th>
    </tr>
    <tr>
        <th colspan="1"></th>
        <th colspan="5"></th>
    </tr>
    <tr bgcolor="gray">
        <th colspan="6" style="text-align: center;">CUSTOMER APPROVAL</th>
    </tr>
    <tr>
        <th colspan="6" style="text-align: center; height: 100px"></th>
    </tr>
</table>

</body>
</html>
