<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <button type="submit" onclick="window.location.href = '<?php echo e(url('invoices/'.request()->id.'/create')); ?>'" class="btn light btn-primary mb-2" id="addInvoiceItem"><i
                            class="fa fa-plus mr-2" aria-hidden="true"></i>დამატება
                    </button>
                    <button type="submit" onclick="window.location.href = '<?php echo e(url('invoices/pdf/'.request()->id)); ?>'" class="btn light btn-primary mb-2"><i
                            class="fa fa-file-pdf-o mr-2" aria-hidden="true"></i>ინვოისი
                    </button>
                    <br>

                </div>
                <div class="card-body">
                    
                    <div class="table-responsive">
                        <table id="invoices" class="display table table-striped table-bordered">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Product Details</th>
                                <th>Product Model</th>
                                <th>Piece</th>
                                <th>Unit Price</th>
                                <th>Total Price</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            </tbody>
                            <tfoot>
                            <tr>
                                <th>ID</th>
                                <th>Product Details</th>
                                <th>Product Model</th>
                                <th>Piece</th>
                                <th>Unit Price</th>
                                <th>Total Price</th>
                                <th>Action</th>
                            </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>

    </div>

    <script>
        let table;
        let save_method;
        $(document).ready(function () {

            table = $('#invoices').DataTable({
                order: [ [0, 'desc'] ],
                processing: true,
                serverSide: true,

                ajax: {
                    url: "<?php echo e(url('/invoices/invoice_items_ajax')); ?>",
                    type: 'GET',
                    data: function (d) {
                        d.id = <?php echo e(request()->id); ?>

                    }
                },
                columns: [
                    {data: 'DT_RowIndex', name: 'DT_RowIndex'},
                    {data: 'product_detail', name: 'product_detail'},
                    {data: 'product_model', name: 'product_model'},
                    {data: 'piece', name: 'piece'},
                    {data: 'formatted_unit_price', name: 'formatted_unit_price'},
                    {data: 'formatted_total_price', name: 'formatted_total_price'},
                    {data: 'action', name: 'action'}
                ]
            });
        });

        function reload() {
            table.ajax.reload();
        }

        function addDomain() {
            save_method = 'add';
            $('#domain_form')[0].reset(); // reset form on modals
            $('.form-group').removeClass('has-error'); // clear error class
            $('.help-block').empty(); // clear error string
            $('#modal_form').modal('show'); // show bootstrap modal when complete loaded
            $('#modal_title').text(`დომენის დამატება`);
        }

        function editDomain(id) {
            save_method = 'update';
            // $('#form')[0].reset(); // reset form on modals
            // $('.form-group').removeClass('has-error'); // clear error class
            // $('.help-block').empty(); // clear error string
            //Ajax Load data from ajax
            $.ajax({
                url: "<?php echo e(url(currentLocale().'/domains/get_domain')); ?>/" + id,
                type: "GET",
                dataType: "JSON",
                success: function (data) {
                    console.log(data.ns)
                    $('#domain_id').val(data.id);
                    $('#domain').val(data.domain)
                    $('#owner').val(data.owner)
                    $('#domain_registrator_id').val(data.domain_registrator)
                    $('#ns').val(data.ns)
                    $('#finished').val(data.finished)
                    $('#corporate_mail_id').val(data.corporate_mail_id)
                    $('#original_price').val(data.original_price)
                    $('#price').val(data.price);
                    $('#expire_date').val(data.expire_date)
                    $('.selectpicker').selectpicker("refresh");
                    $('#modal_form').modal('show'); // show bootstrap modal when complete loaded
                    $('#modal_title').text(`დომენის რედაქტირება - ${data.domain}`);
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    alert('Error get data from ajax');
                }
            });
        }

        function save() {
            let url;
            if (save_method === 'add') {
                url = '<?php echo e(url(currentLocale().'/domains/add_domain_info')); ?>'
            } else if (save_method === 'update') {
                url = '<?php echo e(url(currentLocale().'/domains/update_domain_info')); ?>'
            }
            // console.log($('#expire_date').val())
            // return
            $('#btnSaveDomain').html('<i class="fas fa-spinner fa-spin mr-1"></i>დაელოდეთ...');
            $('#btnSaveDomain').attr('disabled', true);
            $.ajax({
                url: url,
                type: "POST",
                data: $('#domain_form').serialize(),
                dataType: "JSON",
                success: function (data) {
                    if (data.status == 1) {
                        $('#modal_form').modal('hide');
                        Swal.fire('წარმატებული!', 'ინფორმაცია წარმარებით შეინახა!', 'success')
                        reload();
                    } else {
                        Swal.fire('შეცდომა!', '', 'error');
                    }
                    $('#btnSaveDomain').html('<i class="fa fa-floppy-o mr-1" aria-hidden="true"></i>შენახვა');
                    $('#btnSaveDomain').attr('disabled', false); //set button enable
                    //console.log('sssss');
                }
            });
            console.log($('#domain_form').serialize())
        }

        function deleteDomain(id) {
            Swal.fire({
                title: 'ნამდვილად გსურთ დომენის წაშლა?',
                text: "",
                icon: 'question',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'დიახ!',
                cancelButtonText: 'არა!',
                preConfirm: function () {
                    return new Promise(function (resolve) {
                        $('.swal2-confirm').html('<i class="fa fa-spinner fa-spin mr-1"></i>');
                        $.ajax({
                            url: "<?php echo e(url(currentLocale().'/domains/delete_domain')); ?>",
                            type: "POST",
                            dataType: "JSON",
                            data: {
                                '_token': '<?php echo e(csrf_token()); ?>',
                                'id': id
                            },
                        })
                            .done(function (response) {
                                if (response.status === 1) {
                                    reload()
                                    Swal.fire('წარმატებული!', 'დომენი წარმატებით წაიშალა', 'success');
                                } else {
                                    Swal.fire('Error!', 'Please try again', 'error');
                                }
                            })
                            .fail(function () {
                                Swal.fire('Oops...', 'Please try again!', 'error');
                            });
                    });
                },
                allowOutsideClick: true
            });
        }

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\crm\resources\views/pages/invoices/show.blade.php ENDPATH**/ ?>